2010-07-21 04:52  we7u

	* .cvsignore, src/shapelib/contrib/.cvsignore: Updating .cvsignore
	  files to current build configuration.

2010-07-12 23:12  we7u

	* src/shapelib/contrib/: my_nan.h, shpgeo.c: Attempting to fix the
	  "endian-ness" tests.

2010-07-12 11:22  we7u

	* src/shapelib/contrib/my_nan.h: Fixing up BYTE_ORDER so that
	  internal Shapelib compiles on more machines.

2010-07-11 16:39  we7u

	* src/: main.c, objects.h: Getting rid of the final two compiler
	  warnings, again by switch to the use of intptr_t instead of int.
	  Other systems may have more warnings, but this OpenSuSE-11.2
	  64-bit system compiles Xastir cleanly now.

2010-07-11 16:31  we7u

	* src/: draw_symbols.c, interface.c, map_shp.c, messages_gui.c,
	  objects.c, shp_hash.c, testdbfawk.c: Getting rid of more compiler
	  warnings, mostly by casting to/from intptr_t.

2010-07-11 14:41  we7u

	* src/rtree/: index.c, index.h, rect.c: Fixed some long-standing
	  compiler warnings in the rtree code.	Seems to still work
	  properly.

2010-07-11 13:30  we7u

	* src/shapelib/: dbfdump.c, shputils.c, contrib/dbfcat.c,
	  contrib/shpdxf.c, contrib/shpgeo.c, contrib/shpproj.c: More minor
	  tweaks to get rid of compiler warnings.  Of particular note are
	  some TODO entries added to a couple of files for two enumerated
	  values that weren't being handled in "switch" statements.  There
	  still isn't any code for those case statements, but the compiler
	  warnings are gone.

2010-07-11 01:01  we7u

	* src/shapelib/shputils.c: Adding some braces for some "if"
	  statements so that the enclosed else clause won't be ambiguous.

2010-07-11 00:57  we7u

	* src/shapelib/: shpdump.c, shptreedump.c, contrib/shpdxf.c: Fixing
	  a few more compiler warnings.

2010-07-11 00:51  we7u

	* src/shapelib/: shptreedump.c, shputils.c, contrib/shpcentrd.c,
	  contrib/shpdata.c, contrib/shpdxf.c, contrib/shpfix.c,
	  contrib/shpinfo.c, contrib/shpproj.c, contrib/shpwkb.c: Fixing
	  more compiler warnings.  There are a few left yet.

2010-07-11 00:24  we7u

	* src/shapelib/: dbfdump.c, shprewind.c, shputils.c,
	  contrib/dbfcat.c, contrib/dbfinfo.c, contrib/shpcentrd.c,
	  contrib/shpdata.c, contrib/shpdxf.c, contrib/shpgeo.c,
	  contrib/shpinfo.c, contrib/shpproj.c, contrib/shpwkb.c: Fixing
	  multiple minor warnings with Shapelib.  Still plenty left.

2010-07-10 23:31  we7u

	* src/shapelib/: Makefile.am, contrib/Makefile.am: Changing the
	  shapelib and shapelib/contrib Makefile.am files so that the
	  binaries don't get installed during "make install"

2010-07-10 23:22  we7u

	* src/shapelib/: Makefile.am, shputils.c, contrib/Makefile.am:
	  Setting up the rest of shapelib and shapelib/contrib so that
	  everything compiles.	Had to add an include to shputils.c and add
	  a "1" parameter to exit() in one spot.

2010-07-10 22:52  we7u

	* src/shapelib/: Makefile.am, contrib/Makefile.am: Now building
	  libshape.a in both the shapelib and the shapelib/contrib
	  directories so that we can build executables in both places
	  successfully.

2010-07-10 22:39  we7u

	* src/shapelib/: Makefile.am, contrib/Makefile.am: Adding more
	  binaries into the build.  The ones in "contrib" still depend on
	  "libshape.a" in the "shapelib" dir and we still need to figure
	  out how to build that library first.

2010-07-10 13:53  tvrusso

	* src/shapelib/: Makefile.am, contrib/Makefile.am: Modifications to
	  internal shapelib support so that dbfinfo (from the contrib
	  directory) builds when internal shapelib builds.  Until now, none
	  of the "contrib" programs were built.

2010-07-06 23:16  we7u

	* src/main.c: Patch by Jerry Dunmire to prevent use of F4 key (Open
	  Street Map optimum zoom) when Disable Fast Zoom is activated on
	  the Map menu.

2010-07-03 15:09  we7u

	* scripts/: coord-convert.pl, inf2geo.pl, mapfgd.pl, overlay.pl,
	  ozi2geo.pl, permutations.pl, ridge_radar.pl: Removing the
	  Copyright noticed from scripts that were released to the public
	  domain.  They are mutually exclusive.

2010-07-02 00:17  we7u

	* config/tl_2009_aiannh.dbfawk: I screwed up the credit on that
	  last commit.	Those dbfawk files come to us courtesy of Peter
	  Gamache, KC0TFB.  Sorry about that!

2010-07-02 00:12  we7u

	* config/: Makefile.am, tl_2009_aiannh.dbfawk, tl_2009_aits.dbfawk,
	  tl_2009_arealm.dbfawk, tl_2009_areawater.dbfawk,
	  tl_2009_county.dbfawk, tl_2009_cousub.dbfawk,
	  tl_2009_edges.dbfawk, tl_2009_mil.dbfawk,
	  tl_2009_nn_county.dbfawk, tl_2009_pointlm.dbfawk,
	  tl_2009_zcta5.dbfawk: Contributions by Kevin Paetzold, K1KWP.
	  Thanks!

2010-07-02 00:08  we7u

	* scripts/: Makefile.am, ridge_radar.pl: Adding ridge_radar.pl,
	  which computes a .geo file for a particular NWS abbreviation.
	  Contribution by Jeremy McDermond (NH6Z).  Thanks!

2010-06-30 16:31  we7u

	* src/map_OSM.c: Adding the ImageMagick ifdef's back in.  Patch by
	  Jerry Dunmire.

2010-06-29 23:41  we7u

	* src/: main.c, map_geo.c: F4 key multiple maps fix by Jerry
	  Dunmire.

2010-06-29 23:25  we7u

	* src/: interface.c, main.c, wx.c, wx.h: A fix for Radio
	  Shack/Huger/Oregon Scientific weather stations connected via the
	  WX200d daemon.  This fix may also help direct-connected weather
	  stations of the above type, but since I don't have any to test
	  with, it's unknown until someone tries.

2010-06-29 10:01  we7u

	* Makefile.am, tigermap.geo: First step at removing tigermap.geo:
	  Making it invisible to the user.

2010-06-28 14:25  we7u

	* OSM_cloudmade_1.geo, OSM_cloudmade_2.geo, OSM_cloudmade_5.geo,
	  OSM_cloudmade_998.geo, OSM_cloudmade_999.geo, OSM_cycle.geo,
	  OSM_mapnik.geo, OSM_osmarender.geo, OSM_skiing.geo: Removing .geo
	  files that are now created from a template.

2010-06-28 13:49  we7u

	* OSM_template: Need to commit a new file after Jerry's latest
	  patch for things to work for everyone else!

2010-06-28 12:17  we7u

	* OSM_cloudmade_1.osm, OSM_cloudmade_2.osm, OSM_cloudmade_5.osm,
	  OSM_cloudmade_998.osm, OSM_cloudmade_999.osm, OSM_cycle.osm,
	  OSM_mapnik.osm, OSM_osmarender.osm, OSM_skiing.osm: A bit of
	  cleanup:  Getting rid of the no-longer-used *.osm files.

2010-06-28 12:14  we7u

	* Makefile.am, OSM_cloudmade_1.geo, OSM_cloudmade_2.geo,
	  OSM_cloudmade_5.geo, OSM_cloudmade_998.geo,
	  OSM_cloudmade_999.geo, OSM_cycle.geo, OSM_mapnik.geo,
	  OSM_osmarender.geo, OSM_skiing.geo, src/main.c, src/map_OSM.c,
	  src/map_OSM.h, src/map_geo.c, src/maps.c: Mods by Jerry Dunmmire
	  WRT OSM.  His notes: Summary of changes:   - scaling corrected
	  - requested OSM map size limited to 2000x2000 and +/-89 deg
	  latitude   - no 'binned' zoom levels	 - new function key (F4) to
	  'optimize' zoom level for OSM   - .osm maps eliminated   - OSM
	  map files (.geo) built from a single template

	  Details:   scaling corrected:     This required a major rewrite
	  of the map_OSM.c code since	  the map_tiger.c code that it was
	  based on did not support     Mercator projection.

	      Note that due to size limitations from the server and the
	      use of Mercator scaling when the OSM bitmap images are
	  rendered,
	      some OSM maps will not fill the display window. This is
	      particularly common when using a large display window.
	  Selecting
	      an optimized OSM zoom level (F4) will generally, but not
	  always,
	      result in bit map image that fills the window.

	    map size limitations:
	      The OSM map server that is used by this code limits the
	  returned
	      bitmap image to 2000 pixels in either direction. Also, as a
	  side
	      effect of the Mercator projection, latitude values must be
	      limited to -90 < lat < 90.

	    no binned zoom levels:
	      Attempts to constrain the linear Xastir scaling to the binned
	      OSM levels has been unsuccessful. The final straw was a
	  problem
	      with float to integer transitions that would result in
	  looping
	      and oscillation between levels.

	    new function key to optimize OSM zoom levels:
	      Since bitmap images do not scale well, they will always look
	      best when the Xastir scale is closest to the OSM scale. A
	      function key (F4) has been defined that will adjust the
	  Xastir
	      scale to the nearest OSM level and redraw the screen. Note
	  that
	      even if the scale is not changed, the F4 key will redraw the
	      screen- this is intentional on my part.

	      The F4 key works only if an OSM map is selected.

	      If the F4 key is already defined for some other use on your
	      system you can specify an alternative key by modifying the
	  map
	      files (OSM*.geo).  The specified value must be an X11 KeySym
	      value.  Setting the value to 0 will disable the key.

	    .osm maps eliminated
	      Since binned scale levels are no longer supported, the .osm
	      extension is no longer needed. .osm file will not be
	  installed.

	      If your maps directory (typically
	      /usr/local/share/xastir/maps/Online/) contains .osm file from
	  an
	      previous install you will have to remove them by hand.

	      You should also re-index your files
	      (Map->Configure->Index:Reindex ALL maps) to remove them from
	  the
	      Map Chooser.

	    OSM map files (.geo) built from a single template:
	      This is primarily of interest to developers and results in a
	      cleaner source tree.

2010-06-28 12:01  we7u

	* configure.ac: Commenting out the tests for libgps, which we're
	  currently not using.

2010-06-18 22:35  we7u

	* src/interface.c: Skipping the hostname lookup if we pass an IP
	  address instead of a hostname.

2010-06-18 22:11  we7u

	* src/interface_gui.c: Changing default GPSD port to 2947.

2010-06-18 21:57  we7u

	* configure.ac, src/interface.c: Changes to support pre-2.90 and
	  post-2.90 versions of GPSD network connections.  We now send the
	  "R\r\n" command across (old method), then then send:
	  ?WATCH={"enable":true,"nmea":true}\r\n (new method).	Between the
	  two strings either version of GPSD daemon gets kick-started into
	  sending us NMEA strings.

2010-06-17 20:41  we7u

	* configure.ac: Changing one summary line (text only).

2010-06-17 20:07  we7u

	* configure.ac, src/interface.c: Added the configure test for
	  libgps and the gps.h header file, necessary to continue with
	  adding gpsd support into Xastir.  More to do yet.

2010-06-17 16:24  we7u

	* src/util.c: Added a debugging statement, but it's commented out.
	  Useful at times.

2010-06-15 07:29  we7u

	* OpenStreetMaps.osm: Part of the OSM linear patch by Jerry
	  Dunmire.

2010-06-15 07:28  we7u

	* Makefile.am, OSM_cloudmade_1.geo, OSM_cloudmade_1.osm,
	  OSM_cloudmade_2.geo, OSM_cloudmade_2.osm, OSM_cloudmade_5.geo,
	  OSM_cloudmade_5.osm, OSM_cloudmade_998.geo,
	  OSM_cloudmade_998.osm, OSM_cloudmade_999.geo,
	  OSM_cloudmade_999.osm, OSM_cycle.geo, OSM_cycle.osm,
	  OSM_mapnik.geo, OSM_mapnik.osm, OSM_osmarender.geo,
	  OSM_osmarender.osm, OSM_skiing.geo, OSM_skiing.osm,
	  src/map_OSM.c, src/map_OSM.h, src/map_geo.c: OpenStreetMaps
	  linear scaling patches by Jerry Dunmire.  Thanks!

2010-06-10 19:04  we7u

	* OpenStreetMaps.geo: Another patch by Jerry Dunmire, KA6HLD.

2010-06-10 19:02  we7u

	* Makefile.am, OpenStreetMaps.osm, src/main.c, src/map_geo.c,
	  src/maps.c: Another OSM patch by Jerry Dunmire, KA6HLD.

2010-06-09 16:28  we7u

	* src/: db.c, igate.c, interface.c, interface_gui.c, main.c,
	  map_OSM.c, map_WMS.c, map_shp.c, map_tiger.c, maps.c,
	  messages_gui.c, objects.c, view_message_gui.c, wx_gui.c: More
	  tweaks by Jerry Dunmire, KA6HLD.  These get rid of some compiler
	  warnings with newer GCC compilers.

2010-06-09 11:51  we7u

	* AUTHORS, Makefile.am, OpenStreetMaps.geo, src/Makefile.am,
	  src/main.c, src/map_OSM.c, src/map_OSM.h, src/map_geo.c: Initial
	  patches to use Open Street Maps with Xastir.	This appears to be
	  a good replacement for the now-defunct Tigermap server.  Patches
	  contributed by Jerry Dunmire, KA6HLD.  Thanks Jerry!

2010-05-27 07:01  gstueve

	* scripts/: get-fcc-rac.pl, get-gnis: Uodate copyright info in a
	  couple of scripts.

2010-05-07 09:23  tvrusso

	* src/main.c: Add a very simple hack cribbed from the "Grace"
	  project

	  http://patch-tracker.debian.org/patch/series/view/grace/1:5.1.22-5/motiflockup.diff

	  to work around some extreme breakage introduced by Xorg server
	  around version 1.7.5.  This breakage changed the way the server
	  handles "passive grabs" and has broken *all* motif programs that
	  use XmCreatePopupMenu (among other things); such programs will
	  grab the mouse cursor upon creating the pop-up and restrict
	  cursor motion to within the parent widget of the intended popup,
	  rendering the desktop completely unusable until the X server is
	  killed.  The correct fix is to update Xorg server (the fix is
	  apparently in the yet-to-be-released 1.7.6), but that is not an
	  option for some users of systems that only use stable releases of
	  Xorg, and sometimes not even then (think Ubuntu, where they tend
	  to stick only to bug-fix updates in a given LTS tree, and don't
	  go to the next release number).  Thus, it is necessary either to
	  patch motif libraries or work-around the issue in applications.
	  Since patching motif libraries is not a reasonable thing to
	  require of our users, it's worthwhile to hack Xastir.

	  The work-around ungrabs the mouse cursor immediately after the
	  call to XmCreatePopupMenu.  It's an almost trivial modification
	  of the code.

	  Tested on Xorg-server 1.6.5 and Xorg-server 1.7.5.  Looks good,
	  so committing it.

	  The fix does have one unfortunate side effect on the newer server
	  , as it is somewhat more difficult to tap the right mouse button
	  and get the right-click menu to stay up, but it is possible.	On
	  the older server it appears to have no effect at all, which is
	  good.

2010-04-23 07:00  gstueve

	* src/bulletin_gui.c: Remove annoying blank line from end of
	  bulletin list.

2010-04-21 12:36  gstueve

	* config/Makefile.am: Fix source identification to work for BSD
	  make. Should now work for new and old make utilities. I like
	  these derived language files to test for added labels as I admit
	  to a language deficiency.

2010-04-19 10:48  gstueve

	* config/Makefile.am: Permit derived language files to be generated
	  from source file w/o requiring configure elements to be rerun.

2010-04-19 10:45  gstueve

	* config/Makefile.am, config/nwsz_ddmmyy_10.dbfawk,
	  scripts/get-NWSdata: Add matching dbfawk file for new zone
	  description file from NWS.

2010-03-10 22:24  we7u

	* src/db.c: Initializing a temp area object's color to a value to
	  get rid of a compiler warning.

2010-03-10 20:03  chicoreus

	* src/: db.c, db_gis.c, db_gis.h, interface.c, interface_gui.c,
	  main.c: Mike, W2SWR, attempted to deploy Xastir over a MySQL
	  database, and in the process helped to find multiple issues,
	  including both an inability to compile xastir with just
	  --with-mysql, and multiple causes for segfaults starting and
	  stopping database interfaces and saving data.  This commit
	  addresses these issues.

	  Xastir now compiles and runs with either or both --with-mysql and
	  --with-postgis, as reqired definitions for each have now been
	  appropriately included with preprocessor directives.

	  The key fix for stability is in db_gis.h, the connection array
	  has been redefined  from an array pointer to an array, and the
	  MYSQL object in the Connection struct has been changed from a
	  MYSQL pointer to a MYSQL.  Calls to methods that pass database
	  connections have been rewritten to pass the address of the
	  connection (&aDbConnection), rather than the connection.

	  Multiple other fixes, mostly involving correcting the use of
	  pointers, have been made to the db_gis.c code, and these have
	  been tested and found to work with storage and retrieval of large
	  quantities of internet feed data (on the order of 800,000
	  records) to both MySQL and Postgis databases, with xastir
	  compiled with --with-mysql, --with-postgis separately, and with
	  --with-mysql --with-postgis together.

	  Also fixed a user interface bug that prevented retention of a
	  selection of mysql(spatial) as a database type.

2010-03-05 21:52  we7u

	* FAQ: Adding more info to the Fedora 12 right-click bug
	  problem/solution.

2010-02-28 07:47  we7u

	* scripts/inf2geo.pl: Added some comments about GM/IM
	  prerequisites.  Made it clear what the script does for the user.

2010-02-27 17:33  we7u

	* src/x_spider.c: Client connections to Xastir's server port had
	  this problem:  The last connected client, if it disconnected,
	  would lock up the server.  The pointer code taking care of
	  removing objects in the linked list has been reworked.  It no
	  longer matters which order of client connects/disconnects are
	  applied to the server.  Thanks to Nathan Mills for helping me
	  figure this out and test this.

2010-02-19 17:33  gstueve

	* src/interface.c: Fix spelling in error message that lintian
	  found.

2010-02-16 20:13  chicoreus

	* src/db_gis.c: The node_path stored to a mysql database is not
	  being truncated correctly with xastir_snprintf(), as the current
	  length of the station->node_path_ptr that is providing the
	  character array is used as the limit, rather than the maximum
	  length allocated for the node_path into which it is being placed,
	  thus causing a crash on trying to store a MySQL record for a
	  position when the path exceeds 56 characters in length.

2010-02-16 17:47  we7u

	* FAQ: Tweaked the Fedora 12 right-click answer to point to "yum
	  update".

2010-02-11 21:13  we7u

	* src/util.c: Taking an initial WIDE2-1 out of the equation which
	  looks for WIDEn-N following WIDEn-N.

2010-02-06 19:48  we7u

	* Makefile.am: Setting up README.CYGWIN so that it gets copied to
	  the docs directory with the rest of the docs during the install
	  step.

2010-02-03 09:37  we7u

	* FAQ: Added Kevin K1KWP's note about getting right-click menus
	  working in Fedora 12.

2010-02-01 10:37  gstueve

	* testdbfawk.1, xastir_udp_client.1: Quiet some warnings from
	  manpages about hyphens and minus signs.

2010-01-31 12:10  we7u

	* configure.ac: Bumping the revision number for new development.

2010-01-31 12:09  we7u

	* README.Contributing: Updating text to call out the new place for
	  the developers instructions (Xastir.org Wiki).

2010-01-31 00:45  we7u

	* ChangeLog: Committing latest ChangeLog (derived from cvs log)
	  before release.

2010-01-31 00:44  we7u

	* symbols/symbols.dat: Updated wheelchair symbol plus new power
	  plant symbol by Kyle Mills.  Thanks!

2010-01-31 00:24  we7u

	* README.CYGWIN: A re-written Cygwin install by David Flood,
	  KD7MYC.  Thanks!

2010-01-31 00:19  we7u

	* README.MAPS: Tweaks by David Aitcheson, kb3efs.  Thanks!  A few
	  minor tweaks by we7u.

2010-01-30 23:42  we7u

	* ChangeLog: Committing latest changelog before release.

2010-01-30 23:41  we7u

	* configure.ac, scripts/BUILDRPMS, scripts/LSB-BUILD,
	  scripts/do_xastir_release_dev, scripts/do_xastir_release_stable:
	  Preparing for 1.9.8 stable release.  Changing revision numbers.

2010-01-30 18:12  we7u

	* AUTHORS, DEBUG_LEVELS, FAQ, INSTALL, LICENSE, Makefile.am, NEWS,
	  README, README.CVS, README.Contributing, README.Getting-Started,
	  README.MAPS, README.win32, REGRESSION_TESTS, UPGRADE,
	  acinclude.m4, bootstrap.sh, callpass.1, changes.txt,
	  configure.ac, install-xastir, testdbfawk.1, update-xastir,
	  xastir.1, xastir_udp_client.1, Davis/Makefile.am, Davis/README,
	  Davis/bootstrap.sh, Davis/configure.ac, Davis/src/Makefile.am,
	  Davis/src/db2APRS.c, Davis/src/defs.h, LaCrosse/AUTHORS,
	  LaCrosse/Makefile.am, LaCrosse/README, LaCrosse/bootstrap.sh,
	  LaCrosse/configure.ac, LaCrosse/src/Makefile.am,
	  LaCrosse/src/defs.h, LaCrosse/src/open2300db2APRS.c,
	  callpass/Makefile.am, callpass/callpass.c, config/24kgrid.dbfawk,
	  config/Makefile.am, config/arealm.dbfawk,
	  config/areawater.dbfawk, config/cousub.dbfawk,
	  config/cousub00.dbfawk, config/edge.dbfawk,
	  config/featnames.dbfawk, config/gps_wpt.dbfawk,
	  config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, config/nwsc_ddmmyy.dbfawk,
	  config/nwsc_ddmmyy_09.dbfawk, config/nwsc_ddmmyy_09b.dbfawk,
	  config/nwsmzddmmyy.dbfawk, config/nwsmzddmmyy_09.dbfawk,
	  config/nwsmzoddmmyy.dbfawk, config/nwsozddmmyy.dbfawk,
	  config/nwsozddmmyy_09.dbfawk, config/nwsw_ddmmyy.dbfawk,
	  config/nwsw_ddmmyy_09.dbfawk, config/nwsz1ddmmyy.dbfawk,
	  config/nwsz_ddmmyy.dbfawk, config/nwsz_ddmmyy_09.dbfawk,
	  config/nwszoddmmyy.dbfawk, config/pointlm.dbfawk,
	  config/predefined_EVENT.sys, config/predefined_SAR.sys,
	  config/stored_track.dbfawk, config/tabblock.dbfawk,
	  config/tgr2shp.dbfawk, config/tgr2shppoly.dbfawk,
	  config/tgr2shppoly_2006.dbfawk, config/tgrcty.dbfawk,
	  config/tgrkgl.dbfawk, config/tgrlk.dbfawk, config/tgrlpt.dbfawk,
	  config/tgrlpy.dbfawk, config/tgrplc00.dbfawk,
	  config/tgrwat.dbfawk, config/tnc-startup.aea,
	  config/tnc-startup.d700, config/tnc-startup.kam,
	  config/tnc-startup.kpc2, config/tnc-startup.kpc3,
	  config/tnc-startup.paccomm, config/tnc-startup.pico,
	  config/tnc-startup.sys, config/tnc-startup.thd7,
	  config/tnc-startup.tnc2, config/tnc-startup.tnc2-ui,
	  config/tnc-stop.d700, config/tnc-stop.sys, config/tnc-stop.thd7,
	  config/tnc-stop.tnc2-ui, help/Makefile.am, help/help-Dutch.dat,
	  help/help-English.dat, help/help-French.dat,
	  help/help-German.dat, help/help-Italian.dat,
	  help/help-Portuguese.dat, help/help-Spanish.dat, m4/Makefile.am,
	  scripts/Coordinate.pm, scripts/LSB-BUILD, scripts/LSB-BUILD-ALL,
	  scripts/LSB-BUILD-CURL, scripts/LSB-BUILD-DB,
	  scripts/LSB-BUILD-GDAL, scripts/LSB-BUILD-GRAPHICSMAGICK,
	  scripts/LSB-BUILD-JASPER, scripts/LSB-BUILD-JPEG,
	  scripts/LSB-BUILD-LESSTIF, scripts/LSB-BUILD-PCRE,
	  scripts/LSB-BUILD-PNG, scripts/LSB-BUILD-ZLIB,
	  scripts/Makefile.am, scripts/UIView2XastirLog.pl,
	  scripts/Xastir_tigerpoly.py, scripts/example_objects.log,
	  scripts/get-NWSdata, scripts/get-fcc-rac.pl, scripts/get-gnis,
	  scripts/get-maptools.sh, scripts/get-pop,
	  scripts/get_shapelib.sh, scripts/inf2geo.pl, scripts/kiss-off.pl,
	  scripts/langElmerFudd.pl, scripts/langMuppetsChef.pl,
	  scripts/langOldeEnglish.pl, scripts/langPigLatin.pl,
	  scripts/langPirateEnglish.pl, scripts/object2shp.pl,
	  scripts/overlay.pl, scripts/ozi2geo.pl, scripts/permutations.pl,
	  scripts/pos2shp.pl, scripts/slideshow.pl, scripts/test_coord.pl,
	  scripts/toporama250k.pl, scripts/toporama50k.pl,
	  scripts/track-get.pl, scripts/waypoint-get.pl,
	  scripts/xastir-fixcfg.sh, scripts/xastir-migrate.sh,
	  src/Makefile.am, src/alert.c, src/alert.h, src/awk.c, src/awk.h,
	  src/bulletin_gui.c, src/bulletin_gui.h, src/color.c, src/color.h,
	  src/database.h, src/datum.c, src/datum.h, src/db.c, src/db_gis.c,
	  src/db_gis.h, src/dbfawk.c, src/dbfawk.h, src/draw_symbols.c,
	  src/draw_symbols.h, src/fcc_data.c, src/fcc_data.h,
	  src/festival.c, src/festival.h, src/geo-client.c, src/geo-find.c,
	  src/geo.h, src/geocoder_gui.c, src/gps.c, src/gps.h,
	  src/hashtable.c, src/hashtable.h, src/hashtable_itr.c,
	  src/hashtable_itr.h, src/hashtable_private.h, src/hostname.c,
	  src/hostname.h, src/igate.c, src/igate.h, src/interface.c,
	  src/interface.h, src/interface_gui.c, src/io-common.c,
	  src/io-mmap.c, src/io.h, src/lang.c, src/lang.h,
	  src/leak_detection.h, src/list_gui.c, src/list_gui.h,
	  src/locate_gui.c, src/location.c, src/location_gui.c,
	  src/macspeech.c, src/main.c, src/main.h, src/map_WMS.c,
	  src/map_cache.c, src/map_cache.h, src/map_dos.c, src/map_gdal.c,
	  src/map_geo.c, src/map_gnis.c, src/map_pdb.c, src/map_pop.c,
	  src/map_shp.c, src/map_tif.c, src/map_tiger.c, src/maps.c,
	  src/maps.h, src/messages.c, src/messages.h, src/messages_gui.c,
	  src/objects.c, src/objects.h, src/popup.h, src/popup_gui.c,
	  src/rac_data.c, src/rac_data.h, src/rotated.c, src/rotated.h,
	  src/rpl_malloc.c, src/rpl_malloc.h, src/shp_hash.c,
	  src/shp_hash.h, src/snprintf.c, src/snprintf.h, src/sound.c,
	  src/symbols.h, src/testdbfawk.c, src/track_gui.c,
	  src/track_gui.h, src/util.c, src/util.h, src/view_message_gui.c,
	  src/wx.c, src/wx.h, src/wx_gui.c, src/x_spider.c, src/x_spider.h,
	  src/xa_config.c, src/xa_config.h, src/xastir.h,
	  src/xastir_udp_client.c, src/rtree/Makefile.am, src/rtree/card.c,
	  src/rtree/card.h, src/rtree/gammavol.c, src/rtree/index.c,
	  src/rtree/index.h, src/rtree/node.c, src/rtree/rect.c,
	  src/rtree/sphvol.c, src/rtree/split_l.c, src/rtree/split_l.h,
	  src/rtree/split_q.c, src/rtree/split_q.h,
	  src/shapelib/Makefile.am, src/shapelib/contrib/Makefile.am,
	  symbols/Makefile.am, symbols/symbols.dat: Updating Copyright
	  notice for 2010.

2010-01-25 20:09  chicoreus

	* src/db_gis.c: Make fails with errors	when configured with just
	  --with-mysql.  Fixing nesting of HAVE_POSTGIS and HAVE_MYSQL
	  directives so that xastir will build with just --with-mysql.
	  Both compiler warnings and runtime errors remain when built
	  --with-mysql --without-postgis.

2010-01-16 22:27  tvrusso

	* src/main.c: Fix three instances of a string compare being
	  attempted by:    char chararray[EXTENT]    read chararray from
	  some file    if (chararray == "string literal")    {	  }

	  which is bad form in C and could lead to undefined behavior.	The
	  correct way to do this is with strcmp or strncmp.  I replaced
	  this with:

	     if (strncmp(chararray,"string literal",strlen(chararray))==0)
	     {
	     }

	  This is silently accepted by most older compilers, but is warned
	  about by gcc 4.4 (the default compiler in Ubuntu 9.10).

2010-01-12 11:32  tvrusso

	* src/objects.c: Fix to my most recent fix; make sure that the code
	  that doesn't get the compiler warning actually does the same
	  thing that it did before the fix.

2010-01-12 09:47  tvrusso

	* src/objects.c: Minor tweak to silence a warning about
	  "dereferencing type-punned pointer breaks strict-aliasing rules."

2010-01-11 19:30  tvrusso

	* src/: db.c, objects.c:
	  Fix two bugs.

	  1) Bug 1698474 in the sourceforge tracker (Expire code messes up
	  internal linked-list order)

	     The title of the bug is erroneous.  The expire code doesn't
	  mess up
	     any internal linked-list order.  The expire code was being
	  messed
	     up by a broken linked-list order.	What was breaking the list
	  was
	     the handling of our own objects.  Code throughout objects.c
	  was
	     continually resetting the time stamp of station records to
	     sec_now() withouth then moving the station record to the end
	  of the
	     time-sorted list.	This led to the time-sorted list not being
	     time-sorted anymore.  The expire code explicitly depends on
	  the
	     list remaining sorted at all times.

	     There was also a small block of code dating back to version
	  1.1 of
	     db.c that also skipped moving a station record in the
	  time-sorted
	     list if it was our object or item.  This very old code appears
	  to
	     do nothing at all.  I have removed it.  The time sorted list
	  MUST
	     be kept in time-sorted order.  There was also a variable
	     (object_is_mine_previous) that was set by this block of code
	  but never
	     accessed anywhere else.  I've removed that variable, too.

	     Additionally, the check_station_remove function erroneously
	  checks
	     "is_my_station" to determine if the station or object in
	  question is
	     owned by "me."  It should be checking (is_my_station ||
	  is_my_object_item)
	     to be consistent with the older conditional that is commented
	  out just
	     above it.

	  2) Creating an object that has the same name as a previously
	  killed object    would lead to an "immovable" object being
	  created.  This bug was never	  entered into the issue tracker.

	     Prior to this commit, the following actions would create an
	  object that
	     could not be moved:

		 create object a
		 delete object a
		 create object a

	     Once the second create was done, the object a could not be
	  moved by any
	     means on the screen -- either by dragging with the Move button
	  down or
	     using the Modify Object dialog.

	     The reason was that the code to handle resurrecting a killed
	  object
	     was improperly flagging the new object as being "my station"
	  in
	     addition to being flagged as "my object."	The code that
	  decodes
	     position strings would see this flag and refuse to move the
	  object
	     "because I know my position better."  Furthermore, the
	  resurrection
	     code would remove the old killed record from the name-sorted
	  list,
	     but not really delete the station record, leaving it in the
	     time-sorted list.	This also impacted expiration.	This commit
	     fixes the improper flagging as "my station" and completely
	  deletes
	     the station record for a killed object when we create a new
	  object
	     with the same name.

2010-01-01 15:04  we7u

	* src/main.c: Fixed some side-effects regarding zoom boxes when map
	  lock is enabled.

2010-01-01 06:22  gstueve

	* src/db.c: Recall one of my tests from the wild. It escaped before
	  its' time.

2009-12-31 03:10  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/main.c: Finishing up the map
	  lock code.

2009-12-29 13:56  we7u

	* src/main.c: Detaching the map lock from three areas where they
	  are more complicated operations and therefore aren't easily done
	  by mistake.  Therefore no map lock required for those three.

2009-12-27 08:26  gstueve

	* callpass.1, testdbfawk.1, xastir.1, xastir_udp_client.1: Update
	  APRS site reference to useful URL.

2009-12-27 07:29  gstueve

	* callpass.1: Add reference to xastir in NAME section to allow
	  `apropos` to associate.

2009-12-25 07:20  we7u

	* README: Updating the SuSE 11.x ham repository info.

2009-12-22 13:37  gstueve

	* Makefile.am, src/db.c, src/lclint.script: Add additional man
	  pages to list for publication.

2009-12-22 13:20  gstueve

	* callpass.1, testdbfawk.1, xastir.1, xastir_udp_client.1: Add
	  simple documentation for all applications. Provide APRS reference
	  in NAME section for 'apropos' & 'whatis' lookup. Make sure NAME
	  section is parseable for scanning.

2009-12-22 02:56  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/main.c, src/xa_config.c,
	  src/xastir.h: Adding map zoom/pan lock feature to the Map menu.

2009-12-17 09:44  gstueve

	* xastir.spec.in: Allow rpmbuild spec to work for 64bit
	  environments also.

2009-12-08 11:34  we7u

	* README.MAPS: Updating the location of the RAC callsign manual
	  download to match the URL in the get-fcc-rac.pl script.

2009-12-07 16:34  tvrusso

	* FAQ: Update FAQ to include updated answer to the "black images
	  from imagemagick" question, and add a FAQ about compilation woes
	  due to use of ImageMagick with HDRI support.

2009-12-04 10:54  tvrusso

	* src/: map_WMS.c, map_geo.c, map_tiger.c:
	  Fix for the problem where Xastir will display black images when
	  compiled against GraphicsMagick with its new default QuantumDepth
	  of 8, or ImageMagick with its optional QuantumDepth of 8.

	  The problem was that when the image was not a colormapped image
	  (e.g. JPEG or other full color type), Xastir was assuming
	  (incorrectly) that a Quantum was the same type as the red, green,
	  and blue components of an XColor, and using the Quantums directly
	  out of the pixel_pack in a call that required the latter.  The
	  result was that when pack_pixel_bits returned, the result was
	  always that the packed pixel bits were always 0x000000, because
	  it was taking the high-order 8 bits from the unsigned short to
	  which the unsigned char was being cast.

	  What was needed was a little block of code that massaged the
	  pixel_pack values into unsigned shorts at that point if
	  QuantumDepth is 8.

	  This fix applies the same fix to map_tiger, map_geo and map_WMS,
	  all of which had duplicated code (ugh) that made the same
	  mistaken assumption of Quantum/unsigned short equivalence.

	  This fix does NOT address the problem that exists on a few
	  systems, where ImageMagick has been compiled with HDRI (High
	  Dynamic Range Image) support.  On those systems, a Quantum is not
	  even an integer type, it's a float or double.  Dealing with
	  *that* mess will be harder.

	  Ideally, the duplicated code between map_WMS, map_geo, and
	  map_tiger should be consolidated according to good software
	  engineering principles.

2009-11-26 08:52  tvrusso

	* LaCrosse/src/open2300db2APRS.c:
	  Fix for an insidious bug in open2300db2APRS that relied on an
	  unsafe internal behavior of the mysql API.

	  The function Get_Latest_WX makes 2 SQL queries to the server, one
	  to get the highest value of the "timestamp" field present in the
	  DB, an another to get the row with that timestamp.  Only after
	  the first query was the function calling "row =
	  mysql_fetch_row(&result)".  That function returns a char ** that
	  can be used to pick off the field values.  Somehow, despite never
	  being called after the second query, the row array still managed
	  (on some systems) to have the right data in it --- presumably
	  because the API call was returning a pointer to an internal block
	  of memory that contained the field values, and on the systems
	  where this worked that block wasn't moving.

	  When I upgraded my BSD system and recompiled mysql, this started
	  failing, and open2300db2APRS would segfault.

	  Calling mysql_fetch_row after the second query fixes it.

	  While I was at it, I fixed a mistake in some debug output that
	  prints the number of fields retrieved by the query.

2009-11-09 12:46  we7u

	* scripts/UIView2XastirLog.pl: New script to convert UI-View log
	  files to Xastir-format log files.  Timestamp info is currently
	  removed during the conversion.

2009-10-13 23:25  we7u

	* scripts/get-NWSdata: Updating the get-NWSdata script to snag the
	  latest-latest NWS Shapefile maps used for weather alerts.

2009-10-13 23:24  we7u

	* config/: Makefile.am, nwsc_ddmmyy_09b.dbfawk,
	  nwsmzddmmyy_09.dbfawk, nwsozddmmyy_09.dbfawk,
	  nwsw_ddmmyy_09.dbfawk, nwsz_ddmmyy_09.dbfawk: Adding yet another
	  round of dbfawk files to match new NWS Shapefile signatures.

2009-10-11 22:18  we7u

	* configure.ac: Bumping devel version up to 1.9.7

2009-10-10 11:28  we7u

	* scripts/: do_xastir_release_dev, do_xastir_release_stable:
	  Updating to new SourceForge release process.

2009-10-10 10:41  we7u

	* ChangeLog, configure.ac, scripts/BUILDRPMS, scripts/LSB-BUILD,
	  scripts/do_xastir_release_dev, scripts/do_xastir_release_stable:
	  Preparing for 1.9.6 stable release.

2009-08-12 11:59  we7u

	* src/main.c: Adding minWidth and minHeight to the fallback
	  resources string in main() to attempt fixing the compiz/fusion
	  bug with tiny unsizeable dialogs.

2009-08-12 11:14  we7u

	* FAQ: Adding a blurb regarding "compiz" and cigar-shaped windows
	  in Xastir.   Thanks to Tom R. for this text which I modified
	  somewhat.

2009-07-31 21:19  tvrusso

	* config/nwsc_ddmmyy_09.dbfawk: Add a comment about the difference
	  between this file and the nwsc_ddmmyy file.

2009-07-31 21:17  tvrusso

	* config/: Makefile.am, nwsc_ddmmyy_09.dbfawk: Add a new
	  nwsc_ddmmyy file with different signature to match the very
	  latest shapefiles.

	  I am adding this as a new dbfawk instead of modifying the
	  existing one so that those who don't wish to update their
	  shapefiles will not have to, and those who have only the new ones
	  will actually be able to use them.  Xastir will pick the dbfawk
	  file with the matching signature.

2009-07-31 15:38  we7u

	* src/wx_gui.c: Changing the weather alert FINGER server since
	  WXSVR.net has been offline for a while.  We're switching to
	  Pete's new system (AE5PL) which is already online and functional.

2009-07-30 12:41  tvrusso

	* symbols/symbols.dat: Change color of ICP (Incident Command Post,
	  /c) symbol to match the color specified in FEMA and NWCG ICS
	  materials.  (I'm working through lots of these courses while
	  simultaneously trying to get Xastir integrated more into our
	  local SAR system, and getting these discrepancies of terminology
	  and symbology fixed is important).

2009-07-28 15:51  tvrusso

	* config/predefined_SAR.sys: Make predefined SAR objects conform
	  with NIMS standard ICS terminology.

	  There is no "Helipoint" in that terminology.	The term "Helispot"
	  is used for what we were previously calling a "Helipoint."

2009-07-28 15:49  tvrusso

	* src/objects.c: Fix predefined object name to conform with
	  standard ICS terminology.  A "Helispot" is a temporary landing
	  place for helicopters.  There is no "Helipoint" in standard ICS
	  terminology.

2009-07-28 14:35  we7u

	* src/alert.c: Temporary change to allow viewing of compressed-zone
	  format alerts sent by Pete Loveall, AE5PL's server.

2009-07-27 18:44  we7u

	* src/: db.c, draw_symbols.c, draw_symbols.h: Display of latest
	  comment if H2O symbol plus object or item, and the comment time =
	  the latest object/item update time.  This is to support fast
	  viewing of flood gauges during emergencies, using the data from
	  the Firenet gage.pl script.

2009-06-29 00:14  we7u

	* src/db.c: Fixing Canadian callsign lookup to add VO and VY
	  prefixes.

2009-06-19 23:01  tvrusso

	* src/shp_hash.c: Insert a conditional around code that uses a
	  pointer returned by SHPReadObject.  A user is finding that
	  SHPReadObject is having an fread problem on one of his
	  shapefiles, and returning NULL.  This commit prevents Xastir from
	  trying to dereference the null pointer.

2009-06-03 21:25  we7u

	* src/shapelib/: dbfadd.c, dbfcreate.c, shpadd.c, shpcreate.c,
	  shpdump.c, shptest.c, shptreedump.c, shputils.c: Getting rid of
	  compiler warnings due to unused variable.

2009-06-03 15:24  we7u

	* src/shapelib/: dbfadd.c, shpcreate.c: Adding includes for
	  string.h to get rid of compiler warnings.

2009-06-03 14:57  tvrusso

	* src/shapelib/Makefile.am: Not really sure why this worked before
	  but now doesn't work for Curt, but there was nothing in the
	  src/shapelib/Makefile.am to make the {shp,dbf}{add,create}
	  programs link with the shapelib we just built.

	  Put that in.

	  Rebootstrap before trying.

2009-05-22 16:23  we7u

	* scripts/pos2shp.pl: Changed some comments WRT the TODO for the
	  comment field.

2009-05-22 14:41  we7u

	* README.MAPS: Adding bits about APRS Overlay files and the
	  pos2shp.pl script.

2009-05-22 14:35  we7u

	* scripts/Makefile.am: Adding pos2shp.pl to list of scripts to
	  install.

2009-05-22 14:23  we7u

	* scripts/pos2shp.pl: Better version.  Limits $name to 9 chars and
	  chops trailing spaces on same.

2009-05-22 14:14  we7u

	* scripts/pos2shp.pl: First working version.  Needs more error
	  checking, needs to assure the name field is properly formatted,
	  and needs to do something with the comment field yet.

2009-05-22 13:16  we7u

	* scripts/pos2shp.pl: Updated comments, removed live_or_dead code.
	  Has NOT been converted to parse POS format files yet (Overlay
	  files).

2009-05-22 11:19  we7u

	* scripts/pos2shp.pl: Start of a pos2shp.pl script.  No code
	  changes yet from the original object2shp.pl script it started
	  from.

2009-05-22 10:44  tvrusso

	* src/shapelib/Makefile.am: Change internal shapelib makefile so
	  that it *does* install the create and add programs if we're
	  building with internal shapelib.

	  Note:  This should not be tested by those who have shapelib tools
	  installed from a package unless you know how to do it without
	  clobbering them.

	  Hint:  configure --prefix=/some/other/base/than/usr/local will
	  make sure that the new test install doesn't clober anything that
	  the normal install created.

2009-05-22 10:30  tvrusso

	* src/shapelib/Makefile.am: Add "noinst_PROGRAMS" to the internal
	  shapelib build so that shpcreate, shpadd, dbfcreate and dbfadd
	  are built if the user is building the local shapelib.

	  They are not installed, because I didn't want to test that
	  feature.  To make it so that they *are* installed when make
	  install is called, one needs only change "noinst_PROGRAMS" in
	  src/shapelib/Makefile.am to "bin_PROGRAMS" .

2009-05-19 13:47  tvrusso

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/database.h, src/wx.c: Add
	  support for the Davis 6540 "Weatherlink for APRS" with "Streaming
	  Data Logger".  This attachment to the Davis Vantage Pro causes
	  the device to stream APRS posits (sans fromcall, tocall, and
	  path) to the serial port instead of requiring polling.  With such
	  a device, Meteo and the associated glue program (db2APRS or
	  whatever it's called) are unnecessary, so long as this patch is
	  in place.

	  Also update language files as needed.

2009-05-09 07:15  tvrusso

	* src/db.c: Move "create_garmin_waypoint" call outside of "if
	  (sound_play_prox_message)" conditional.

	  A local user was completely confused why his garmin wasn't
	  receiving waypoint data from Xastir, and when I hunted through
	  the coude found that this feature only works if you have audio
	  alerts for proximity warnings turned on.  This seems wrong, so I
	  moved the conditionals around so that waypoints are created if
	  you're within proximity warning distance, whether or not you've
	  actually got the old audio alarm turned on for proximity
	  warnings.

2009-04-30 12:25  gstueve

	* src/: database.h, db.c: Fix band opening logic to ignore 3rd
	  party traffic. Should make this really work for band opening and
	  not messages from network. Fix Bug ID:2749796.

2009-04-30 11:52  gstueve

	* src/: main.c, shp_hash.c, shp_hash.h: We already know the current
	  time, there is no need to ask again.

2009-04-29 20:08  gstueve

	* scripts/get-fcc-rac.pl: Minimize memory footprint for constrained
	  systems. Do memory intense activity as late as possible.

2009-04-25 23:40  tvrusso

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/db.c:
	  Fix an annoyance related to DF bearing reports.

	  Sometimes a bad parse of garbled Mic-E data causes Xastir to
	  think that a D700 (or other mobile) is sending a DF report.  Even
	  if only a single such garbled transmission is received, the
	  station is shown with DF bearing information for as long as it's
	  in the database.  Watching a mobile drive around with randomly
	  moving DF beam lines is distracting.	Not being able to make it
	  go away without restarting Xastir has been annoying.

	  Another way for this to happen is for some bonehead (such as
	  KM5VY) to create a series of DF objects from an external program
	  with his callsign as base name and sequential numbers to identify
	  the reports (say "KM5VY-1", "KM5VY-2", etc.) until he happens to
	  hit the SSID of the station that's sending the reports (say,
	  KM5VY-8).  What happens is the "object" data gets attached to the
	  Xastir instance itself.  This bogus beam heading shows up forever
	  until shutting down Xastir.  This happened today on a SAR ELT DF
	  practice.  The name of the bonehead has not been changed to
	  protect the bonehead.

	  This commit adds the ability to clear such bogosity.	Now, the
	  "Station Info" dialog for any station with DF bearing information
	  has a "Clear DF Bearing" button that will zero out the bearing
	  and NRQ strings for the station, removing the unwanted (and
	  presumably incorrect) bearing lines until the station transmits
	  them again (which probably means they're wanted and not
	  incorrect).

2009-04-25 21:53  tvrusso

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/db.c, src/draw_symbols.c,
	  src/draw_symbols.h, src/main.c, src/main.h, src/xa_config.c:
	  Add a map-decluttering option.

	  Prior to this commit, "Station->Filter Display->Display DF
	  Attributes" would draw a pair of bearing lines for every DF
	  object.  The lines drawn represented the stated beamwidth of the
	  report.

	  Unfortunately, in a big DFing operation, this rapidly leads to a
	  huge clutter on the map, making it very difficult, if not
	  impossible,  to read.  I saw this during a big DF practice this
	  morning, and just had to change it.

	  I have added two new buttons under Display DF Attributes:
	  "Display DF Beamwidth" and "Display DF Bearing."  Selecting the
	  first and not the second gives the current behavior.	Selecting
	  the second and not the first draws only the stated bearing, not
	  the beamwidth.  Selecting both draws all three lines for those
	  who really, really like cluttered maps.  The color of red used
	  for the bearing line and the beamwidth lines is slightly
	  different.

	  I tried to set up xa_config so that when people first start up
	  Xastir after updating, they'll recover the original behavior ---
	  "Display DF Bearing" defaults to off if it's not found in the
	  config file.	Unless the new option is deliberately selected,
	  users should not notice the change.

	  Both Display DF Bearing and Display DF Beamwidth are greyed out
	  if "Display DF Attributes" is deselected.

	  Updated all the language files with the "update-language.pl"
	  script to support the new menu items.  A lot of other things got
	  changed in the language files with this action, but those seemed
	  mostly to be comments.

2009-04-24 13:10  gstueve

	* scripts/get-fcc-rac.pl: Move sort back to system package. PERL
	  does parsing well, not sorting.

2009-04-17 16:10  we7u

	* config/: arealm.dbfawk, areawater.dbfawk, cousub.dbfawk,
	  cousub00.dbfawk, edge.dbfawk, featnames.dbfawk, pointlm.dbfawk,
	  tabblock.dbfawk: Updating the URL for the Shapefiles to point to
	  the 2008 shapefiles instead of 2007!

2009-04-17 09:12  we7u

	* config/: Makefile.am, arealm.dbfawk, areawater.dbfawk,
	  cousub.dbfawk, cousub00.dbfawk, edge.dbfawk, featnames.dbfawk,
	  pointlm.dbfawk, tabblock.dbfawk: Adding the dbfawk files worked
	  on by Richard Polivka, N6NKO, Craig Anderson, N6YXK, and Dale
	  Seaburg, KG5LT, which help to nicely render 2008 Tiger Shapeline
	  files.

	  A note from Craig about layering:

	    "...use "vi" on the map_index.sys file while xastir is not
	  running.
	    Once you are editing the file, use the following 3 commands in
	  "vi"
	    to change the layers.  This assumes that, like with my xastir,
	  new
	    maps get added into the list at layer 1000.

	    :g/tabblock/s/01000/00995/
	    :g/pointlm/s/01000/00996/
	    :g/arealm/s/01000/00997/

	    (translation: global search throughout the file for lines with
	    "arealm" and substitute on that line for "01000", a "00997")

	    This moves the tabblock (& tabblock00) files, pointlm files,
	  and
	    arealm files down underneath the roads maps.  Otherwise the
	  roads
	    can get covered up by urban background coloring.  Or you can do
	  this
	    through the GUI interface as well."

2009-04-16 19:55  we7u

	* src/wx.c: Fixing up the Peet Bros 2000 data logging and packet
	  mode decoding for wind direction.  These were really 4-character
	  fields but the first two chars should be zeroed out.	We were
	  reading in only the 2nd two characters and then zeroing them out
	  (the reading of interest).

2009-04-16 14:20  tvrusso

	* scripts/values.pl.in: Change values.pl.in so it references
	  #!/usr/bin/perl instead of #!/bin/perl.

	  Neither is strictly correct since perl could be installed just
	  about anywhere on any system, but this brings it in line with all
	  the rest of the scripts here.

	  Ideally the location of the perl interpreter should be probed by
	  configure and substituted in all the scripts, but that is
	  probably more work than it's worth given that all of our scripts
	  have had /usr/bin/perl hardcoded all this time.

	  #!/usr/bin/env perl

	  is sometimes suggested to make such scripts system-independent,
	  but this is generally considered a security vulnerability because
	  it uses the first "perl" that appears in the user's path, which
	  might be a malicious bit of code.

2009-04-16 12:34  tvrusso

	* configure.ac, scripts/Makefile.am, scripts/values.in,
	  scripts/values.pl.in: Remove inappropriate use of GNU Make
	  extensions in scripts/Makefile.am.

	  These were introduced to generate scripts/values and
	  scripts/values.pl from scripts/values.in and
	  scripts/values.pl.in, but this is the wrong approach.  Generating
	  these files from the .in's should be done by adding them to the
	  configure.ac AC_CONFIG_FILES list and by using standard
	  substitution strings in the .in files.  Non-standard substitution
	  strings can also be used if one also adds AC_SUBST calls to the
	  configure.ac file.

	  The standard substitution string for prefix is @prefix@ not
	  @PREFIX@.

2009-04-16 12:26  gstueve

	* scripts/Makefile.am: Makefile should actually work properly for
	  split source/build configuration.

2009-04-16 11:56  gstueve

	* scripts/Makefile.am: Make sure proper Makefile is updated when
	  Makefile.am is updated.

2009-04-16 11:39  we7u

	* src/: main.c, messages.h, view_message_gui.c, xa_config.c:
	  Saving/restoring the status of the CAD Objects buttons and the
	  View Messages TNC/NET/MINE selection buttons.

2009-04-16 11:28  gstueve

	* scripts/: get-NWSdata, get-gnis, get-pop: Remove another possible
	  bashism reported by checkbashisms script.

2009-04-16 09:25  we7u

	* scripts/: Makefile.am, slideshow.pl: Adding slideshow.pl, a
	  script which snags the snapshot.png files into a separate
	  directory and renames them for possible later use as a slideshow
	  or animated movie.

2009-04-13 13:18  gstueve

	* scripts/get-pop: Position files are only ASCII, don't push AK or
	  HI through recoding.

2009-04-13 13:10  gstueve

	* scripts/get-pop: Adjust download site to complete list. Retain
	  tamu site for reference.

2009-04-13 11:34  gstueve

	* src/: locate_gui.c, maps.h: Add ability to locate map features
	  from population format files.

2009-04-13 11:13  gstueve

	* src/map_pop.c: Missed these. Had compiled on other system.
	  Mistyped entry.

2009-04-13 10:32  gstueve

	* src/: map_gnis.c, map_pop.c: Found a couple of locations that
	  could get unhappy about trying to read bad data.

2009-04-13 10:16  gstueve

	* scripts/Makefile.am, scripts/get-pop, src/Makefile.am,
	  src/map_pop.c, src/maps.c: Reintroduce previous population
	  geolocator processing into new file type.  The .pop file
	  extension will reflect the old information. GNIS does not have
	  authorative population data, we should use census info. The
	  script will look to aprs.tamu.edu but I was not able to locate
	  all of the states data files.

2009-04-08 09:24  gstueve

	* scripts/get-gnis: Get rid of bashism that escaped my first tests.

2009-04-08 09:17  gstueve

	* scripts/get-gnis: Add recode to convert AK & HI UTF-16 files to
	  UTF-8 to give us a fighting chance to actually locate anything in
	  those states.

2009-04-07 14:17  gstueve

	* scripts/get-gnis: USGS has made geocodes a moving target. Current
	  file is 20090401.

2009-04-07 02:23  gstueve

	* src/main.c: Repair damage to map properties dialog inflicted by
	  last check-in.

2009-04-06 09:07  gstueve

	* src/interface_gui.c: Move Path entries around to reduce vertical
	  challenge.

2009-04-05 17:28  gstueve

	* src/map_gnis.c: Update field sequence to match current GNIS file
	  layout.

2009-04-04 23:10  gstueve

	* src/list_gui.c: Update max display list to symbolic count.

2009-04-04 21:14  gstueve

	* src/list_gui.c: Clean up station list to actually line up with
	  icon and line height.

2009-04-04 19:21  gstueve

	* src/objects.c: Maintain pointer to cursor to keep memory usage
	  clean.

2009-04-04 11:37  gstueve

	* scripts/: .cvsignore, Makefile.am, coord-convert.pl, get-NWSdata,
	  get-fcc-rac.pl, get-gnis, icontable.pl, values.in, values.pl.in,
	  xastir-fixcfg.sh, xastir-migrate.sh: Fix the scripts to match the
	  structure for placement of files by using -prefix from configure
	  process to allow matchup to FHS placement.

2009-04-04 11:28  gstueve

	* m4/xmhtml.m4: Wrap macro name to keep everyone happy. Remove
	  autoreconf complaint.

2009-04-03 07:08  gstueve

	* src/: main.c, main.h: Upgrade to session aware application space.
	  Permit GNOME window manager to clean up without warning message
	  about unsaved data. Permit restart to keep proper character
	  translations for display. Clean up some free memory leaks and
	  update for Motif 2.0 XmString functions.

2009-04-02 18:22  gstueve

	* src/interface.c: Remove extraneous include entry.

2009-04-02 15:09  gstueve

	* src/xastir.h: Remove external reference to internal application
	  close out function.

2009-03-31 20:06  tvrusso

	* scripts/object2shp.pl: Fix a minor, but completely
	  inconsequential error in this script.  It would produce
	  shapefiles with every shape having the same ID attribute.
	  Doesn't matter at all since ID is not used for anything, but this
	  is the right fix.

2009-03-31 12:56  we7u

	* src/rac_data.c: Fixing a 64-bit mode bug in the RAC callsign
	  lookup code.

2009-02-06 09:22  gstueve

	* README.MAPS: Add hint for Australian rules Weather Alerts &
	  update address for FCC data.

2009-02-06 08:51  gstueve

	* scripts/get-NWSdata: Update to latest from US NWS.

2009-01-08 17:53  we7u

	* README.win32: Adding notes WRT a Cygwin xorg-x11-devel 7.x
	  compile error and how to fix it, courtesy of David Flood, KD7MYC.

2009-01-02 00:15  we7u

	* src/Makefile.am, src/alert.c, src/alert.h, src/awk.c, src/awk.h,
	  src/bulletin_gui.c, src/bulletin_gui.h, src/color.c, src/color.h,
	  src/database.h, src/datum.c, src/datum.h, src/db.c, src/db_gis.c,
	  src/db_gis.h, src/dbfawk.c, src/dbfawk.h, src/draw_symbols.c,
	  src/draw_symbols.h, src/fcc_data.c, src/fcc_data.h,
	  src/festival.c, src/festival.h, src/geo-client.c, src/geo-find.c,
	  src/geo.h, src/geocoder_gui.c, src/gps.c, src/gps.h,
	  src/hashtable.c, src/hashtable.h, src/hashtable_itr.c,
	  src/hashtable_itr.h, src/hashtable_private.h, src/hostname.c,
	  src/hostname.h, src/igate.c, src/igate.h, src/interface.c,
	  src/interface.h, src/interface_gui.c, src/io-common.c,
	  src/io-mmap.c, src/io.h, src/lang.c, src/lang.h,
	  src/leak_detection.h, src/list_gui.c, src/list_gui.h,
	  src/locate_gui.c, src/location.c, src/location_gui.c,
	  src/macspeech.c, src/main.c, src/main.h, src/map_WMS.c,
	  src/map_cache.c, src/map_cache.h, src/map_dos.c, src/map_gdal.c,
	  src/map_geo.c, src/map_gnis.c, src/map_pdb.c, src/map_shp.c,
	  src/map_tif.c, src/map_tiger.c, src/maps.c, src/maps.h,
	  src/messages.c, src/messages.h, src/messages_gui.c,
	  src/objects.c, src/objects.h, src/popup.h, src/popup_gui.c,
	  src/rac_data.c, src/rac_data.h, src/rotated.c, src/rotated.h,
	  src/rpl_malloc.c, src/rpl_malloc.h, src/shp_hash.c,
	  src/shp_hash.h, src/snprintf.c, src/snprintf.h, src/sound.c,
	  src/symbols.h, src/testdbfawk.c, src/track_gui.c,
	  src/track_gui.h, src/util.c, src/util.h, src/view_message_gui.c,
	  src/wx.c, src/wx.h, src/wx_gui.c, src/x_spider.c, src/x_spider.h,
	  src/xa_config.c, src/xa_config.h, src/xastir.h,
	  src/xastir_udp_client.c, AUTHORS, DEBUG_LEVELS, FAQ, INSTALL,
	  LICENSE, Makefile.am, NEWS, README, README.CVS,
	  README.Contributing, README.Getting-Started, README.MAPS,
	  README.win32, REGRESSION_TESTS, UPGRADE, acinclude.m4,
	  bootstrap.sh, changes.txt, configure.ac, install-xastir,
	  update-xastir, xastir.1, m4/Makefile.am: Updating copyright
	  notices for 2009.

2009-01-01 23:58  we7u

	* src/: rtree/Makefile.am, rtree/card.c, rtree/card.h,
	  rtree/gammavol.c, rtree/index.c, rtree/index.h, rtree/node.c,
	  rtree/rect.c, rtree/sphvol.c, rtree/split_l.c, rtree/split_l.h,
	  rtree/split_q.c, rtree/split_q.h, shapelib/Makefile.am,
	  shapelib/contrib/Makefile.am: Updating the copyright notices for
	  2009.

2009-01-01 23:56  we7u

	* scripts/: LSB-BUILD, LSB-BUILD-ALL, LSB-BUILD-CURL, LSB-BUILD-DB,
	  LSB-BUILD-GDAL, LSB-BUILD-GRAPHICSMAGICK, LSB-BUILD-JASPER,
	  LSB-BUILD-JPEG, LSB-BUILD-LESSTIF, LSB-BUILD-PCRE, LSB-BUILD-PNG,
	  LSB-BUILD-ZLIB, Makefile.am, Xastir_tigerpoly.py,
	  example_objects.log, get-NWSdata, get-fcc-rac.pl, get-gnis,
	  get-maptools.sh, get_shapelib.sh, langElmerFudd.pl,
	  langMuppetsChef.pl, langOldeEnglish.pl, langPigLatin.pl,
	  langPirateEnglish.pl, toporama250k.pl, toporama50k.pl,
	  xastir-fixcfg.sh, xastir-migrate.sh: Updating copyright notices
	  for 2009.

2009-01-01 23:54  we7u

	* callpass/: Makefile.am, callpass.c: Updating the copyright
	  notices for 2009.

2009-01-01 23:51  we7u

	* symbols/Makefile.am, symbols/symbols.dat, LaCrosse/Makefile.am,
	  LaCrosse/README, LaCrosse/bootstrap.sh, LaCrosse/configure.ac,
	  LaCrosse/src/Makefile.am, LaCrosse/src/defs.h,
	  LaCrosse/src/open2300db2APRS.c, help/Makefile.am,
	  help/help-Dutch.dat, help/help-English.dat, help/help-French.dat,
	  help/help-German.dat, help/help-Italian.dat,
	  help/help-Portuguese.dat, help/help-Spanish.dat,
	  Davis/Makefile.am, Davis/README, Davis/bootstrap.sh,
	  Davis/configure.ac, Davis/src/Makefile.am, Davis/src/db2APRS.c,
	  Davis/src/defs.h, config/24kgrid.dbfawk, config/Makefile.am,
	  config/gps_wpt.dbfawk, config/language-Dutch.sys,
	  config/language-English.sys, config/language-French.sys,
	  config/language-German.sys, config/language-Italian.sys,
	  config/language-Portuguese.sys, config/language-Spanish.sys,
	  config/nwsc_ddmmyy.dbfawk, config/nwsmzddmmyy.dbfawk,
	  config/nwsmzoddmmyy.dbfawk, config/nwsozddmmyy.dbfawk,
	  config/nwsw_ddmmyy.dbfawk, config/nwsz1ddmmyy.dbfawk,
	  config/nwsz_ddmmyy.dbfawk, config/nwszoddmmyy.dbfawk,
	  config/predefined_EVENT.sys, config/predefined_SAR.sys,
	  config/tgr2shp.dbfawk, config/tgr2shppoly.dbfawk,
	  config/tgr2shppoly_2006.dbfawk, config/tgrcty.dbfawk,
	  config/tgrkgl.dbfawk, config/tgrlk.dbfawk, config/tgrlpt.dbfawk,
	  config/tgrlpy.dbfawk, config/tgrplc00.dbfawk,
	  config/tgrwat.dbfawk, config/tnc-startup.aea,
	  config/tnc-startup.d700, config/tnc-startup.kam,
	  config/tnc-startup.kpc2, config/tnc-startup.kpc3,
	  config/tnc-startup.paccomm, config/tnc-startup.pico,
	  config/tnc-startup.sys, config/tnc-startup.thd7,
	  config/tnc-startup.tnc2, config/tnc-startup.tnc2-ui,
	  config/tnc-stop.d700, config/tnc-stop.sys, config/tnc-stop.thd7,
	  config/tnc-stop.tnc2-ui: Updating the copyright notices for 2009.

2008-12-31 20:37  we7u

	* src/xa_config.c: Changing xastir.cnf -> xastir.cnf.1 to a
	  copy_file() call instead of a move().  This assures that we'll
	  always have a config file in place even if we error-out before we
	  can complete the next block which renames xastir.cnf.tmp ->
	  xastir.cnf.

2008-12-31 20:18  we7u

	* src/xa_config.c: A better ordering for writing the config file.
	  We now write a temporary file.  If successful, we rename all the
	  backups and then rename the temporary file as the current config
	  file.  This should help to minimize the instances of config file
	  corruption.

2008-12-09 08:10  we7u

	* FAQ, README, README.Contributing, README.Getting-Started,
	  README.win32: Adding notes about having to subscribe to the
	  mailing lists before posting.

2008-11-26 09:39  we7u

	* src/draw_symbols.c: Correcting a comment.

2008-11-24 12:27  we7u

	* scripts/example_objects.log: Adding a link to the Xastir Wiki
	  where images of these objects can be seen.

2008-11-12 15:26  tvrusso

	* src/map_geo.c: Comment out the use of GetOnePixel and the
	  variable it assigns to.

	  This is for two reasons:

	   1) F*!#*ng ImageMagick has broken its API yet again with version
	  6.4.5,
	      making GetOnePixel no longer compatible with usage prior to
	  6.4.4
	   2) map_geo.c does this:
		PixelPacket target;
		target=GetOnePixel(image,0,0)
	      after which it does NOTHING with the pixel so retrieved.	So
	  commenting
	      out this useless line is less work than what I had started
	  doing,
	      which was hacking the configure detection of ImageMagick to
	  distinguish
	      between pre-6.4.5 and post-6.4.5, and coding around this
	  garbage.

	  I Hate ImageMagick.

2008-10-17 00:18  we7u

	* config/tnc-startup.aea: Turning on the HID function which is
	  required on AEA TNC's for proper identification if they're
	  digipeating.	Since we have digipeating turned on in this file...

2008-10-16 09:20  we7u

	* ChangeLog: Updating for devel release.

2008-10-08 21:57  we7u

	* src/map_shp.c: Getting rid of a 64-bit compiler warning by
	  changing an "(int)NULL" to a "0".

2008-10-08 21:56  we7u

	* src/db.c: Changing a debug format so that it doesn't cause a
	  warning on 64-bit machines.

2008-10-08 08:11  we7u

	* src/maps.c: Getting rid of two compiler warnings:  One by forcing
	  a terminator into the first char of a string buffer instead of
	  doing an empty xastir_snprintf(), another by casting a strlen()
	  result to an int for an fprintf.

2008-10-07 23:10  we7u

	* src/shp_hash.c: Reverting back to the original code for strncpy()
	  in this module:  The previous change caused a panic.

2008-10-07 22:59  we7u

	* src/shp_hash.c: Getting rid of another strncpy() call.

2008-10-07 22:43  we7u

	* src/util.c: Forcibly terminating a string as an added precaution.

2008-10-07 22:42  we7u

	* src/shp_hash.c: Adding some blank lines to delimit an strcpy()
	  call.

2008-10-07 22:41  we7u

	* src/objects.c: Getting rid of an strcat() call.

2008-10-07 22:41  we7u

	* src/db.c: Getting rid of some strncpy() calls.

2008-10-07 22:40  we7u

	* src/awk.c: Updating a comment.

2008-10-07 22:14  we7u

	* src/: db.c, fcc_data.c, hostname.c, igate.c, interface.c,
	  interface_gui.c, locate_gui.c, map_WMS.c, map_geo.c, map_shp.c,
	  map_tiger.c, maps.c, messages.c, objects.c, util.c, wx.c,
	  x_spider.c, xa_config.c: Fixing some off-by-one errors in string
	  handling.

2008-10-07 21:42  we7u

	* src/: alert.c, main.c: Fixing some off-by-one errors in string
	  handling.

2008-10-06 22:04  we7u

	* src/main.c: Fixing the my_text string buffer in TrackMouse() so
	  that it won't get overrun.  The worst conditions are English
	  Units, Dist/Bearing Status enabled, Degrees/Minutes/Seconds,
	  zoomed out to world view and putting the mouse in the "corner" of
	  the world (10,000+ miles).  This results in about 54 characters
	  being used whereas the original string buffer was only capable of
	  holding 49.

2008-09-26 07:30  gstueve

	* src/x_spider.c: Make sure both sides of the pipe are satisfied
	  before releasing the memory. The system is not happy about trying
	  to read data from free space.

2008-09-24 12:44  we7u

	* .cvsignore: Ignore the derived file "xastir-lsb.spec" as well.

2008-09-24 12:18  we7u

	* src/.cvsignore: Ignoring testdbfawk now instead of testawk file.

2008-09-24 11:03  gstueve

	* src/map_tiger.c: Found one more place that needed to release
	  ExceptionInfo when interrupted.

2008-09-24 09:16  tvrusso

	* README.MAPS, scripts/LSB-BUILD, src/Makefile.am, src/testawk.c,
	  src/testdbfawk.c: Rename "testawk" to "testdbfawk" and add it to
	  the list of programs that "make install" will install.

	  This addresses a couple of issues:   0) Testawk is a *terrible*
	  name for this program, because in fact it does      not test
	  "awk", the system program, but rather "dbfawk," the Xastir
	  feature inspired by awk but completely unrelated to awk in any
	  other sense.	  1) testawk was never installed by Xastir's build
	  process, meaning that       packagers of Xastir binaries for
	  various systems did not bundle this	    little program with
	  their binary packages.  There is even a bug in       debian's bug
	  tracker from an Xastir user asking that the xastir package
	  have testawk installed (in a non-standard place because of its
	     "generic, even misleading name") by the .deb package.

	  I've updated README.MAPS and the LSB-BUILD script to make them
	  refer to testdbfawk instead of testawk.  I'll still have to
	  change various web resources so they point at the new program,
	  too.

2008-09-22 13:19  we7u

	* src/x_spider.c: Removing an earlier change 'cuz it makes the
	  server ports die when a client disconnects.  Without this line
	  they appear to be solid again.

2008-09-11 06:07  we7u

	* src/main.c: Grey'ing out the xfontsel buttons when that app's not
	  available.

2008-09-09 22:38  we7u

	* src/xa_config.c: Saving/restoring the tracking station callsign
	  to/from the config file, but not saving the state of the tracking
	  toggle.  This means that the last tracked callsign will be
	  remembered but tracking will not be on when Xastir starts up.

2008-09-09 22:17  we7u

	* src/db.c: A proper label for the new "Track Station" button on
	  the Station Info dialog.

2008-09-09 22:11  we7u

	* src/db.c: Initial working version of "Track Station" from the
	  Station Info dialog.	Still needs additions to the language files
	  for the button label.

2008-09-09 20:10  we7u

	* src/interface.c: Adding some comments near four areas that cause
	  compiler warnings which we can currently do nothing about.

2008-09-09 20:09  we7u

	* src/testawk.c: Changing an int* to an int to get rid of a
	  compiler warning about a mismatch.

2008-09-09 20:07  we7u

	* acinclude.m4: Adding /opt/local/ directory to the test for
	  binaries (MacPorts).	Changing the order of some compiler flags
	  to help find GM before IM on FreeBSD systems.

2008-09-09 08:47  we7u

	* src/util.c: Changing the return type for a curl function to get
	  rid of a warning caused by newer versions of libcurl.

2008-09-09 08:37  we7u

	* src/: main.c, track_gui.c: Adding #ifdef's around SED and MV
	  calls.

2008-09-09 08:20  we7u

	* src/main.c: Added #ifdef around XFONTSEL call so that absence of
	  the binary won't cause compile problems.

2008-09-08 09:13  we7u

	* ChangeLog, scripts/Makefile.am: Adding lang* scripts to package
	  build.  Updating ChangeLog to latest.

2008-09-03 08:46  gstueve

	* config/.cvsignore: Get CVS to forget about the generated language
	  files.

2008-09-03 08:43  gstueve

	* src/main.c: Get valgrind to stop complaining about the lost
	  blocks in the app_context.

2008-09-03 06:06  we7u

	* scripts/langPirateEnglish.pl: Translating "Maps" as well as
	  "Map".

2008-08-31 16:45  we7u

	* scripts/langMuppetsChef.pl: Enabling more of the regex.  Much
	  better "translation".

2008-08-31 16:27  we7u

	* scripts/: langElmerFudd.pl, langMuppetsChef.pl, langPigLatin.pl,
	  langPirateEnglish.pl: More updates to the derived language
	  scripts.

2008-08-31 15:31  we7u

	* scripts/langOldeEnglish.pl: Rewriting the script so that
	  anchoring & substitutions work in the regex.

2008-08-31 13:52  we7u

	* bootstrap.sh, scripts/langElmerFudd.pl,
	  scripts/langMuppetsChef.pl, scripts/langOldeEnglish.pl,
	  scripts/langPigLatin.pl, scripts/langPirateEnglish.pl: Updates to
	  derived languages scripts, preparing for possible future uses.

2008-08-31 09:26  we7u

	* scripts/langPirateEnglish.pl: More for TLAPD.

2008-08-30 18:56  we7u

	* scripts/langPirateEnglish.pl: More Pirate updates.

2008-08-30 18:14  we7u

	* scripts/langPirateEnglish.pl: Latest Pirate updates.

2008-08-30 17:31  we7u

	* scripts/langPirateEnglish.pl: Added a few more Xastir-specific
	  translations.

2008-08-30 16:30  we7u

	* INSTALL, README.Getting-Started, README.win32, bootstrap.sh,
	  config/Makefile.am, help/help-English.dat, help/help-German.dat,
	  help/help-Italian.dat, help/help-Portuguese.dat,
	  help/help-Spanish.dat, src/main.c: Adding five new official
	  languages to the "-l" flag in Xastir.

2008-08-30 16:28  we7u

	* scripts/: langElmerFudd.pl, langMuppetsChef.pl,
	  langOldeEnglish.pl, langPirateEnglish.pl: Adding more official
	  languages.

2008-08-29 22:21  we7u

	* scripts/langPigLatin.pl: Changing a comment to avoid the RCS tag
	  substitution as well.

2008-08-29 22:19  we7u

	* scripts/langPigLatin.pl: Changed the match string so that RCS/CVS
	  won't substitute a new Id: string in our REGEX expression.

2008-08-29 22:12  we7u

	* scripts/langPigLatin.pl: Renamed from PigLatin.pl

2008-08-29 22:11  we7u

	* scripts/PigLatin.pl: Moving this file to langPigLatin.pl

2008-08-28 08:14  gstueve

	* scripts/: get-maptools.sh, get_shapelib.sh: Use available
	  resources to make use of temporary file as safe as possible.

2008-08-28 07:24  gstueve

	* scripts/get_shapelib.sh: Use same library logic as
	  get-maptools.sh and clear temporary file for our use.

2008-08-28 07:22  gstueve

	* scripts/get-maptools.sh: Make sure to get temporary file out of
	  way so we don't copy into something outside our expectation.

2008-08-27 06:25  tvrusso

	* acinclude.m4: Introduce proper quoting of AC_CACHE_CHECK
	  arguments in XASTIR_GUESS_RUNPATH_SWITCH macro.

2008-08-27 06:23  tvrusso

	* acinclude.m4: Fix the XASTIR_GUESS_RUNPATH_SWITCH macro so that
	  it uses AC_CACHE_CHECK with a CACHE-ID that conforms to the
	  naming conventions expected.

	  In versions of autoconf 2.62 and later, using a CACHE-ID without
	  the "_cv_" string included in its name produces an annoying and
	  possibly confusing warning message:

	   configure.ac:572: warning: AC_CACHE_VAL(xastir_runpath_switch,
	  ...): suspicious cache-id, must contain _cv_ to be cached
	   ../../lib/autoconf/general.m4:1973: AC_CACHE_VAL is expanded
	  from...
	   ../../lib/autoconf/general.m4:1993: AC_CACHE_CHECK is expanded
	  from...
	   acinclude.m4:1131: XASTIR_GUESS_RUNPATH_SWITCH is expanded
	  from...
	   acinclude.m4:1120: XASTIR_ADD_LIBPATH_TO is expanded from...
	   acinclude.m4:964: XASTIR_BERKELEY_DB_CHK_LIB is expanded from...
	   ../../lib/m4sugar/m4sh.m4:508: AS_IF is expanded from...
	   ../../lib/autoconf/general.m4:2461: AC_COMPILE_IFELSE is
	  expanded from...
	   ../../lib/autoconf/general.m4:2469: AC_TRY_COMPILE is expanded
	  from...
	   acinclude.m4:1059: XASTIR_BERKELEY_DB_CHK is expanded from...
	   configure.ac:572: the top level

	  several times during bootstrap.  By renaming
	  "xastir_runpath_switch" to "xastir_cv_runpath_switch" throughout
	  acinclude.m4, this warning is silenced and the variable is cached
	  as intended.

	  According to the autoconf documentation, cache variables *MUST*
	  have the "_cv_" string in their names.  It is only in recent
	  versions of autoconf that violating this requirement is actually
	  flagged as a warning.

2008-08-25 08:19  gstueve

	* src/testawk.c: Add prefix to indicate that we are printing
	  hexadecimal value.

2008-08-21 09:50  gstueve

	* src/bulletin_gui.c: Make sure everything is allocated for
	  bulletins before use.

2008-08-21 09:48  gstueve

	* src/dbfawk.c: Release memory & directory after we finish with
	  them.

2008-08-18 19:02  gstueve

	* scripts/get-fcc-rac.pl: No need to extract unsorted file to disk.
	  Process directly into script.

2008-08-15 13:24  we7u

	* configure.ac, scripts/BUILDRPMS: Setting up for 1.9.5 development
	  versions.

2008-08-15 12:51  we7u

	* ChangeLog: Updating ChangeLog to match latest changes (for
	  upcoming stable release).

2008-08-15 12:50  we7u

	* configure.ac, scripts/BUILDRPMS, scripts/LSB-BUILD,
	  scripts/do_xastir_release_dev, scripts/do_xastir_release_stable:
	  Updating version numbers for upcoming stable release.

2008-08-15 12:41  we7u

	* configure.ac: Checking for curl/curl.h include file in the
	  libcurl test to make sure we can actually compile with it.  Also
	  only check for wget if the libcurl tests fail.

2008-08-14 21:39  we7u

	* configure.ac: Adding a "--without-libcurl" option to configure.

2008-08-14 21:36  we7u

	* acinclude.m4: Slight reformatting of help text (added spaces).

2008-08-12 12:16  we7u

	* src/db.c: Changing a tab to a newline at the end of Tactical Call
	  in Station Info box.	This prepares us for longer tactical calls.

2008-08-05 20:03  gstueve

	* src/map_geo.c: Found one more place to release ExceptionInfo for
	  ImageMagick, hopefully last needed to minimize unbalanced memory
	  usage in maps.

2008-08-04 07:27  we7u

	* xastir-min.spec.in, xastir.spec.in, scripts/BUILDRPMS: Getting
	  rid of include/Xm/Xm.h requirement in RPM build spec files.
	  Uncommenting a few print statements in the BUILDRPMS script that
	  were commented out by mistake.

2008-08-03 10:26  we7u

	* xastir-min.spec.in, xastir.spec.in: Updating to new path for
	  Motif include files.

2008-08-03 09:18  we7u

	* scripts/BUILDRPMS: Preparing for creation of SuSE-11.0 RPM's.

2008-08-01 19:14  we7u

	* src/db.c: Adding debug_level filtering to the TACTICAL code.

2008-08-01 07:55  we7u

	* ChangeLog: Updating ChangeLog before doing -dev release.

2008-08-01 05:42  gstueve

	* src/: map_geo.c, map_WMS.c, map_tiger.c: Make sure that error
	  returns are covered by ImageMagick release code.

2008-07-31 23:21  gstueve

	* src/map_gdal.c: Give GDAL a chance to release data from
	  GDALAllRegister at end of run.

2008-07-31 20:24  gstueve

	* src/map_WMS.c: Make sure to deal with cleaning up ExceptionInfo
	  when finished with map.

2008-07-31 20:20  gstueve

	* src/map_tiger.c: Make sure to cleanup allocated space before
	  returning to caller.	ImageMagick exceptionInfo needed to be
	  destroyed when finished.

2008-07-31 17:09  we7u

	* src/: main.c, xa_config.c: Reverting to "fixed" font as the
	  default for the SYSTEM and STATION fonts.

2008-07-30 08:24  we7u

	* src/: database.h, db.c, util.c: More Tactical Call changes:
	  Assignments before a station shows up work.  Clearing an
	  assignment causes the string to be freed and the pointer nulled.
	  Max tactical call length is now 57.

2008-07-28 02:10  we7u

	* src/db.c: Cleaning up the input parameters for one of the new
	  tactical call helper routines.  Leading/trailing spaces on
	  callsign or tac-callsign affect the results little now.
	  Lower-case callsigns are converted to upper case now.  One minor
	  annoyance:  Blanking out callsigns using messages to TACTICAL
	  results in this being displayed in the station chooser when there
	  are more than one station under the mouse:  "()".  The proper
	  display should be the callsign in that case, so perhaps spaces
	  are still getting saved in the tactical callsign slot -or- the
	  tactical callsign string isn't getting free'd and the pointer
	  NULLed out (the latter is most likely).

2008-07-28 01:37  we7u

	* src/: db.c, util.c, util.h: The beginnings of being able to share
	  Tactical Call data with others over the air.	This code works,
	  decoding messages sent to "TACTICAL" which are in one of these
	  four formats:     My Home	WE7U-3=My Home	   WE7U-3=My
	  Home;WE7U-12=Curt's Jeep;WE7U-15=I Don't Know
	  WE7U-3=;WE7U-12=;WE7U-15= In the first case it'll assign "My
	  Home" as the tactical callsign for the station that sent the
	  message.  In the last case it'll remove tactical callsigns for
	  the listed stations.	For testing remember that you can't send a
	  new message to TACTICAL until the previous message has either
	  timed-out or been cancelled.

2008-07-18 08:26  gstueve

	* scripts/get-NWSdata: Update to current Marine Zone. There are
	  changes due in September for a few of the zone files. Need to
	  watch for implementation date.

2008-07-11 15:03  tvrusso

	* acinclude.m4: Fix spelling error in AC_SEARCH_LIBS line for
	  Magick/MagickCore.  This is mostly irrelevant, because LIBS
	  already has the right stuff in it if Magick-config --libs isn't
	  lying, and for most users this test will be a no-op.

2008-07-10 08:46  chicoreus

	* src/db_gis.c: Issue: 2015173 Missing #ifdef for MySQL causes
	  xastir to segfault when built with only --with-postgis. Found by
	  Jeffrey Johnson.

2008-07-07 15:26  tvrusso

	* src/maps.c: Fix map metadata for upper left corner.

	  Previously, the code was using the same coordinate pair to
	  compute the upper left and lower right corner strings.  For some
	  reason, this ultimately made somewhat correct labels for UTM, but
	  completely wrong labels for Lat/Lon.

	  Since this simple change makes the code produce correct labels
	  for all coordinate systems, and the other shouldn't have worked
	  for any, I feel safe committing it.  But I would have liked to
	  understand why it worked at all for UTM.

2008-07-07 09:53  we7u

	* ChangeLog: [no log message]

2008-07-03 07:55  gstueve

	* src/alert.c: Increase size of titles for alerts to allow for
	  large area alerts to be processed w/o loss of compressed info.

2008-07-03 06:12  we7u

	* src/db.c: If text on black background style selected, draw a
	  black rectangle in that corner of the map first so that the scale
	  lines show up well.

2008-07-02 17:12  gstueve

	* AUTHORS, src/main.h: Update current callsign for K4INT.

2008-07-02 12:06  gstueve

	* src/map_WMS.c: Remove extra fclose(f) of already closed file.
	  Keep everyone happy.

2008-07-02 11:03  we7u

	* src/db.c: Decode DAO patch by Tapio Sokura, OH2KKU.  This doesn't
	  do anything with any datum transmitted, but does give us the
	  extra precision sent via the DAO extension.  We still need to
	  change the white precision rectangle for the station on our map
	  to make it smaller (not included in this change).

2008-07-02 06:54  we7u

	* src/db.c: Feature request 756236:  Have Range Scale and Ruler
	  text at bottom of map screen follow the same text style selection
	  as the station text, to make them easier to read.

2008-07-01 20:04  we7u

	* src/: bulletin_gui.c, db.c, draw_symbols.c, geocoder_gui.c,
	  interface_gui.c, list_gui.c, locate_gui.c, location_gui.c,
	  main.c, map_geo.c, maps.c, messages_gui.c, objects.c,
	  popup_gui.c, track_gui.c, view_message_gui.c, wx_gui.c, xastir.h:
	  The remaining major updates to allow changing the "system" or
	  "menu" font throughout the applicaton.

2008-06-30 18:47  gstueve

	* scripts/get-gnis: Remove extra path separator.

2008-06-30 16:40  we7u

	* src/: draw_symbols.c, main.c, maps.c, popup_gui.c, xa_config.c,
	  xastir.h: Patches to implement a GUI interface for changing
	  fonts, plus added error-checking to some of the font code.

2008-06-30 16:39  we7u

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: The first of two
	  commits adding a GUI interface for changing system/
	  station/atv_id fonts.

2008-06-30 07:02  gstueve

	* scripts/get-gnis: Update path for file from USGS and adjust
	  suffix for current file layout.

2008-06-27 13:10  we7u

	* src/main.c: More menus converted to allow using user-specified
	  fonts.

2008-06-27 12:48  we7u

	* src/: main.c, popup_gui.c, xa_config.c, xastir.h: Adding the
	  capability for users to specify the fonts used for the system
	  fonts, station fonts (on map screen), and the ATV_ID font.
	  Currently the users will have to edit the fonts in xastir.cnf,
	  but later a GUI access method for editing can be added.

2008-06-27 12:45  we7u

	* src/maps.c: Fixing the initialization of arrays for map labels.

2008-06-27 06:41  we7u

	* configure.ac, src/main.c, src/track_gui.c: Adding path tests for
	  "mv", "sed", and "xfontsel", plus the correct bits of code in the
	  .c files to use those paths.

2008-06-26 12:10  we7u

	* src/main.c: Specifying more of the font characteristics for the
	  font used when USE_LARGE_STATION_FONT is defined.

2008-06-26 07:41  we7u

	* src/db.c: A fix for the Citizen's Weather filter to get rid of
	  the new "DW" prefixed stations, plus more strict filtering so
	  that we don't also get rid of Uruguay and Phillipines weather
	  stations with this same filter.

2008-06-25 16:30  we7u

	* src/main.c: Fixing the system fonts so that they work on more
	  systems.

2008-06-25 06:41  we7u

	* scripts/toporama250k.pl: Updated the instructions for running the
	  script plus got rid of DOS line-end characters that had somehow
	  crept in.  Those line-end characters prevented the Perl
	  interpreter from running on Linux.

2008-06-25 06:39  we7u

	* scripts/toporama50k.pl: Updated the instructions for running the
	  script.

2008-06-25 06:38  we7u

	* help/help-English.dat: Changed the name of the fcc-get script to
	  get-fcc-rac.pl

2008-06-25 06:37  we7u

	* src/db.c: Station Info:  Special-case check for objects sent by
	  "WINLINK".  We keep the object name as the "origin" in this case
	  instead of "WINLINK".  This solves the "FCC" instead of "RAC"
	  button problem for objects with Canadian callsigns, allowing us
	  to look of RAC licensing information.

2008-06-24 08:52  we7u

	* README.Getting-Started, README.MAPS: Updating the name of the
	  get-fcc-rac.pl script in the docs.

2008-06-24 08:48  we7u

	* scripts/: Makefile.am, fcc-get, fcc-get.pl, get-fcc-rac.pl:
	  Combined fcc-get and fcc-get.pl into one script called
	  get-fcc-rac.pl

2008-06-23 15:42  we7u

	* README: Adding the SuSE-11.0 Ham Radio repository URL.

2008-06-13 06:43  gstueve

	* scripts/get-NWSdata: Remove the bashism to keep people happy.

2008-06-13 00:37  gstueve

	* config/nwsz_ddmmyy.dbfawk: Actually get the signature template
	  right for Watches.

2008-06-13 00:25  gstueve

	* config/: nwsmzddmmyy.dbfawk, nwsz_ddmmyy.dbfawk: Actually get the
	  template to match the available dataset.

2008-06-12 20:27  gstueve

	* scripts/get-NWSdata: Missed that one of the files was in a
	  different directory.

2008-06-12 18:49  gstueve

	* scripts/get-NWSdata: Introduced bashism to reduce size & improve
	  consistency for all files.

2008-06-12 12:30  gstueve

	* config/Makefile.am, config/nwsz1ddmmyy.dbfawk,
	  config/nwsz_ddmmyy.dbfawk, scripts/get-NWSdata: Adjust script and
	  dbfawk for current set of files from NWS.  There are newer sets
	  of files for upcoming dates.

2008-06-11 06:39  gstueve

	* src/x_spider.c: Reduce side effects of free memory by clearing
	  pointer after deallocation.

2008-06-09 12:28  we7u

	* scripts/: LSB-BUILD, LSB-BUILD-ALL, LSB-BUILD-GRAPHICSMAGICK:
	  Committing latest changes for LSB build.  Am not done yet getting
	  LSB to build properly on OpenSUSE-10.3, but this is a good start.

2008-06-09 12:25  we7u

	* ChangeLog: Keeping it up to date with CVS commits.

2008-06-09 12:23  we7u

	* scripts/do_xastir_release_stable: Changed SF upload process to
	  match what they currently allow.

2008-06-09 12:23  we7u

	* scripts/do_xastir_release_dev: Change SF upload process to match
	  what they currently allow.

2008-06-04 04:23  gstueve

	* src/db.c: Allow Objects that have space in name to work with
	  Tactical Call Sign addition.

2008-05-30 08:32  gstueve

	* src/db.c: Add tactical call sign to station pick list when
	  multiple stations under cursor.

2008-05-29 10:15  we7u

	* FAQ, README.Getting-Started: Updating some of the PATH wording.

2008-05-27 12:04  gstueve

	* src/messages.c: Start fixing elements to allow Group & Bulletin
	  messages to go unacknowledged.

2008-05-21 09:08  tvrusso

	* src/util.c: Fix makeMultiline (an unused function) so that it
	  produces offsets in the same sense that xastir decodes them ---
	  i.e. that positive longitude offsets are west of the reference
	  point.

2008-05-09 11:20  gstueve

	* src/interface.c: Make sure not to add break character if no
	  altitude to be reported.

2008-05-09 11:18  gstueve

	* src/: util.c, util.h: Make sure course and speed are treated as
	  non-negative numbers only.

2008-05-06 04:05  gstueve

	* scripts/fcc-get.pl: Remove extra CR at end of each line and deal
	  with full list only once.

2008-05-05 13:00  gstueve

	* scripts/: Makefile.am, fcc-get, fcc-get.pl: Adjust fcc file
	  processing to deal with vanity call update.

2008-05-02 09:58  tvrusso

	* acinclude.m4: Change "AC_CHECK_LIB" to "AC_SEARCH_LIBS" for
	  ImageMagick.

	  A recent update to ImageMagick stuffs the "WriteImage" function
	  into libMagickCore instead of libMagick, and the older probe was
	  missing it.

	  With this change, I see that WriteImage gets found without adding
	  anything to LIBS, because "Magick-config" already stuffed the
	  right thing into LIBS.

2008-04-13 22:31  we7u

	* src/util.c: Fixing a bug found with latest wget:  --timestamping
	  and -O options can't be used together.  Getting rid of the
	  timestamping option which we can live without.

2008-04-13 21:31  we7u

	* src/util.c: Updating wget and libcurl fetches to specify "Xastir"
	  as the user-agent string in the request.  This is to support the
	  new restrictions that findu.com has implemented.

2008-03-20 21:11  chicoreus

	* src/: db.c, interface_gui.c, main.c: Minor cleanup of comments
	  and un-needed code from testing problems with database
	  connections.

2008-03-20 21:00  chicoreus

	* src/: db.c, db_gis.c, db_gis.h, interface.c, interface_gui.c,
	  main.c: Identified and fixed problem underlying stability of
	  multiple database connections (space for connection structures
	  was incorrectly allocated so that writing an error message into
	  one connection overwrote memory used by another connection).
	  Fixed additional problems related to connection failures and
	  added more resilience to database connection problems.

2008-03-18 19:10  chicoreus

	* src/: db.c, db_gis.c, db_gis.h, interface.c, interface_gui.c,
	  main.c, main.h: Overhaul of the way sql database connections are
	  handled, reducing the complexity by eliminating the
	  ConnectionList struct, and creating an array of Connections, one
	  for each interface.  More than one database connection can now be
	  run at once, though there is still an issue with pointers or
	  memory handling somewhere and instabilites can be produced by
	  stopping and starting database connections.

	  Moved all the db_gis related debug_level tests from 1 to 4096.

2008-03-11 20:27  tvrusso

	* acinclude.m4: Fix a fairly dumb thing in the probe for Berkeley
	  DB --- it was always resetting the result (BDB_LIB_FOUND) to
	  "-ldb" even if the actual library found was something else.  This
	  variable was used only to report to the user what library was
	  found, never as the actual "-l" flag.  This could have led to
	  confusion, but not improper operation.

2008-03-06 12:47  we7u

	* scripts/BUILDRPMS: Updating to SuSE-10.3 for generation of RPM's.

2008-03-03 20:00  tvrusso

	* README.MAPS: Add link to FAA digital data products web site.	You
	  can purchase FAA sectionals in GeoTIFF format there.

2008-02-29 08:54  chicoreus

	* src/: database.h, db.c, db_gis.c, interface_gui.c: Added trails
	  to db_gis code. Multiple points from one station retrieved from a
	  database query are added as trailpoints.  Existing stations heard
	  from other sources and retrieved from a database query aren't
	  duplicated as DataRows, but have appropriate trail points added
	  (if the existing position is older than the database data, the
	  existing position becomes as trailpoint; if the database data is
	  older, it gets added as trailpoints).

	  Added timeformat to add_simple_station, as Postgresql and MySQL
	  timestamps don't both include the local timezone "%z" in the
	  current simple station query formats.

	  Added APRS_WXn character constants as a workaround, since
	  AprsTypes and Record Type character constants are used
	  inconsistently in DataRow.record_type, and AprsTypes without
	  character constants don't write cleanly into MySQL or Postgresql
	  database records.

	  Added and commented out lines to start database connections from
	  interfaces Left commented out as multiple open database
	  connections are still unstable and segfault.

2008-02-27 20:02  gstueve

	* scripts/fcc-get: FCC moved the database again. Look for it in new
	  place.

2008-02-21 20:57  chicoreus

	* src/: database.h, db.c, db_gis.c, interface.c: Improvements to
	  the tollerance of the db_gis code to problems with connections to
	  databases and improved reporting of problems in making
	  connections.

	  Added code to add tracks for stations retrieved from the
	  database.  Still needs work, as the existing db.c code for adding
	  stations and points to the tracks of stations makes different
	  assumptions about the order in which positions are recieved than
	  the order of records queried in db_gis.c.

2008-02-21 20:51  chicoreus

	* scripts/: db_gis_mysql.sql, db_gis_postgis.sql: Adding some
	  indexes to speed up retrieval of station records.  Adding a view
	  that could be used with mapserver to return icon files for each
	  station.

2008-02-16 08:15  we7u

	* src/main.c: Switching the Garmin RINO processing to use
	  uncompressed packets for now as there is a problem with either
	  this section of code or the Compressed encoding code for
	  particular positions.  Change the ABOUT message to include
	  additional copyright information.

2008-02-07 18:47  chicoreus

	* src/: main.c, main.h, maps.c, maps.h, xa_config.c: Adding two new
	  KML export features:

	  1) KML Snapshots - on a regular basis (using the same timing as
	  PNG snapshots), write all currently known stations to a kml file.

	  2) KML file to accompany PNG snapshots.  After converting
	  snapshot.png to snapshot.jpg, the accompanying snapshot.kml file
	  can be used to layer the snapshot.jpg image on the landscape in a
	  kml application.

	  The KML produced is valid and appears to work, but hasn't been
	  extensively tested.

	  This (along with the allready committed export a single station
	  track to kml feeature) should complete the feature request for
	  KML export:
	  http://sourceforge.net/tracker/index.php?func=detail&aid=1863377&group_id=45562&atid=443274

2008-02-07 18:35  chicoreus

	* help/help-English.dat: Added help text describing KML export and
	  snapshot features.

2008-02-07 18:33  chicoreus

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Adding menu item
	  for regular snapshots of all heard stations to a kml file,
	  analogus to png snapshots.

2008-02-07 18:29  chicoreus

	* scripts/: kml_snapshot_feed.kml, kml_snapshot_to_web.sh: An
	  example kml file and a shell script to allow png snapshots with
	  their accompanying snapshot.kml file to be used as a regularly
	  updated kml feed on a webserver (allowing the current snapshot
	  from xastir to be draped over the landscape in a kml application
	  remotely subscribing to the feed.)

2008-01-29 19:08  chicoreus

	* help/help-English.dat: Correcting a spelling error (found by
	  Curt).

	  Placing more references to button titles in quotes to make the
	  description of the station info dialog more consistent.

	  Clarifying (hopefully) some of the description of saving tracks
	  from the station info dialog.

2008-01-25 21:45  chicoreus

	* src/: db.c, util.c, util.h: Added a utility function to return a
	  date/time in w3c timestamp format, required for valid timestamps
	  in kml files.

	  Rearranged the log station to kml code, and added timestamped
	  placemarks for each location of a station in a track.  This
	  produces kml output that validates, and should behave like the
	  "Shroeder" whale shark example file (moving a station location
	  along its track as a time slider control is moved in Google
	  Earth).  This has not yet been tested to see if the behavior is
	  as desired.

2008-01-24 22:21  chicoreus

	* INSTALL, config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, help/help-English.dat: Localization
	  for Station->Export All->Export kml menu items.

	  User documentation of KML export.

	  User documentation for spatial database support.

	  Added some fault recovery comments to spatial database
	  configuration section of INSTALL.

2008-01-24 22:18  chicoreus

	* src/: database.h, db.c, main.c: Adding Station->Export all menu,
	  with option to export all station records to a single kml file.

2008-01-24 14:36  chicoreus

	* src/: interface_gui.c, main.c, objects.c: Fix for bug 1863228.
	  Lesstif doesn't yet fully support combo boxes, which are used in
	  4 places in Xastir (for user configurable predefined objects file
	  in defaults dialog, cad object line type in the cad object
	  details dialog, and twice in the interface properties dialog when
	  defining a sql database interface.

	  An alternate lesstif menu that mimics a combo box control
	  (modified from xpdf's XPDFViewer.cc), is applied in three of
	  these four cases (the fourth currently only has a single option,
	  and might not be the best control for the situation, picking
	  database schema type[s]).

	  This has been tested on lesstif 0.94.4 and openmotif 2.3.0.

2008-01-23 00:23  we7u

	* src/interface.c: Added "volatile" keyword to a couple of
	  variables to assure they don't get overwritten by longjmp.

2008-01-22 23:34  we7u

	* src/track_gui.c: Converting from mucking with pointers to pass to
	  variables to a thread, to passing a pointer to a struct instead.
	  This last method should avoid architecture-dependent problems in
	  the download findu trail processing.

2008-01-22 23:08  we7u

	* src/track_gui.c: Added a comment regarding a section of code
	  which does type-punning and may be architecture-dependent.

2008-01-22 23:07  we7u

	* src/messages.c: Commented out "altgroup" section of conditional
	  which always equates to true ('cuz it's an address).

2008-01-22 23:05  we7u

	* src/interface.c: Added a couple of comments.

2008-01-22 22:00  we7u

	* src/map_cache.c: Reformatting debug statement so that it won't
	  generate compiler warnings.

2008-01-22 20:49  we7u

	* src/wx.c: Fixing a buffer overrun.  Found via a compiler warning
	  on OpenSuSE-10.3

2008-01-22 20:48  we7u

	* src/map_geo.c: Reformatting a debug statement so it won't cause
	  compiler warnings.

2008-01-22 20:47  we7u

	* src/map_gdal.c: Getting rid of a conditional that always
	  evaluates as true:  The address of "label".

2008-01-22 20:46  we7u

	* src/map_dos.c: Fixing an array overflow condition that has
	  existed for a LONG time.  Found via a compiler warning on
	  OpenSuSE-10.3

2008-01-22 20:45  we7u

	* src/map_WMS.c: Changing debug statement format so it won't cause
	  a compiler warning to be issued.

2008-01-22 20:43  we7u

	* INSTALL: Adding a note about RINO's:	That Xastir cannot cause a
	  poll of the remote RINO units over the air.

2008-01-18 18:49  chicoreus

	* src/db_gis.c: More cleanup of db_gis code.

2008-01-18 18:48  chicoreus

	* src/main.c: Adding test in UpdateTime to avoid opening the same
	  database interface twice during startup if it is marked to both
	  activate on startup and load stations on startup.

2008-01-17 19:21  chicoreus

	* src/: db.c, db_gis.c, main.c: Minor stability improvements to
	  db_gis code.	Adding some sanity checks for null database
	  connections when running queries to reduce segfaults.

	  Begining cleanup of the db_gis code.	Removing some leftover
	  unused variables and code.  Explicit type casting of some
	  pointers in function calls to suppress compiler warnings.

2008-01-16 20:33  chicoreus

	* src/: database.h, db.c, db_gis.c, main.c, objects.c: First pass
	  at exporting station tracks as kml files.  On clicking store
	  track on the station information dialog, both an xastir format
	  file and a kml file for the selected station will be written to
	  ~/.xastir/tracklogs

	  Added more comments on how database schema version and series
	  compatability should work.

	  Fixed (superficially) a bug where station data would be written
	  to a non-open database connection causing a segfault.  Connection
	  handling in db_gis is fragile and needs review.

2008-01-16 11:38  we7u

	* scripts/: BUILDRPMS, LSB-BUILD: Updating to 1.9.3 release number.

2008-01-16 11:33  we7u

	* AUTHORS, ChangeLog, DEBUG_LEVELS, FAQ, INSTALL, LICENSE,
	  Makefile.am, NEWS, README, README.CVS, README.Contributing,
	  README.Getting-Started, README.MAPS, README.win32,
	  REGRESSION_TESTS, UPGRADE, acinclude.m4, bootstrap.sh,
	  changes.txt, configure.ac, install-xastir, update-xastir,
	  xastir.1, Davis/Makefile.am, Davis/README, Davis/bootstrap.sh,
	  Davis/configure.ac, Davis/src/Makefile.am, Davis/src/db2APRS.c,
	  Davis/src/defs.h, LaCrosse/Makefile.am, LaCrosse/README,
	  LaCrosse/bootstrap.sh, LaCrosse/configure.ac,
	  LaCrosse/src/Makefile.am, LaCrosse/src/defs.h,
	  LaCrosse/src/open2300db2APRS.c, callpass/Makefile.am,
	  callpass/callpass.c, config/24kgrid.dbfawk, config/Makefile.am,
	  config/gps_wpt.dbfawk, config/language-Dutch.sys,
	  config/language-English.sys, config/language-French.sys,
	  config/language-German.sys, config/language-Italian.sys,
	  config/language-Portuguese.sys, config/language-Spanish.sys,
	  config/nwsc_ddmmyy.dbfawk, config/nwsmzddmmyy.dbfawk,
	  config/nwsmzoddmmyy.dbfawk, config/nwsozddmmyy.dbfawk,
	  config/nwsw_ddmmyy.dbfawk, config/nwsz_ddmmyy.dbfawk,
	  config/nwszoddmmyy.dbfawk, config/predefined_EVENT.sys,
	  config/predefined_SAR.sys, config/tgr2shp.dbfawk,
	  config/tgr2shppoly.dbfawk, config/tgr2shppoly_2006.dbfawk,
	  config/tgrcty.dbfawk, config/tgrkgl.dbfawk, config/tgrlk.dbfawk,
	  config/tgrlpt.dbfawk, config/tgrlpy.dbfawk,
	  config/tgrplc00.dbfawk, config/tgrwat.dbfawk,
	  config/tnc-startup.aea, config/tnc-startup.d700,
	  config/tnc-startup.kam, config/tnc-startup.kpc2,
	  config/tnc-startup.kpc3, config/tnc-startup.paccomm,
	  config/tnc-startup.pico, config/tnc-startup.sys,
	  config/tnc-startup.thd7, config/tnc-startup.tnc2,
	  config/tnc-startup.tnc2-ui, config/tnc-stop.d700,
	  config/tnc-stop.sys, config/tnc-stop.thd7,
	  config/tnc-stop.tnc2-ui, help/Makefile.am, help/help-Dutch.dat,
	  help/help-English.dat, help/help-French.dat,
	  help/help-German.dat, help/help-Italian.dat,
	  help/help-Portuguese.dat, help/help-Spanish.dat, m4/Makefile.am,
	  scripts/LSB-BUILD, scripts/LSB-BUILD-ALL, scripts/LSB-BUILD-CURL,
	  scripts/LSB-BUILD-DB, scripts/LSB-BUILD-GDAL,
	  scripts/LSB-BUILD-GRAPHICSMAGICK, scripts/LSB-BUILD-JASPER,
	  scripts/LSB-BUILD-JPEG, scripts/LSB-BUILD-LESSTIF,
	  scripts/LSB-BUILD-PCRE, scripts/LSB-BUILD-PNG,
	  scripts/LSB-BUILD-ZLIB, scripts/Makefile.am, scripts/PigLatin.pl,
	  scripts/Xastir_tigerpoly.py, scripts/example_objects.log,
	  scripts/fcc-get, scripts/get-NWSdata, scripts/get-gnis,
	  scripts/get-maptools.sh, scripts/get_shapelib.sh,
	  scripts/toporama250k.pl, scripts/toporama50k.pl,
	  scripts/xastir-fixcfg.sh, scripts/xastir-migrate.sh,
	  src/Makefile.am, src/alert.c, src/alert.h, src/awk.c, src/awk.h,
	  src/bulletin_gui.c, src/bulletin_gui.h, src/color.c, src/color.h,
	  src/database.h, src/datum.c, src/datum.h, src/db.c, src/db_gis.c,
	  src/db_gis.h, src/dbfawk.c, src/dbfawk.h, src/draw_symbols.c,
	  src/draw_symbols.h, src/fcc_data.c, src/fcc_data.h,
	  src/festival.c, src/festival.h, src/geo-client.c, src/geo-find.c,
	  src/geo.h, src/geocoder_gui.c, src/gps.c, src/gps.h,
	  src/hashtable.c, src/hashtable.h, src/hashtable_itr.c,
	  src/hashtable_itr.h, src/hashtable_private.h, src/hostname.c,
	  src/hostname.h, src/igate.c, src/igate.h, src/interface.c,
	  src/interface.h, src/interface_gui.c, src/io-common.c,
	  src/io-mmap.c, src/io.h, src/lang.c, src/lang.h,
	  src/leak_detection.h, src/list_gui.c, src/list_gui.h,
	  src/locate_gui.c, src/location.c, src/location_gui.c,
	  src/macspeech.c, src/main.c, src/main.h, src/map_WMS.c,
	  src/map_cache.c, src/map_cache.h, src/map_dos.c, src/map_gdal.c,
	  src/map_geo.c, src/map_gnis.c, src/map_pdb.c, src/map_shp.c,
	  src/map_tif.c, src/map_tiger.c, src/maps.c, src/maps.h,
	  src/messages.c, src/messages.h, src/messages_gui.c,
	  src/objects.c, src/objects.h, src/popup.h, src/popup_gui.c,
	  src/rac_data.c, src/rac_data.h, src/rotated.c, src/rotated.h,
	  src/rpl_malloc.c, src/rpl_malloc.h, src/shp_hash.c,
	  src/shp_hash.h, src/snprintf.c, src/snprintf.h, src/sound.c,
	  src/symbols.h, src/testawk.c, src/track_gui.c, src/track_gui.h,
	  src/util.c, src/util.h, src/view_message_gui.c, src/wx.c,
	  src/wx.h, src/wx_gui.c, src/x_spider.c, src/x_spider.h,
	  src/xa_config.c, src/xa_config.h, src/xastir.h,
	  src/xastir_udp_client.c, src/rtree/Makefile.am, src/rtree/card.c,
	  src/rtree/card.h, src/rtree/gammavol.c, src/rtree/index.c,
	  src/rtree/index.h, src/rtree/node.c, src/rtree/rect.c,
	  src/rtree/sphvol.c, src/rtree/split_l.c, src/rtree/split_l.h,
	  src/rtree/split_q.c, src/rtree/split_q.h,
	  src/shapelib/Makefile.am, src/shapelib/contrib/Makefile.am,
	  symbols/Makefile.am, symbols/symbols.dat: Updating the copyright
	  notices for 2008.

2008-01-16 10:32  we7u

	* configure.ac: Preparing for devel release, bumping revision
	  number.

2008-01-10 07:35  chicoreus

	* src/: interface.c, main.c, objects.c: Fixing bug where
	  objects/items created by the user are not displayed until Xastir
	  is restarted.

	  Adding more debugging information when loading predefined objects
	  from a file.

2008-01-09 21:06  chicoreus

	* src/: db.c, db_gis.c: Fix from Curt for some compile warnings in
	  xastirWKTPointToLatitude().

	  Fix to incorrect data being written to MySQL table
	  simpleStationSpatial in the origin and node_path fields.

	  Note: When selecting data from MySQL simpleStationSpatial, use
	  the AsText() function on position.  For example, to retrieve the
	  10 most recently heard stations: select station, symbol, overlay,
	  aprstype, AsText(position), transmit_time, origin,  record_type,
	  node_path from simpleStationSpatial order by transmit_time desc
	  limit 10 ;

2008-01-08 17:22  chicoreus

	* src/interface.c: Possible bug fix for the can't have two sql
	  database interfaces open at the same time issue.

	  Pointers around Connections need review.

2008-01-08 07:00  chicoreus

	* src/: db_gis.c, db_gis.h, interface.c, main.c: db_gis.c
	  closeConnection now linked to stop button on interfaces.

	  SQL database state (open,closed,error[on connect only]) state
	  shown on interface list.

2008-01-07 20:35  chicoreus

	* INSTALL, scripts/db_gis_mysql.sql, scripts/db_gis_postgis.sql,
	  src/db_gis.c, src/interface_gui.c, src/objects.c: Added some
	  installation instructions for spatial database support.

	  Added a workaround for lesstif not having full implementation of
	  combo boxes (borrowed from xpdf's XPDFViewer.cc) to the dbms
	  selection control on the spatial database interface dialog.  Fix
	  needs to be propagated to several other places.

	  Fixes to sql scripts to build mysql and postgis database tables.

2008-01-01 14:58  chicoreus

	* src/: database.h, db.c, db_gis.c, db_gis.h, interface.c,
	  interface.h, interface_gui.c, main.c, main.h, xa_config.c:
	  Significant updates to db_gis code, supporting storage of station
	  data to both MySQL and postgis enabled Postgresql databases.
	  Stations heard in Xastir can have the core station information
	  logged to either a Postgres or MySQL database (Bug: currently
	  both aren't working at the same time), and then retrieved in a
	  subsequent Xastir session (or by a different Xastir instance, or
	  by another GIS application (such as QGIS over a postgis database
	  populated from Xastir)).

	  Tested with MySQL 5.0.32, may not work with MySQL 4.1.  Tested
	  with Postgres 8.1.9

2008-01-01 14:50  chicoreus

	* scripts/: db_gis_mysql.sql, db_gis_postgis.sql: Adding sql
	  scripts to create tables for persistent storage of basic station
	  data.  One script for mysql, another for postgis enabled
	  postgresql.  Currently only supports a single simple table with
	  the minimun station information.

2007-12-18 12:56  tvrusso

	* configure.ac: Fix improper probing of curl library when LSB is
	  not being used.

	  AC_CHECK_LIB can have two or three arguments.  With two arguments
	  it tests for the presence of a function named in the second
	  argument in the library named by the first argument, and if found
	  defines HAVE_LIBxxxxx and adds -lxxxxx to LIBS.

	  In the three-argument case, it does the probe the same way, but
	  instead of the default "define HAVE_LIBxxxxx and add -lxxxxx to
	  LIBS" it does what it's told in the third argument.  That means
	  if you want to rely on HAVE_LIBxxxxx and LIBS="${LIBS} -lxxxxx"
	  then you have to do it yourself in the third argument.

	  The AC_CHECK_LIB for curl was only doing the extra thing, which
	  was to set "use_curl" to "yes".

	  I recently discovered this by trying to build and use xastir on a
	  freshly installed system that had libcurl but no wget (most of my
	  other systems have both).  The bug in the use of AC_CHECK_LIB
	  meant that libcurl was found, but never linked in nor was
	  HAVE_LIBCURL ever set in config.h.

	  With this fix, curl is now both properly detected *and* the
	  detection properly communicated to the code.

2007-12-13 22:23  tvrusso

	* config/tgr2shp.dbfawk: Add "P" feature class to handle
	  "Provisional" road data in TIGER/Line shapefiles.  According to
	  the TIGER/Line Technical Documentation for feature class "P"

	     The U.S. Census Bureau has created a new CFCC type that may
	  appear on
	     street features only.  Some streets that normally would be
	  classified as
	     "A" class features may be coded with a "P" instead of the "A"
	  to indicate
	     that the feature is a a "provisional" feature.  Provisional
	  features are
	     those streets that were added from reference sources or other
	  programs
	     in preparation for Census 2000, but were not field verified by
	  census staff
	     during field operations or through the use of aerial
	  photography or imagery.
	     As these featues are verified in futuer operations the
	  provisional flag
	     will be removed for subsequent TIGER/Line releases.  The
	  numeric portion
	     of the CFCC still classifies the street as if an "A" were
	  preceding it.

	  So this just involves changing the matching pattern from
	  CFCC=A... to CFCC=[AP]... in all the feature-class A rules.

2007-12-05 08:40  tvrusso

	* README.MAPS: Add more text to the section on Geocommuity's DRG
	  Data Bundle deals.  Turns out that some areas have DRGs produced
	  by some agency other than the USGS, and those agencies don't
	  necessarily produce GeoTiff files with proper metadata.  The
	  Tennesee Valley Authority is among those agencies that don't
	  properly include GeoTiff tags for projection and datum.  This
	  renders DRG data bundles for states with portions of their area
	  covered by the TVA partially defective --- special preprocessing
	  is necessary to get the files into a state that can be used in
	  Xastir.

2007-11-14 07:05  tvrusso

	* README.MAPS: Add a pointer to a vendor of inexpensive GeoTIFF
	  format DRGs for the US.  They're one of the USGS's data partners
	  that is listed elsewhere in the document, but in a different
	  context.

	  Thanks to Eric, KZ5ED, for calling it to my attention.

2007-11-07 13:37  tvrusso

	* src/: main.c, map_WMS.c, map_geo.c, map_tiger.c, maps.c: Work
	  around the fact that ImageMagick's api.h rudely includes their
	  autoconf-generated config.h, which therefore defines the same
	  PACKAGE and VERSION macros that we do.

	  In most files, this produces an annoying but harmless warning
	  message about a redefinition.  For main.c, however, it cause
	  Magick's PACKAGE name and VERSION to be used in place of our own.
	   That is, our About window will announce that we're ImageMagick
	  version 6.3.x.

	  For the files in which it's a harmless warning, I've done an
	  #undef of the two macros to shut up the compiler warnings.

	  In main.c, I've created two new char* variables and initialized
	  them to PACKAGE and VERSION before including magick's api.h, and
	  then undef'd them.  This preservs the contents of our macros by
	  substituting them in C code right away, then gets rid of them so
	  the warnings are shut up.

	  Attempting to do:   #define XASTIR_PACKAGE PACKAGE   #undef
	  PACKAGE   #include <magick/api.h>   #undef PACKAGE   #define
	  PACKAGE XASTIR_PACKAGE

	  doesn't help.  All that does is silence the warning.	Magick's
	  package name is still used when we try to use the PACKAGE macro
	  later.  Macro expansions aren't variable assignments, and the
	  code above does nothing more than define PACKAGE to PACKAGE and
	  thence to "ImageMagick", after briefly allowing api.h to change
	  its meaning without warning.

	  Adding an "#undef XASTIR_PACKAGE" after all that is even worse,
	  and results in fatal compilation errors.  There's probably some
	  preprocessor game that can be played to kludge this, but saving
	  the string we want to keep somewhere where it's safe from
	  preprocessor meddling seems the better choice.

2007-11-06 09:10  we7u

	* configure.ac, scripts/BUILDRPMS, scripts/LSB-BUILD,
	  scripts/do_xastir_release_dev, scripts/do_xastir_release_stable:
	  Preparing for 1.9.2 stable release.

2007-09-24 19:41  we7u

	* src/track_gui.c: Finished the regex code for converting
	  HTML->Text for downloaded findu.com tracks.

2007-09-22 03:53  we7u

	* src/track_gui.c: Commenting out unused variable.

2007-09-22 03:25  we7u

	* configure.ac: Commenting out the html2text discovery code.

2007-09-22 03:25  we7u

	* configure.ac: Checking in the html2text discovery code in case we
	  may want it in the future.

2007-09-22 03:24  we7u

	* src/track_gui.c: Doing the html2text via sed statements.

2007-09-22 01:29  we7u

	* src/track_gui.c: Converting the downloaded findu.com raw packets
	  from HTML to text.  Still need to look for "html2text" and find
	  out it's path in the autoconf scripts in order to integrate this
	  properly.

2007-09-16 18:31  tvrusso

	* src/interface_gui.c: Fix misplaced #endif /* HAVE_DB */ that was
	  breaking the gui for networked AGWPE.

2007-09-04 13:09  we7u

	* src/db.c: Changing the new variable "i" to "ii" to make it easier
	  to search for in the sources, plus getting rid of the declaration
	  for the case where we're not using an SQL database (to get rid of
	  a compiler warning).

2007-08-31 05:20  gstueve

	* src/map_geo.c: Add subroutine to release memory consistently for
	  exit points.

2007-08-28 16:16  we7u

	* scripts/PigLatin.pl: Updated one comment.

2007-08-28 15:32  we7u

	* scripts/PigLatin.pl: Initial commit.

2007-08-24 06:44  gstueve

	* src/igate.c: Push active groups through the gateway between
	  RF<->INet.

2007-08-24 06:42  gstueve

	* src/: messages.c, messages.h: Export group_active for use in
	  igate of group transmission list.

2007-08-22 08:42  gstueve

	* src/alert.c: Make sure to test against initialized data.

2007-08-20 20:10  chicoreus

	* src/db.c, src/db_gis.c, src/db_gis.h, src/interface.c,
	  src/interface_gui.c, src/main.c, symbols/symbols.dat: Cleaning up
	  db_gis code.

	  Some cleanup of error messages.  Moved some debugging messages
	  into debug_level & 1.

	  Altered simpleStation table structure to add three more columns:

	  alter table simpleStation add column origin varchar(9) not null
	  default ''; alter table simpleStation add column record_type
	  varchar(1); alter table simpleStation add column node_path
	  varchar(56);

	  These seem necessary for recreating DataRow records out of
	  simpleStation database records.

	  Added more testing and handling of data that is to be written to
	  database records.  Still needs better sanitizing.  Tested saving
	  DataRow records derived from internet feeds to MySQL (old), and
	  Postgresql(8)/Postgis records.

2007-08-20 12:22  we7u

	* src/main.c: Adding two casts to (int *) back in.  They are
	  required to get rid of compiler warnings with some versions of
	  GCC.

2007-08-17 15:08  gstueve

	* src/: map_WMS.c, map_cache.c, map_geo.c, map_tiger.c: Make sure
	  to free allocated memory after we are done playing with it.

2007-08-16 12:28  gstueve

	* src/main.c: Make sure colors are identified as Pixel not int
	  types.

2007-08-16 12:26  gstueve

	* src/list_gui.c: Make sure SL_scroll is initialized for full
	  operation.

2007-08-16 10:36  gstueve

	* src/map_geo.c: Make sure we return the exception data to free
	  space when done. Don't leave it as unclaimed uggage.

2007-08-16 10:01  gstueve

	* src/list_gui.c: Make sure the station_list displays give back the
	  memory after they are done playing with it. They are not expected
	  to lose it.

2007-08-15 10:57  gstueve

	* src/draw_symbols.c: Pixel values are 'unsigned long' not 'int' on
	  64 bit machines.

2007-08-15 10:41  gstueve

	* src/: main.c, main.h, xastir.h: Type of colors & trail_colors is
	  Pixel, not int. Especially on 64 bit machines.

2007-08-15 08:44  we7u

	* src/map_cache.c: Backing out this change as it caused this error
	  and Xastir to blow up when a new map image was cached to disk:
	  "glibc detected *** double free or corruption"

2007-08-14 09:41  we7u

	* src/util.c: Adding a minor comment.  Thanks to Gerald Stueve for
	  re-examining all this code.  He's doing a WONDERFUL job of
	  finding/fixing bugs!

2007-08-14 09:28  we7u

	* src/: db_gis.c, db_gis.h: Adding the RCS ID tag and tweaking the
	  copyright statements to show correct dates and attribution for
	  these two files.

2007-08-13 13:23  gstueve

	* src/main.c: Clear entire block of appshell, not just first
	  pointer space.

2007-08-13 13:22  gstueve

	* src/x_spider.c: No need to have extra layer of callback, go
	  directly to exit.

2007-08-13 12:55  gstueve

	* src/x_spider.c: Allow the subprocesses to cleanup and exit on
	  interrupt.

2007-08-13 12:54  gstueve

	* src/rac_data.c: Make sure we aren't checking against unitialized
	  data.

2007-08-13 09:17  tvrusso

	* README.MAPS:
	  Add the answer to a frequently asked question about TIGER/Line
	  2006 SE shapefile zip files ("what's the difference between the
	  Polylines and Polygons directory?").

2007-08-11 19:00  chicoreus

	* src/: db_gis.c, db_gis.h: Simple schema insert added for
	  Postgresql/postgis.  Tested with Postgresql 8.2 and postgis
	  1.2.1.

	  Simple station records can now be written to MySQL and
	  Postgresql/Postgis databases, but xastir can't yet extract any
	  data back.

2007-08-10 16:15  gstueve

	* src/util.c: Make sure to initialize string before testing fixed
	  offset values.  Valgrind identified the dereferences with errors.

2007-08-10 16:11  gstueve

	* src/map_cache.c: Valgrind again. Make sure to release memory
	  after using it.

2007-08-10 16:09  gstueve

	* src/db.c: More valgrind identified errors. Make sure to
	  initialize tested variables.

2007-08-10 15:48  gstueve

	* src/x_spider.c: Add clear_proc_title to clean up environment
	  pointers.

2007-08-10 07:06  gstueve

	* src/x_spider.c: valgrind is our friend. Make sure not to step
	  back too far for line end.

2007-08-09 13:12  gstueve

	* src/map_shp.c: Make sure to Destroy a region before overwriting
	  the value.  Identified by valgrind.

2007-08-09 07:07  gstueve

	* src/wx_gui.c: change to newer function -	      item =
	  XmStringCreateLtoR(temp, XmFONTLIST_DEFAULT_TAG); +
	  item = XmStringGenerate(temp, XmFONTLIST_DEFAULT_TAG,
	  XmCHARSET_TEXT, NULL); to replace deprecated function.

2007-08-08 08:29  we7u

	* src/interface.c: Moving one of the SQL debug printf's inside an
	  #ifdef block so that we won't normally see it.

2007-08-07 18:55  chicoreus

	* src/: db_gis.c, db_gis.h: Change to error handling in the event
	  of an xastir coordinate for a station that doesn't translate to a
	  valid lat/long - returns error message indicating conversion
	  problem rather than as database problem.

2007-08-07 13:33  gstueve

	* src/map_pdb.c: Allow more granularity for debugging actions.
	  Remove unneeded global definitions.

2007-08-07 10:29  chicoreus

	* src/interface_gui.c: Removing some unecessary debugging messages.

2007-08-07 09:24  chicoreus

	* src/: interface.c, interface_gui.c: Bug fix - SQL database
	  interface definitions were always being placed as interface 0 in
	  the interface list.

2007-08-07 09:08  we7u

	* src/interface.c: Adding "#ifdef HAVE_DB" around the SQL database
	  interface type so that it doesn't appear in the list unless
	  configure finds that we have support for it.

2007-08-07 09:05  we7u

	* config/: language-Dutch.sys, language-French.sys,
	  language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Adding the SQL
	  Database string to the other language files.

2007-08-07 08:31  we7u

	* src/messages_gui.c: Commenting out an unused variable which
	  causes a compiler warning.

2007-08-07 08:31  we7u

	* src/interface_gui.c: Adding "#ifdef HAVE_DB" around a couple of
	  fprintf's.

2007-08-06 18:06  chicoreus

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/database.h, src/db.c,
	  src/db_gis.c, src/db_gis.h, src/interface.c, src/interface.h,
	  src/interface_gui.c, src/main.c, src/messages_gui.c, src/util.c,
	  src/util.h, src/xa_config.c: Further work on sql server
	  (MySQL/Postgis) support.  Began integration of sql connection
	  management with interface UI.  Able to create a connection to a
	  MySQL database, and on starting it, save list of all current
	  stations to a simple single table db.

	  Code still needs substantial work before it is usable.

2007-07-30 10:13  we7u

	* INSTALL: Updating libgeotiff instructions for latest released
	  version (1.2.4).

2007-07-27 08:55  we7u

	* README.Getting-Started: Adding another note explaining that
	  "internal" on the Shapelib summary line is ok.

2007-07-27 08:48  we7u

	* README.Getting-Started, configure.ac: Getting rid of the
	  "Building with" text on the configure summary line.  Fixing one
	  of the README's to match.

2007-07-25 08:53  we7u

	* INSTALL: Revising the install instructions for the optional
	  Shapefile utilities to correspond to the current sources.

2007-07-25 08:45  we7u

	* src/shapelib/contrib/: dbfcat.c, dbfinfo.c, shpcat.c,
	  shpcentrd.c, shpdxf.c, shpfix.c, shpgeo.c, shpinfo.c, shpproj.c:
	  Adding includes necessary for warning-free compiles.

2007-07-25 08:45  we7u

	* src/shapelib/contrib/.cvsignore: Adding shpproj executable to CVS
	  ignore.

2007-07-25 08:37  we7u

	* src/shapelib/: Makefile_shapelib_orig, shpcreate.c, shpdump.c,
	  shprewind.c: Added shprewind.c to the "clean" target of the
	  original Makefile.  Added stdlib.h includes to some of the
	  utilities to get a clean compile.

2007-07-25 08:10  we7u

	* INSTALL: Adding instructions for compiling some of the optional
	  Shapelib utilities and contributed Shapelib utilities.

2007-07-23 09:58  we7u

	* src/db_gis.c: Moving the strtof test below the config.h include.

2007-07-23 08:58  tvrusso

	* configure.ac, src/db_gis.c: Fix up usage of strtof for systems
	  that are so old they don't have this function.

2007-07-18 09:20  we7u

	* src/db.c: Correcting a spelling error in a debug statement.

2007-07-16 07:38  chicoreus

	* INSTALL: Fixing typo in install documentation.  Patch from Jim
	  Tittsler - jtittsler Tracker: [ 1695864 ] INSTALL typo
	  ImageMagick->GraphicsMagick

2007-07-14 20:39  chicoreus

	* src/main.c: [no log message]

2007-07-14 20:37  chicoreus

	* src/: Makefile.am, db_gis.c, db_gis.h, lclint.script: Framework
	  for spatial database support.  Should compile, but won't do
	  anything yet.

2007-07-14 20:33  chicoreus

	* acinclude.m4, configure.ac: Adding tests for MySQL, Postgresql,
	  and Postgis for spatial database support

2007-07-09 20:03  tvrusso

	* README.MAPS: Fix up mistaken information about TIGER/Line data.
	  Update pointers to geocoding files (we were still pointing users
	  to the 2003 data, which is a poor match to recent TIGER/Line
	  shapefiles).

2007-07-06 15:43  we7u

	* configure.ac: For the summary, we now refuse to display the
	  developer section unless one of those options has been enabled.
	  This is so normal users don't have to worry about that section.

2007-07-06 15:06  we7u

	* configure.ac: More additions to the summary output.

2007-07-06 14:32  we7u

	* configure.ac: Changing some of the summary text.

2007-07-06 12:24  we7u

	* src/main.c: Bumping up the size of the Help->About "Libraries
	  Used" string.

2007-07-06 12:17  we7u

	* configure.ac: A few more small tweaks to the configure summary
	  output.

2007-07-06 12:04  we7u

	* configure.ac: Reformatting the configure summary output.  Adding
	  wget/libcurl to the summary as well.

2007-07-02 16:43  tvrusso

	* configure.ac: Remove hack to use external rtree library ---
	  differences between GRASS's rtree library and ours make it so
	  that we can't use them interchangably.  The difference is in the
	  size of floating point variables used in the Rect structure (we
	  use floats as did the original author, GRASS uses it modified to
	  have doubles, which vastly increases memory usage for no real
	  gain).

	  This should remedy all of the Fedora users problems.	Unless it
	  doesn't.

2007-07-02 16:37  tvrusso

	* src/: map_shp.c, shp_hash.c, rtree/card.c, rtree/card.h,
	  rtree/index.c, rtree/index.h, rtree/node.c, rtree/rect.c,
	  rtree/split_l.c, rtree/split_l.h: Turns out that putting a suffix
	  on all symbols in the rtree library was very simple and fast, so
	  I Just Did It.

	  This should probably fix the problem for Fedora users with GDAL
	  installed from repository, once I remove the "external rtree" bit
	  from configure.ac.

2007-07-02 15:08  we7u

	* FAQ: Adding a section to the Map Problems/Solutions question
	  about deleting the Xastir user directory and starting over when
	  all else fails.

2007-07-02 14:34  we7u

	* FAQ: Added some debugging instructions for maps not working.

2007-07-02 14:19  we7u

	* FAQ: Updating the version number where "APX" is quoted.

2007-07-02 12:34  we7u

	* FAQ: Added a question/answer about how to solve the problem:
	  station trail not displaying.

2007-07-02 12:12  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/main.c: Changing the ALTNET box
	  so that it is smaller and has a label.

2007-07-02 05:55  tvrusso

	* src/rtree/: split_l.c, split_l.h: Undo the
	  CoverSplit->l_CoverSplit change made last week.

	  The real issue was that some repositories have a GDAL that
	  includes GRASS libraries including a libgrass_rtree that
	  duplicates the rtree functionality.  Xastir's rtree library is
	  precisely the one that GRASS uses (based on public domain (i.e.
	  uncopyrighted) software from www.superliminal.com), and this
	  leads to a link conflict that produces an obscure and cryptic
	  error message at link time.

	  Renaming the CoverSplit variable was just a band-aid that was
	  suggested for a trial run while diagnosing the problem, not a
	  recommended fix.

2007-07-01 21:20  tvrusso

	* configure.ac: Add a note at the end that tells whether we're
	  using external rtree (e.g.  from GDAL) or our own internal
	  version.

2007-07-01 21:12  tvrusso

	* configure.ac: Fix configure so that it checks for the presence of
	  RTreeSearch in other libraries before it builds our own rtree
	  library.

	  This is necessary because some repositories have a GDAL that was
	  built with GRASS support (against current recommendations), and
	  that brings in an rtree library unbidden.  The result of trying
	  to link our own in unconditionally is a cryptic message about
	  CoverSplit not being relocatable.

	  The only testing I've done is that this doesn't break builds with
	  GDAL that has no GRASS support.  I am unable to test it in the
	  case for which it is intended.  I'll have to ask that someone
	  with an F7 system do that.

2007-06-29 13:22  we7u

	* src/rtree/: split_l.c, split_l.h: Trying a rename of CoverSplit
	  to l_CoverSplit to see if this fixes the Fedora linking problem.

2007-06-21 12:10  we7u

	* src/interface.c: Removing stale lockfiles when it was our own
	  process group which created them earlier.

2007-06-20 09:25  we7u

	* src/map_geo.c: Adding a few comments to the code for the new
	  transparent color linked list functions.

2007-06-20 09:18  we7u

	* README.MAPS: Tweaking the TRANSPARENT note to state that multiple
	  lines may be used.

2007-06-20 09:11  we7u

	* WMSRadar.geo, src/map_geo.c: Commenting out debug fprintf plus
	  adding another black and a white color as transparent colors to
	  WMSRadar.geo.

2007-06-20 08:42  we7u

	* src/: main.h, map_WMS.c, map_geo.c, maps.h: First attempt at
	  multiple TRANSPARENT support for .geo files.	Not fully tested
	  yet, but doesn't appear to fall over either.

2007-06-15 11:44  we7u

	* scripts/LSB-BUILD: Updating to latest rev number for release.

2007-06-10 09:53  tvrusso

	* scripts/get-NWSdata: Update get-NWSdata to pull down the new
	  files instead of trying to get some old and now non-existent
	  files.

2007-05-28 16:59  chicoreus

	* src/: main.c, main.h, objects.c: Disabling close polygon item on
	  CAD menu when not in draw mode.

2007-05-28 12:53  tvrusso

	* src/util.c: Fix a comment about multiline length.

2007-05-28 12:51  tvrusso

	* src/: db.c, util.c, util.h:
	  Make the add_comment function stop stripping leading spaces.
	  This is to allow multiline objects with no leading text, which
	  otherwise get broken.

	  Add a makeMultiline function to util.c.  Given arrays of lat/lon
	  pairs, will produce a multiline string representing that array
	  and a centroid value that can be used for creating an object.

	  Bunch of debugging output added to extract_multipoint that I
	  needed to help me track down why my multilines were disappearing
	  (it was because of the leading space stripping).

	  Nobody is calling makeMultiline yet.	It could be used for
	  transmitting CAD objects if someone wanted to hack that in.

	  I've tested makeMultiline in an external program to generate
	  strings, then created objects by pasting the strings into the
	  comment box of the create object dialog.

2007-05-21 07:51  tvrusso

	* README.MAPS: Update the TIGER/Line information.

2007-05-09 10:36  tvrusso

	* config/: Makefile.am, tgr2shppoly_2006.dbfawk: Add a new DBFAWK
	  file for the 2006 TIGER/Line data.

	  This data has "UACU" and "URCU" fields instead of the RS_A15 and
	  RS_A16 fields that older TIGER/Line data had.

2007-05-04 13:18  we7u

	* help/help-English.dat: Added a note stating that all PHG values
	  must be specified before Xastir will transmit the values.

2007-05-02 13:58  we7u

	* src/interface.c: Checking the result code, providing more info on
	  why an "open" failed.

2007-05-02 12:54  we7u

	* configure.ac, scripts/BUILDRPMS: Setting up for the next devel
	  release.

2007-05-02 12:14  we7u

	* ChangeLog, configure.ac, scripts/BUILDRPMS, scripts/LSB-BUILD,
	  scripts/do_xastir_release_dev, scripts/do_xastir_release_stable:
	  Preparing for stable 1.9.0 release.

2007-04-27 09:55  tvrusso

	* src/db.c: Cast the time_t value to (long int) before passing to
	  fprintf.  On some systems (e.g. FreeBSD) time_t isn't a long, and
	  using a %ld format for it generates a warning.  On other systems,
	  time_t *is* a long int and using a %d format generates a warning.

	  So punt: cast to (long int) and use %ld.  This should make all
	  those systems shut up with their warnings.

2007-04-27 06:52  we7u

	* src/db.c: Changing some debug printf's from %d to %ld for
	  printing some time variables.

2007-04-27 06:47  we7u

	* src/db.c: Changing some printf's to %ld instead of %d for some
	  debug time printouts.

2007-04-27 06:45  we7u

	* src/db.c: Adding a missing "void" in a function header.

2007-04-27 06:44  we7u

	* src/database.h: Adding a missing "void" in a function
	  declaration.

2007-04-20 10:03  we7u

	* FAQ: Added some debugging instructions for the missing
	  "xastir.rgb" file and/or other files upon Xastir startup.

2007-04-16 11:17  tvrusso

	* src/: database.h, db.c: More debugging code to look into bug
	  #1698474

	  Add a "dump_time_sorted_list" method and calls to it so we can
	  actually view the entire time sorted list as soon as the sanity
	  check fails.

	  Also reduce the debugging expire time from 1 hour to 5 minutes.

2007-04-12 08:40  we7u

	* FAQ: Adding a link to the timing slider dialog screen capture.

2007-04-11 10:33  we7u

	* FAQ: Added section 4.28 describing the problem with missing
	  labels on the Configure->Timing dialog.  It also describes what
	  the labels should be.

2007-04-09 08:20  we7u

	* config/language-German.sys: Updates by Rolf Bleher, DK7IN.
	  Thanks!

2007-03-31 12:49  tvrusso

	* src/: database.h, db.c: Add some sanity checking to the
	  EXPIRE_DEBUG logic.

	  I am still seeing that every few weeks my xastir run starts to
	  have stations that should have expired 10 days ago, but still has
	  'em.	This really screws up the ALOHA calculations.

	  This sanity checking just goes through the entire time-sorted
	  list and checks to see if any stations are older than the expire
	  time, and does this immediately after the expiration is
	  processed.  The sanity checking only happens when EXPIRE_DEBUG is
	  defined.

	  The expire code assumes that the list is sorted by time, and
	  stops when it finds a station newer than the expire time.  If the
	  list is somehow getting corrupted and no longer properly sorted,
	  that would explain the behavior I'm seeing.  I still haven't
	  found the problem, but this should at least tell me if the list
	  management has a bug or not.

2007-03-22 10:05  gstueve

	* scripts/fcc-get: Sort only on callsign. Don't use following
	  fields.

2007-03-13 07:55  gstueve

	* scripts/fcc-get: Actually use web instead of older ftp server to
	  get fcc data.

2007-03-13 07:32  gstueve

	* scripts/fcc-get: Make sure not to get rid of an old fcc data file
	  if unable to get replacement file.

2007-03-07 21:17  tvrusso

	* src/: database.h, db.c: Change "check_station_remove" and
	  "check_message_remove" to take a time_t for curr_time instead of
	  an int.  time_t's are what's passed in, so let's keep it
	  consistent.

	  I do not believe this has anything at all to do with the fact
	  that my xastir instance isn't deleting stations on the 1-day
	  cycle I ask it to --- on my system a time_t and an int are the
	  same size, and time_t is defined as an int32, not an unsigned or
	  anything.  But it's still the right thing to do.

2007-03-06 13:58  we7u

	* src/map_geo.c: Getting rid of a compiler warning when we compile
	  with ImageMagick.

2007-03-06 11:31  we7u

	* src/: map_WMS.c, map_geo.c, map_tiger.c, maps.c: Changing the
	  path to the GraphicsMagick api.h file to match what we're
	  currently compiling against.

2007-03-06 11:30  we7u

	* scripts/LSB-BUILD: Forcing the use of GraphicsMagick instead of
	  ImageMagick, per the newer command-line flags we use for Xastir's
	  configure.

2007-02-27 15:19  gstueve

	* src/bulletin_gui.c: Move display update until after the new data
	  is posted to list.

2007-02-27 13:33  gstueve

	* src/alert.c: Keep trying to clear out old data for new messages.

2007-02-24 14:08  gstueve

	* src/wx_gui.c: Make sure updating Wx Alert List doesn't crash
	  because selected item was replaced by unselected item.

2007-02-22 08:29  we7u

	* INSTALL: Adding "ldconfig" invocations for GM/IM installs.

2007-02-22 08:14  we7u

	* INSTALL: Changing the command-line options for configuring
	  GraphicsMagick to something a bit simpler.

2007-02-22 07:26  gstueve

	* src/alert.c: Compressed Wx alerts are precisely 3 elements long.

2007-02-22 07:20  gstueve

	* src/: alert.c, util.c: Really, really take care of NWS_ message
	  from Thailand.  Remove stale compressed weather alerts from
	  consideration.

2007-02-21 08:47  gstueve

	* src/util.c: Fix error case from Thailand station sending message
	  to NWS_ about 80th birthday anniversary of King.

2007-02-21 08:02  gstueve

	* src/db.c: Make conditional look like what it is (a for loop, not
	  simple while).

2007-02-16 20:11  gstueve

	* src/db.c: Make sure debug_level is tested as BitWise value NOT
	  logical value.

2007-02-16 13:01  we7u

	* INSTALL: Grammar error.  Fixed.

2007-02-16 12:22  gstueve

	* src/main.c: Fixed [ 1553641 ] Zoom Error (Integer Math?).
	  Increment by 1 for 10% zoom-out when less than zoom level 10.

2007-02-16 11:48  we7u

	* scripts/get-NWSdata: Updating the script to snag the
	  latest-latest files.

2007-02-16 11:48  we7u

	* src/map_geo.c: Getting rid of a compiler warning having to do
	  with the wrong size specified in an printf.

2007-02-16 11:48  we7u

	* INSTALL: Adding GraphicsMagick instructions.

2007-02-16 09:05  we7u

	* scripts/LSB-BUILD: Moving the defines for the REV and FILENAME
	  near the top.  Deleting old xastir-lsb-*.bz2 files before we
	  start so that we don't upload old files each time.

2007-02-15 08:41  we7u

	* README.Getting-Started: Adding a comment about how to test audio
	  file playing from the command-line.

2007-02-14 07:20  we7u

	* src/maps.c: Adding more comments.  No code changes.

2007-02-13 12:22  gstueve

	* src/maps.c: Make sure all sides of the box are checked, not just
	  three of them.  Also make sure if an alert is not on screen clear
	  it off.

2007-02-13 07:30  we7u

	* src/interface_gui.c: Changing the defaults for new internet
	  connections to: rotate.aprs.net, port 14580, filter "m/500",
	  reconnect enabled.

2007-02-13 05:21  gstueve

	* scripts/fcc-get: Update script to retrieve Canadian callsign data
	  from new location.  I had not gotten a new update from previous
	  location since September, 2006.

2007-02-09 22:52  we7u

	* README.Getting-Started: Adding an entry for the new "Home" key
	  function.

2007-02-09 22:49  we7u

	* src/main.c: The "Home" key now centers the map on your station's
	  position.

2007-02-09 19:31  we7u

	* src/map_geo.c: Changing back to the original path for the
	  Toposerver images.  The problem was fixed on findu's end.

2007-02-09 19:04  we7u

	* src/map_cache.c: Commenting out one assignment (not used) which
	  causes a compiler warning on some systems.

2007-02-09 18:24  we7u

	* Davis/README: Fixing an errant path in the instructions.

2007-02-08 13:02  we7u

	* src/map_geo.c: Hopefully a tweak that will help make online
	  Toporama maps work again in the future.  Have to wait for Gerry
	  to look at the server configuration before we'll know for sure.

2007-02-06 12:30  we7u

	* src/maps.c: Casting some long int results to int's.

2007-02-06 08:24  we7u

	* src/maps.c: A fix for the UTM/MGRS major grid lines not
	  appearing.

2007-02-06 06:55  we7u

	* scripts/inf2geo.pl: Updating the script to use GraphicsMagick's
	  "gm" program.  If not found, try ImageMagick's "identify"
	  program.  If that not found, output an error message suggesting
	  that one or the other be installed.

2007-02-06 06:14  we7u

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Changing "MGRS"
	  label to "MGRS2".  When it was implemented they were calling the
	  two available ones "MGRS-Old" and "MGRS-New".  Now "MGRS-New" is
	  called "MGRS2" and there's talk of an "MGRS3" soon...

2007-01-27 10:41  tvrusso

	* configure.ac: re-enable check for the X Printing Extension
	  library.  Apparently this is needed by libXm and some systems do
	  not properly bring in the indirect dependence through the dynamic
	  loader.

	  It would probably be better to detect that condition than just
	  blindly checking for Xp (which we don't use).

	  Regardless, it should never be necessary to install development
	  headers for libXp just to build xastir, which was what one user
	  was confused about and which led me to remove the check in the
	  first place.

2007-01-24 13:19  tvrusso

	* configure.ac: Remove probe for the X Printing Extension library.

	  Xastir doesn't use it, and there's no point probing for it.

	  Someone was confused into thinking they needed to install it on
	  Ubuntu 6.10 because configure said it couldn't find the library.
	  They don't, coz we don't use it.

2007-01-16 07:15  we7u

	* scripts/LSB-BUILD: We now remove /opt/Xastir/* during the build
	  so that we get a clean tar file, plus dates have been added to
	  the filename.

2007-01-13 19:57  we7u

	* src/messages_gui.c: We now check whether Lesstif is compiled in
	  and skip doing the dynamic widget thing on the Send Message
	  dialog if so.

2007-01-12 11:52  we7u

	* src/messages_gui.c: Another LSB/Lesstif tweak, plus making sure
	  we fill in the history on Send Message dialogs brought up through
	  the new "Show Pending Messages" menu entry.

2007-01-12 10:39  we7u

	* src/maps.c: Changing strcasestr to strstr for Cygwin
	  compatibility.  We don't really need case-insensitive matching
	  there anyway.

2007-01-12 09:13  we7u

	* acinclude.m4: A fix for the GraphicsMagick/ImageMagick problem
	  where GM is not on the system but Xastir tries to compile with
	  it.

2007-01-12 08:49  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/main.c, src/messages.h,
	  src/messages_gui.c: Adding a "Show Pending Messages" menu option
	  to the Message menu.	This one looks through the outgoing queue
	  and brings up a Send Message dialog for each current QSO.

2007-01-09 09:33  we7u

	* src/messages_gui.c: Another couple of tweaks to keep Lesstif from
	  segfaulting with the LSB compile.

2007-01-08 13:47  we7u

	* src/xa_config.c: Updated some comments.  No code changes.

2007-01-08 13:21  we7u

	* src/messages_gui.c: Fixes to prevent segfaults with LSB-Xastir.
	  It appears that Lesstif cannot currently handle removing/adding
	  widgets to an already-realized dialog without segfaulting.  Here
	  we stick with the default one-long-input-field if we're compiling
	  for LSB.

2007-01-05 12:20  we7u

	* src/db.c: Moved the code which _only_ depends on
	  search_station_name() higher in the Station_data() function so
	  that the dialog doesn't get drawn if not needed.

2007-01-05 12:00  we7u

	* scripts/LSB-BUILD-ALL: Switching back to Lesstif-0.95.0 as 0.94.4
	  didn't improve things.

2007-01-05 11:52  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/maps.c: Fixing the print
	  properties dialog so that it only comes up if "gv" is detected.
	  Getting rid of gv-specific options on the command-line when "gv"
	  is not being used as a print-previewer.  Adding a couple of
	  strings to the language files.

2007-01-04 12:28  we7u

	* scripts/LSB-BUILD-ALL: Changing some comments.  No code changes.

2007-01-04 10:12  we7u

	* scripts/LSB-BUILD-ALL: Switching from Lesstif-0.95.0 to 0.94.4
	  for a while to see if the resulting binary is more stable.

2007-01-03 11:38  we7u

	* symbols/Makefile.am, symbols/symbols.dat, src/rtree/Makefile.am,
	  src/rtree/card.c, src/rtree/card.h, src/rtree/gammavol.c,
	  src/rtree/index.c, src/rtree/index.h, src/rtree/node.c,
	  src/rtree/rect.c, src/rtree/sphvol.c, src/rtree/split_l.c,
	  src/rtree/split_l.h, src/rtree/split_q.c, src/rtree/split_q.h,
	  src/Makefile.am, src/alert.c, src/alert.h, src/awk.c, src/awk.h,
	  src/bulletin_gui.c, src/bulletin_gui.h, src/color.c, src/color.h,
	  src/database.h, src/datum.c, src/datum.h, src/db.c, src/dbfawk.c,
	  src/dbfawk.h, src/draw_symbols.c, src/draw_symbols.h,
	  src/fcc_data.c, src/fcc_data.h, src/festival.c, src/festival.h,
	  src/geo-client.c, src/geo-find.c, src/geo.h, src/geocoder_gui.c,
	  src/gps.c, src/gps.h, src/hashtable.c, src/hashtable.h,
	  src/hashtable_itr.c, src/hashtable_itr.h,
	  src/hashtable_private.h, src/hostname.c, src/hostname.h,
	  src/igate.c, src/igate.h, src/interface.c, src/interface.h,
	  src/interface_gui.c, src/io-common.c, src/io-mmap.c, src/io.h,
	  src/lang.c, src/lang.h, src/leak_detection.h, src/list_gui.c,
	  src/list_gui.h, src/locate_gui.c, src/location.c,
	  src/location_gui.c, src/macspeech.c, src/main.c, src/main.h,
	  src/map_WMS.c, src/map_cache.c, src/map_cache.h, src/map_dos.c,
	  src/map_gdal.c, src/map_geo.c, src/map_gnis.c, src/map_pdb.c,
	  src/map_shp.c, src/map_tif.c, src/map_tiger.c, src/maps.c,
	  src/maps.h, src/messages.c, src/messages.h, src/messages_gui.c,
	  src/objects.c, src/objects.h, src/popup.h, src/popup_gui.c,
	  src/rac_data.c, src/rac_data.h, src/rotated.c, src/rotated.h,
	  src/rpl_malloc.c, src/rpl_malloc.h, src/shp_hash.c,
	  src/shp_hash.h, src/snprintf.c, src/snprintf.h, src/sound.c,
	  src/symbols.h, src/testawk.c, src/track_gui.c, src/track_gui.h,
	  src/util.c, src/util.h, src/view_message_gui.c, src/wx.c,
	  src/wx.h, src/wx_gui.c, src/x_spider.c, src/x_spider.h,
	  src/xa_config.c, src/xa_config.h, src/xastir.h,
	  src/xastir_udp_client.c, src/shapelib/Makefile.am,
	  src/shapelib/contrib/Makefile.am, config/24kgrid.dbfawk,
	  config/Makefile.am, config/gps_wpt.dbfawk,
	  config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, config/nwsc_ddmmyy.dbfawk,
	  config/nwsmzddmmyy.dbfawk, config/nwsmzoddmmyy.dbfawk,
	  config/nwsozddmmyy.dbfawk, config/nwsw_ddmmyy.dbfawk,
	  config/nwsz_ddmmyy.dbfawk, config/nwszoddmmyy.dbfawk,
	  config/predefined_EVENT.sys, config/predefined_SAR.sys,
	  config/tgr2shp.dbfawk, config/tgr2shppoly.dbfawk,
	  config/tgrcty.dbfawk, config/tgrkgl.dbfawk, config/tgrlk.dbfawk,
	  config/tgrlpt.dbfawk, config/tgrlpy.dbfawk,
	  config/tgrplc00.dbfawk, config/tgrwat.dbfawk,
	  config/tnc-startup.aea, config/tnc-startup.d700,
	  config/tnc-startup.kam, config/tnc-startup.kpc2,
	  config/tnc-startup.kpc3, config/tnc-startup.paccomm,
	  config/tnc-startup.pico, config/tnc-startup.sys,
	  config/tnc-startup.thd7, config/tnc-startup.tnc2,
	  config/tnc-startup.tnc2-ui, config/tnc-stop.d700,
	  config/tnc-stop.sys, config/tnc-stop.thd7,
	  config/tnc-stop.tnc2-ui, scripts/LSB-BUILD,
	  scripts/LSB-BUILD-ALL, scripts/LSB-BUILD-CURL,
	  scripts/LSB-BUILD-DB, scripts/LSB-BUILD-GDAL,
	  scripts/LSB-BUILD-GRAPHICSMAGICK, scripts/LSB-BUILD-JASPER,
	  scripts/LSB-BUILD-JPEG, scripts/LSB-BUILD-LESSTIF,
	  scripts/LSB-BUILD-PCRE, scripts/LSB-BUILD-PNG,
	  scripts/LSB-BUILD-ZLIB, scripts/Makefile.am,
	  scripts/Xastir_tigerpoly.py, scripts/example_objects.log,
	  scripts/fcc-get, scripts/get-NWSdata, scripts/get-gnis,
	  scripts/get-maptools.sh, scripts/get_shapelib.sh,
	  scripts/toporama250k.pl, scripts/toporama50k.pl,
	  scripts/xastir-fixcfg.sh, scripts/xastir-migrate.sh, AUTHORS,
	  DEBUG_LEVELS, FAQ, INSTALL, LICENSE, Makefile.am, NEWS, README,
	  README.CVS, README.Contributing, README.Getting-Started,
	  README.MAPS, README.win32, REGRESSION_TESTS, UPGRADE,
	  acinclude.m4, bootstrap.sh, changes.txt, configure.ac,
	  install-xastir, update-xastir, xastir.1, Davis/Makefile.am,
	  Davis/README, Davis/bootstrap.sh, Davis/configure.ac,
	  Davis/src/Makefile.am, Davis/src/db2APRS.c, Davis/src/defs.h,
	  LaCrosse/Makefile.am, LaCrosse/README, LaCrosse/bootstrap.sh,
	  LaCrosse/configure.ac, LaCrosse/src/Makefile.am,
	  LaCrosse/src/defs.h, LaCrosse/src/open2300db2APRS.c,
	  callpass/Makefile.am, callpass/callpass.c, help/Makefile.am,
	  help/help-Dutch.dat, help/help-English.dat, help/help-French.dat,
	  help/help-German.dat, help/help-Italian.dat,
	  help/help-Portuguese.dat, help/help-Spanish.dat, m4/Makefile.am:
	  Updating Copyright info.

2006-12-29 18:35  we7u

	* src/maps.c: Moving a new variable declaration above statements in
	  the function.

2006-12-29 10:57  we7u

	* src/maps.c: Moving many of the error messages to pop-up dialogs
	  for the user-instigated print and print preview functions.  We
	  also now allow a previewer other than "gv" to be used, although
	  we're still passing gv-specific parameters to it (something more
	  to fix).

2006-12-29 10:10  we7u

	* src/: maps.c, xa_config.c: Added #ifdef's for GV_PATH and
	  LPR_PATH so that we compile ok on systems which don't have these
	  two utilities.

2006-12-28 23:27  we7u

	* src/maps.c: More changes to printing.  Printing direct should be
	  functional now.

2006-12-28 22:37  we7u

	* src/: maps.c, maps.h, xa_config.c: Revising the new printing code
	  a bit more.  Now saves/restores the printer and previewer paths
	  from file plus allows the user to change them.  More to do yet.

2006-12-28 16:14  we7u

	* src/: main.c, maps.c, maps.h: A start towards having a separate
	  dialog for printing or print previewing/printing.  Not complete
	  yet, but shows the direction I'm heading.

2006-12-20 18:51  we7u

	* acinclude.m4: Removing the libdb-5.0 options.

2006-12-20 16:04  we7u

	* acinclude.m4: Fixing the variable save/restore code for the
	  GraphicsMagick and ImageMagick tests.

2006-12-19 22:54  we7u

	* scripts/get-maptools.sh: Adding checks for "wget", "gtar",
	  "bsdtar", "tar", and "gunzip".  The script will attempt to
	  configure to the set of utilities that are available.  If the
	  proper utilities cannot be found the script will exit before
	  downloading any files.

2006-12-19 17:38  we7u

	* scripts/get-maptools.sh: Searching for GNU tar before continuing
	  with the script.

2006-12-19 13:45  tvrusso

	* src/map_shp.c: Remove unused variable to silence warnings.

2006-12-19 13:39  tvrusso

	* src/: main.c, map_shp.c, util.c, util.h: A tiny addition: make
	  sure we always write out a valid ".prj" file to go with any of
	  the shapefiles we create (currently, that's GPS downloads and
	  saved APRS tracks).

	  Doing so makes sure that tools other than Xastir that use the
	  .prj file to determine the coordinate system of a shapefile will
	  know what's in there.  This includes OGR's projection
	  transformation tools, the QGIS GIS data viewer, and other GIS
	  software such as GRASS or (ugh) ESRI products.  It is a cardinal
	  sin to create GIS data that doesn't tell you what coordinate
	  system it's in.

	  Strike one dark stain from our souls.

2006-12-18 23:31  tvrusso

	* configure.ac: Switch default for rtree from no to yes.  It will
	  now build as long as shapefile support is building, unless
	  explicitly disabled.

	  Disabling rtree now requires "--without-rtree".

2006-12-18 13:09  we7u

	* xastir.spec.in: Forcing ImageMagick over GraphicsMagick, as that
	  is what is supplied with SuSE.  Also enabling rtree.

2006-12-18 13:09  we7u

	* xastir-min.spec.in: Forcing ImageMagick over GraphicsMagick for
	  this package, as that's what is supplied with SuSE.

2006-12-18 11:45  we7u

	* acinclude.m4: Removing "/opt/lib" and "/opt/bin" for OSX search
	  paths as these are not used by DarwinPorts/MacPorts.

2006-12-18 11:35  we7u

	* acinclude.m4: Simplifying the ImageMagick and GraphicsMagick
	  tests, but adding extra search paths when configuring on OSX.
	  Adding more libdb paths to the search paths for that library.

2006-12-18 11:30  we7u

	* configure.ac: Commenting out some warnings regarding ImageMagick
	  and GraphicsMagick: This info is self-evident in the configure
	  output now.

2006-12-16 22:55  we7u

	* scripts/get-maptools.sh: Taking out the hard-coded path to "tar".

2006-12-15 12:56  we7u

	* acinclude.m4: Adding searches for ImageMagick and GraphicsMagick
	  in "/opt/local/bin" (OSX DarwinPorts).

2006-12-15 12:53  we7u

	* configure.ac: Correcting the GM/IM logic, adding comments.

2006-12-15 10:32  tvrusso

	* config/Makefile.am, config/stored_track.dbfawk, src/map_shp.c:
	  Add a Label field to the dbf file created by the "Store Track"
	  feature when shapelib is available.  Add a dbfawk file so that
	  stored tracks can be rendered properly even if they aren't in the
	  GPS directory.  Users can customize presentation of the stored
	  track by copying the global dbfawk file to the directory with the
	  shapefile, giving it the same basename as the shapefile, and
	  tweaking it as needed.

	  This should allow more convenient use of the maps created by
	  storing tracks than the method that based rendering on the file
	  name and directory.

2006-12-15 09:43  we7u

	* src/main.c: Reversing the order of the
	  HAVE_GRAPHICSMAGICK/HAVE_IMAGEMAGICK #ifdef's.

2006-12-15 08:06  we7u

	* acinclude.m4: Reformatting a couple of lines.  No code changes.

2006-12-14 22:02  tvrusso

	* src/map_shp.c: Fix of my previous fix to the GPS vs. DBFAWK
	  issue.  Somehow I managed to get it to ignore the fact that the
	  file was in the GPS directory even when there *WAS* no dbfawk
	  file.  The problem was that I tested for the non-nullness of
	  "sig_info" after sig_info was filled in with a default
	  signature's pointer.	Needed to put the test before that default
	  case.

2006-12-14 13:22  we7u

	* configure.ac: Giving up for now on skipping the wget tests if
	  libcurl is found.  Also moved "rtree" out of the experimental
	  category, putting it up with the other regular options (above the
	  dashed line in the summary).

2006-12-14 12:17  we7u

	* scripts/LSB-BUILD: Added a comment.

2006-12-14 12:17  we7u

	* acinclude.m4, configure.ac: Removing the tests for "cat" and
	  "cp".  Tweaking the "wget" code a bit more (but still not skipped
	  if libcurl is found first).

2006-12-14 12:15  we7u

	* src/: main.c, objects.c: Using the new copy_file() function
	  instead of /bin/cp.

2006-12-14 12:14  we7u

	* src/: util.c, util.h: Added copy_file() function written by Adam
	  Hahn, AI4QB, and contributed to the public domain.  We've
	  modified it from his initial code so any bugs are our fault.

2006-12-14 09:06  we7u

	* acinclude.m4: Commenting out the code which checks for the "cat"
	  command.  We don't use it anywhere in our code.

2006-12-13 21:34  we7u

	* acinclude.m4: Fixing some errors I introduced with the last
	  commit.

2006-12-13 21:02  we7u

	* acinclude.m4: Improvements in the ImageMagick and GraphicsMagick
	  detection.

2006-12-12 22:50  tvrusso

	* src/: main.c, map_shp.c: Make DBFAWK trump the gps_flag.

	  This means that if a file is in the GPS directory and there is a
	  DBFAWK file to go with it, the DBFAWK file controls the
	  rendering.  It is still the case that if there is NO dbfawk file,
	  or if DBFAWK is not enabled, the hard-coded GPS stuff (i.e. fixed
	  width and line style, color taken from file name) is used.

	  Also, change the dbfawk file created upon GPS download to match
	  the style that the hard-coded GPS stuff would use.

2006-12-12 22:46  we7u

	* acinclude.m4, configure.ac: A few tweaks to the
	  GraphicsMagick/ImageMagick tests.

2006-12-12 19:06  we7u

	* acinclude.m4, configure.ac, src/objects.c, src/xa_config.c,
	  src/xastir.h, src/maps.h, src/maps.c, src/main.c, src/map_WMS.c,
	  src/map_geo.c, src/map_tiger.c: Changes to allow using
	  GraphicsMagick library and "gm convert" in place of the
	  ImageMagick library and "convert".  Xastir will now prefer
	  GraphicsMagick over ImageMagick if both are present on the
	  system.

2006-12-12 09:57  we7u

	* scripts/: LSB-BUILD-ALL, LSB-BUILD-CURL, LSB-BUILD-DB,
	  LSB-BUILD-GDAL, LSB-BUILD-GRAPHICSMAGICK, LSB-BUILD-JASPER,
	  LSB-BUILD-JPEG, LSB-BUILD-LESSTIF, LSB-BUILD-PCRE, LSB-BUILD-PNG,
	  LSB-BUILD-ZLIB: Updating some comments.

2006-12-12 08:38  we7u

	* scripts/LSB-BUILD: Enabling the Festival client to be compiled
	  into LSB.  This has a couple of small downsides:  1) The user
	  will get a "cannot connect to Festival" message on start up if
	  they haven't installed/run the festival daemon, and 2) If
	  anything else is running on localhost TCP port 1314 Xastir may
	  try to talk to it.  The upside is that installing/running a
	  Festival daemon will work with the LSB binary to produce speech.

2006-12-12 08:36  we7u

	* acinclude.m4: Removing define for FESTIVAL_PATH.  We don't use
	  this in our code, plus if we chose to later it'd make another
	  external dependency that'd need to be solved for the LSB
	  distribution.  I believe this was originally added in case we
	  wished to call the festival binary directly instead of doing a
	  TCP connection to the festival daemon on port 1314.

2006-12-12 07:49  we7u

	* README.win32, acinclude.m4, src/wx_gui.c: Getting rid of our
	  dependence on the "/usr/bin/finger" external executable.  It's
	  been replaced by our own TCP/IP finger code.	This is used for
	  fetching the NOAA weather text from "wxsvr.net".

2006-12-12 06:35  we7u

	* src/db.c: Comment correction.

2006-12-11 12:39  we7u

	* scripts/LSB-BUILD: Cleaning up the lsbappchk calls.

2006-12-11 12:38  we7u

	* LICENSE: Minor changes to comments.

2006-12-11 09:22  we7u

	* scripts/LSB-BUILD: A minor change to the flags for lsbappchk.

2006-12-10 20:19  tvrusso

	* src/main.c: Change the "display_level" value in the stuff output
	  as a dbfawk file for downloaded gps tracks.

	  The value that was there was absurdly low.

2006-12-08 21:02  we7u

	* scripts/LSB-BUILD-XPM: We don't appear to need a separate libXpm
	  so deleting the build script for it.

2006-12-08 21:00  we7u

	* scripts/LSB-BUILD-ALL: Removing the libXpm build as we're picking
	  it up automatically from somewhere else now that we've enabled
	  the header files for it.

2006-12-08 20:56  we7u

	* LICENSE: Removing libXpm license as we don't appear to need to
	  include a separate libXpm anyway.  We're already picking it up
	  from LSB or from Motif or something.

2006-12-08 13:48  we7u

	* scripts/LSB-BUILD-ALL: Putting the XPM build one step later.

2006-12-08 13:16  we7u

	* scripts/LSB-BUILD-ALL: Adding a comment about libXpm.

2006-12-08 13:14  we7u

	* scripts/LSB-BUILD-ALL: Adding libXpm build to the script.

2006-12-08 13:12  we7u

	* scripts/LSB-BUILD-XPM: An LSB build script for libXpm.

2006-12-08 13:11  we7u

	* scripts/LSB-BUILD: Adding libXpm instructions for the LSB build.

2006-12-08 13:10  we7u

	* configure.ac: Adding libXpm to the LSB build.  Needed for
	  Snapshots and Printing.

2006-12-08 13:09  we7u

	* LICENSE: Adding the license for libXpm.

2006-12-08 12:16  we7u

	* scripts/LSB-BUILD: Copying "gm" from GraphicsMagick into our LSB
	  build.

2006-12-08 12:15  we7u

	* scripts/LSB-BUILD-GRAPHICSMAGICK: Installing "gm" utility as well
	  (that's where we can get to "convert" in GraphicsMagick).

2006-12-08 12:14  we7u

	* src/main.c: Restarting the Xastir binary no matter where it was
	  configured to be installed.

2006-12-08 12:13  we7u

	* configure.ac: Setting defines for Xastir paths.  We can use them
	  in the C-code to do things like restart ourselves.

2006-12-08 12:12  we7u

	* acinclude.m4: Setting up to be able to do Printing and Snapshots
	  with the LSB version.

2006-12-08 12:12  we7u

	* INSTALL: Documenting the depending on Xpm for Printing and
	  Snapshots.

2006-12-08 08:04  we7u

	* src/wx_gui.c: Fixing up the finger code for fetching NOAA weather
	  alert text.  We now pipe STDERR to STDOUT so that we can see any
	  errors in the dialog.  The syntax is shell-specific so we perhaps
	  need a better way to do it.  The syntax used should work for SH
	  or BASH shells, and I think Korn shell, but not for CSH?  We also
	  now use HAVE_FINGER defines to enable/disable the actual finger
	  call in the code.

2006-12-08 06:58  we7u

	* LICENSE: Changing some comments.

2006-12-08 06:45  we7u

	* src/wx_gui.c: Using the new FINGER_PATH that we now put into
	  config.h via acinclude.m4.

2006-12-08 06:44  we7u

	* acinclude.m4: Adding a search for the "finger" binary.

2006-12-07 12:22  we7u

	* xastir-lsb.spec.in, scripts/LSB-BUILD: Changing install location
	  for LSB-like (non-certified) version from /opt/lsb-xastir/ to
	  /opt/Xastir/

2006-12-07 12:09  we7u

	* xastir-lsb.spec.in: Changing the install location from
	  /opt/lsb-xastir to /opt/xastir.  We don't have (and probably will
	  never request/pay for) LSB compliance.

2006-12-07 11:58  we7u

	* Makefile.am, xastir-lsb.spec.in: Adding more docs to the install
	  locations.

2006-12-07 11:49  we7u

	* scripts/: LSB-BUILD-ALL, LSB-BUILD-CURL, LSB-BUILD-DB,
	  LSB-BUILD-GDAL, LSB-BUILD-GRAPHICSMAGICK, LSB-BUILD-JASPER,
	  LSB-BUILD-JPEG, LSB-BUILD-LESSTIF, LSB-BUILD-PCRE, LSB-BUILD-PNG,
	  LSB-BUILD-ZLIB: Adding a comment which states we do NOT have LSB
	  compliance.

2006-12-07 11:48  we7u

	* xastir-lsb.spec.in, scripts/LSB-BUILD: Adding a comment which
	  states that we do NOT have LSB-compliance.

2006-12-07 11:47  we7u

	* LICENSE: Documenting the licenses for the optional libraries that
	  we might distribute with an Xastir statically-linked binary.

2006-12-07 11:47  we7u

	* COPYING.LIB.LESSTIF: Adding the license file for Lesstif, for the
	  case where we're distributing an Xastir statically-linked binary.

2006-12-07 09:33  we7u

	* configure.ac, scripts/LSB-BUILD, scripts/LSB-BUILD-ALL,
	  scripts/LSB-BUILD-CURL, scripts/LSB-BUILD-DB,
	  scripts/LSB-BUILD-GRAPHICSMAGICK, scripts/LSB-BUILD-JASPER,
	  scripts/LSB-BUILD-JPEG, scripts/LSB-BUILD-LESSTIF,
	  scripts/LSB-BUILD-PCRE, scripts/LSB-BUILD-PNG,
	  scripts/LSB-BUILD-ZLIB: More changes to the LSB Xastir build and
	  the LSB build for the optional libraries.  We now install the
	  libraries in /opt/lsb-tmp/ and then compile Xastir statically
	  against the libraries there, via symlinks from the
	  /opt/lsb/include/ and /opt/lsb/lib/ directories.

2006-12-06 11:46  we7u

	* scripts/: LSB-BUILD, LSB-BUILD-CURL, LSB-BUILD-DB,
	  LSB-BUILD-GDAL, LSB-BUILD-GRAPHICSMAGICK, LSB-BUILD-JASPER,
	  LSB-BUILD-JPEG, LSB-BUILD-LESSTIF, LSB-BUILD-PCRE, LSB-BUILD-PNG,
	  LSB-BUILD-ZLIB: Minor tweaks for LSB compiling.

2006-12-06 11:45  we7u

	* scripts/LSB-BUILD-ALL: An one-stop-shopping script to build the
	  optional libraries under LSB before we compile Xastir under LSB.

2006-12-05 12:45  we7u

	* src/main.c: Correcting one comment.

2006-12-05 06:43  we7u

	* scripts/LSB-BUILD: Removing the gdal symlinks from the comments
	  as we've handled them in configure.ac/acinclude.m4 instead.
	  Xastir will look for gdal in /opt/lsb-gdal/lib and
	  /opt/lsb-gdal/include directories.

2006-12-05 06:42  we7u

	* configure.ac: Removing "(Experimental)" from the LSB summary
	  line.  Changing "lsb" to "LSB" which is more proper.

2006-12-04 11:52  we7u

	* scripts/LSB-BUILD-GDAL: Adding a commented-out option.  No effect
	  to the code.

2006-12-04 09:51  tvrusso

	* src/shapelib/contrib/: doc/shpproj.txt, tests/shpproj.sh: Just
	  noticed that I never cvs added these two files from the shapelib
	  distribution.  Since we are currently distributing the whole
	  shapelib distribution with unmodified license, it is necessary to
	  include all of the whole shapelib distribution.

2006-12-04 09:30  we7u

	* scripts/LSB-BUILD-GDAL: Initial attempt to get GDAL compiled
	  under LSB.  Not functional yet.

2006-12-04 09:29  we7u

	* scripts/LSB-BUILD: Added a couple of steps to create the .tar.bz2
	  file and transfer it to the download site.

2006-12-04 08:27  we7u

	* src/util.c: Enabling CURLOPT_NOSIGNAL option to libcurl if the
	  libcurl version supports it.	This prevents segfaults for the
	  case where we get a DNS timeout when initiating a libcurl
	  transfer.

2006-12-03 14:01  we7u

	* scripts/LSB-BUILD: Changes in comments for GDAL compiling under
	  LSB.	GDAL is not working yet though for LSB.

2006-12-03 13:58  we7u

	* configure.ac: Enabling GDAL library for LSB compile.

2006-12-03 13:54  we7u

	* src/util.c: Enabling another curl option if compiling w/LSB.

2006-12-03 13:50  we7u

	* src/track_gui.c: Adding a comment.

2006-12-01 13:47  we7u

	* configure.ac: Changing some of the text to GraphicsMagick when
	  doing LSB compiles.

2006-12-01 13:47  we7u

	* USRadar.geo: Changing the black value to match the LSB
	  GraphicsMagick.

2006-12-01 13:38  we7u

	* src/: map_geo.c, maps.c: Updating some messages to include
	  GraphicsMagick.

2006-12-01 13:27  we7u

	* scripts/: LSB-BUILD-DB, LSB-BUILD: Adding Berkeley DB to the LSB
	  build to enable map caching.

2006-12-01 12:47  we7u

	* scripts/LSB-BUILD-GRAPHICSMAGICK: Enabling PNG in the build.	It
	  works now.

2006-12-01 12:46  we7u

	* scripts/LSB-BUILD: Updating the build comments.

2006-12-01 12:21  we7u

	* scripts/LSB-BUILD-JASPER: An LSB build script for the Jasper
	  library, to give us jpeg-2000 support in GraphicsMagick.

2006-12-01 12:20  we7u

	* scripts/LSB-BUILD-GRAPHICSMAGICK: Making jpeg images work for us.

2006-12-01 11:34  we7u

	* scripts/LSB-BUILD: Updating some comments.

2006-12-01 11:32  we7u

	* configure.ac: GrahicsMagick-LSB changes.

2006-12-01 09:49  we7u

	* scripts/LSB-BUILD-GRAPHICSMAGICK: A build script for
	  GraphicsMagick under LSB.

2006-12-01 09:48  we7u

	* scripts/LSB-BUILD: Adding GrahicsMagick support.

2006-12-01 07:49  we7u

	* scripts/LSB-BUILD-PNG: Adding an LSB build script for the libpng
	  library, needed for GraphicsMagick or ImageMagick.

2006-11-30 21:05  we7u

	* scripts/LSB-BUILD-CURL: Adding an LSB build script for libcurl.

2006-11-30 21:03  we7u

	* scripts/LSB-BUILD: Updating the notes.

2006-11-30 21:01  we7u

	* configure.ac: Enabling libcurl for LSB.

2006-11-30 13:20  we7u

	* scripts/LSB-BUILD: Updating the comments.

2006-11-30 13:15  we7u

	* scripts/LSB-BUILD: Adding pcre and dbfawk to the LSB build
	  script.

2006-11-30 13:14  we7u

	* scripts/LSB-BUILD-PCRE: An LSB build script for the PCRE library.

2006-11-30 12:33  we7u

	* scripts/LSB-BUILD: Adding some comments.

2006-11-30 12:04  we7u

	* scripts/LSB-BUILD-LESSTIF: Adding a commented out command which
	  is useful to see what will be installed without actually
	  installing anything.

2006-11-30 12:04  we7u

	* scripts/LSB-BUILD: Modifying build to include geotiff and proj
	  support.

2006-11-30 12:03  we7u

	* scripts/: LSB-BUILD-JPEG, LSB-BUILD-ZLIB: Adding scripts to build
	  libjpeg and libz under LSB.  Needed for geotiff support.

2006-11-30 12:02  we7u

	* configure.ac: LSB mods for geotiff.

2006-11-30 09:26  we7u

	* scripts/LSB-BUILD: Adding libproj to the mix.  It is
	  LSB-compliant.

2006-11-27 08:35  we7u

	* scripts/LSB-BUILD: Adding rtree to the LSB build.

2006-11-27 08:19  we7u

	* scripts/LSB-BUILD-LESSTIF: Changes to comments.

2006-11-27 08:18  we7u

	* scripts/LSB-BUILD: Updating to match my current working copy of
	  the file.

2006-11-27 08:17  we7u

	* xastir-lsb.spec.in: Updating to match my current copy.

2006-11-27 08:06  we7u

	* src/map_geo.c: Adding an LF to one warning message.

2006-11-24 11:57  we7u

	* configure.ac: Adding the RPM spec file for LSB.

2006-11-24 11:51  we7u

	* xastir-lsb.spec.in: Inital attempt at an RPM spec file for LSB.
	  Not complete yet.

2006-11-24 11:46  we7u

	* xastir-min.spec.in, xastir.spec.in: Correcting the "Source" line
	  in the header so the version number comes out right.

2006-11-22 11:48  we7u

	* scripts/LSB-BUILD-LESSTIF: Updating comments.

2006-11-22 11:46  we7u

	* scripts/LSB-BUILD: Stripping the executables created, adding some
	  more comments.

2006-11-22 11:30  we7u

	* scripts/LSB-BUILD-LESSTIF: Updating the notes at the top to show
	  the SUCCESSFUL way of compiling Lesstif against LSB.

2006-11-22 11:27  we7u

	* scripts/LSB-BUILD: Updated to show latest LSB build method.

2006-11-21 07:52  we7u

	* scripts/LSB-BUILD: Updating the comments.

2006-11-21 07:35  we7u

	* scripts/LSB-BUILD-LESSTIF: Adding more comments at the top.

2006-11-20 15:37  we7u

	* scripts/LSB-BUILD-LESSTIF: Adding a comment, commenting out a
	  currently-unused line, and enabling shared libs to be created.

2006-11-20 15:33  we7u

	* scripts/LSB-BUILD: Adding a comment plus commenting out a
	  currently-unused line.

2006-11-20 15:17  we7u

	* configure.ac: Another LSB mod.

2006-11-20 14:52  we7u

	* scripts/: LSB-BUILD, LSB-BUILD-LESSTIF: Preliminary scripts for
	  building LSB-compatible Lesstif and Xastir.  They're not fully
	  functional yet.

2006-11-20 14:50  we7u

	* scripts/fcc-get: Fixing the RCS tag.

2006-11-20 10:31  we7u

	* src/shapelib/Makefile.am: Updating the Copyright year.

2006-11-20 10:24  we7u

	* scripts/fcc-get: Changing the RAC portion of the script to match
	  their current server configuration.

2006-11-19 14:05  tvrusso

	* README.win32: Another tiny update to README.win32 to bring it
	  up-to-date with the reality of today's cygwin and sync with the
	  Wiki HowTo:Windows page.

2006-11-19 14:00  tvrusso

	* README.win32: Fix up another little issue with this document.

	  I'm doing this piecemeal, because I'm finding things as I'm
	  editing the same information on the Wiki, and want this file to
	  be consistent with that.

2006-11-19 13:56  tvrusso

	* README.win32: Fix up a little error in the "building shapelib
	  from source" section.  It referred to a "_reent" error when
	  really it was about the error involving "__getreent".

2006-11-19 13:34  tvrusso

	* README.win32: Add note about preferring internal shapelib support
	  unless the external is needed for something other than xastir.

	  This should cut down on our "How do I get around this error
	  message..." support questions from new Cygwin users.

2006-11-17 07:45  kg4ijb

	* ChangeLog: [no log message]

2006-11-17 00:53  tvrusso

	* scripts/get-maptools.sh: Found yet another annoying issue with
	  libgeotiff build on ubuntu (and probably anywhere where gcc 4 is
	  used).

	  The problem is that the official tarball has the modification
	  times of configure.in newer than configure, and a makefile that
	  regenerates configure whenever it's older than configure.in ---
	  and then runs it with no arguments.  Since we need to run
	  configure with some arguments, that completely messes everything
	  up.

	  Add a "touch configure" command to the commented-out part of the
	  script that makes configure newer than configure.in and bypasses
	  that part of the  Makefile.  A kludge upon a kludge upon a
	  kludge.

	  I missed this subtlety because when I finally tracked down the
	  "ld -shared" issue, it was in a dirty directory -- one that had
	  already had configure regenerated and which therefore no longer
	  had the broken timestamps.

2006-11-16 21:31  tvrusso

	* scripts/get-maptools.sh: Add commented-out fix for GCC 4.x issues
	  with libgeotiff.

	  Not uncommenting them, because it might be wrong on some
	  platforms that don't use GCC at all.

2006-11-16 20:13  tvrusso

	* scripts/get-maptools.sh: A number of small fixes to the
	  get-maptools script:	 1) Make sure $XASTIR_TMP exists before
	  trying to download files into it   2) Fix a typo (LDCONf_FILE vs.
	  LDCONF_FILE)	 3) Update version of gdal to 1.3.2 (1.3.1 does not
	  compile in recent GCC)   4) Build geotiff before gdal, since gdal
	  will use the libgeotiff if it finds it.

2006-11-16 09:12  we7u

	* Makefile.am: Getting rid of the symlink I recently added which
	  pointed from /usr/local/share/xastir/doc to
	  /usr/local/doc/xastir.  Near as I can tell we're fairly well
	  FHS-compliant now with Xastir.

2006-11-15 12:11  we7u

	* Makefile.am: Forcing the removal of the old
	  $prefix/share/xastir/doc directory and creating a symlink to the
	  new location.

2006-11-15 11:49  we7u

	* Makefile.am, xastir-min.spec.in, xastir.spec.in: Moving the doc
	  files to an FHS-compliant directory.	For a user installing from
	  sources they'll get installed in "/usr/local/share/doc/xastir/"
	  instead of the old location of "/usr/local/share/xastir/doc".

2006-11-15 08:45  we7u

	* Makefile.am, xastir-min.spec.in, xastir.spec.in: Changing the man
	  page directory from $prefix/man to $prefix/share/man, per FHS-2.3
	  and LSB-3.1

2006-11-15 07:50  we7u

	* xastir-min.spec.in: Changing "--without-shapelib" to
	  "--with-internal-shapelib" to take adantage of the new shapelib
	  library we include with Xastir.

2006-11-15 07:48  we7u

	* .cvsignore: Adding two derived files back in.

2006-11-15 07:47  we7u

	* xastir-min.spec, xastir.spec: Put these files into CVS by
	  mistake.  They are derived files.  Silly me.

2006-11-15 07:08  we7u

	* scripts/BUILDRPMS: Changing the "minimum" description to include
	  building with internal Shapelib.

2006-11-15 07:08  we7u

	* .cvsignore: Updating for current list of files.

2006-11-15 07:07  we7u

	* xastir-min.spec, xastir.spec: Adding the spec files that I've
	  been using.  I'm surprised that they weren't added before, but I
	  had added them to my .cvsignore file and so didn't notice.

2006-11-14 13:30  we7u

	* src/shapelib/dbfopen.c: The last revision also commented out an
	  unused variable that I forgot to mention in the cvs log.

2006-11-14 13:28  we7u

	* src/shapelib/: shpopen.c, shptree.c: Commenting out some
	  variables that give off compiler warnings.

2006-11-14 13:28  we7u

	* src/shapelib/dbfopen.c: Casting a couple of variables to int's to
	  get rid of compiler warnings.

2006-11-14 12:58  we7u

	* README.Getting-Started: Adding missing command-line options to
	  the docs.

2006-11-14 12:42  we7u

	* src/xa_config.c: Changing some default settings, useful for
	  first-time users of Xastir to see what more of the options might
	  be plus give them a good operational starting point.

2006-11-14 12:09  kg4ijb

	* ChangeLog: [no log message]

2006-11-14 11:52  we7u

	* configure.ac: Fixing up the Shapelib config options.

2006-11-14 11:52  we7u

	* xastir.1: Updating the man page a bit.

2006-11-14 08:28  we7u

	* configure.ac: Changes to make it obvious in the configure output
	  text and in Help->About that we're using the internal Shapelib.
	  This change doesn't affect summary.log.

2006-11-14 07:41  we7u

	* src/main.c: Putting a newline in front of the Motif version
	  string in Help->About.

2006-11-14 00:19  tvrusso

	* configure.ac: Fix the "-I" flag in CPPFLAGS when local shapelib
	  is being built.

	  As it was, the compiler would not find the local shapefil.h file
	  unless you were building in the actual xastir source code
	  directory, or if shapefil.h was already installed system-wide.

	  Noticed this while attempting a fresh build on a brand new
	  laptop, on which I'd decided to attempt the simplest possible
	  build, with no shapelib installed.

2006-11-13 11:46  we7u

	* README.Getting-Started: Added notes about the private copy of
	  Shapelib and when it might be used, the "wget" requirement for
	  the get-NWSdata script, putting in a callsign when initially
	  starting Xastir, and a list of various places to get Xastir help.

2006-11-13 11:43  we7u

	* README.win32: Mentioning the private Shapelib version and when it
	  might be used.

2006-11-13 11:43  we7u

	* README.MAPS: Mentioning "wget" as a requirement for get-NWSdata.
	  Mentioning the private install of Shapelib.

2006-11-13 11:41  we7u

	* INSTALL: Adding info about the alternate method of getting
	  Shapefile support.

2006-11-13 07:10  tvrusso

	* README.Contributing: Fix up a mistake in the description of
	  "build directories", and add a reference to that technique to an
	  earlier section that advocates doing all the builds in the source
	  directory.

	  Build directories are such a powerful tool for developers, we
	  should make sure we recommend it when talking about doing
	  multiple builds.

2006-11-13 06:56  tvrusso

	* README.win32: Attach a date to qualify the meaning of "latest" in
	  the ImageMagick section.

2006-11-13 06:48  tvrusso

	* src/Makefile.am: Add a testawk_LDADD line to src/Makefile.am so
	  that this test program can link if shapelib is not installed.

	  I have no idea why this didn't fail when I was testing the
	  shapelib addition.

2006-11-13 06:25  we7u

	* README.win32: Updating the description for ImageMagick bug.

2006-11-13 06:24  we7u

	* src/: .cvsignore, shapelib/.cvsignore: Adding another couple of
	  derived files to the .cvsignore file.

2006-11-12 17:36  we7u

	* src/main.c: Enabling default map on initial startup, plus if the
	  callsign is "NOCALL", bring up the Configure->Station dialog.

2006-11-12 17:26  we7u

	* src/xa_config.c: Getting rid of many of the messages you get on
	  startup when config file settings are missing.

2006-11-11 16:26  tvrusso

	* src/shapelib/contrib/Makefile.am: Add CVS revision information
	  and copyright.

2006-11-11 16:11  we7u

	* README.MAPS: Adding attribution for the default map.

2006-11-11 15:46  tvrusso

	* configure.ac, src/shapelib/Makefile.am, src/shapelib/shprewind,
	  src/shapelib/contrib/.cvsignore, src/shapelib/contrib/Makefile,
	  src/shapelib/contrib/Makefile.am,
	  src/shapelib/contrib/Makefile_orig: Add EXTRA_DIST and
	  DIST_SUBDIRS lines so that the shapelib stuff is properly bundled
	  when doing a "make dist" for release.

	  The Makefile.am in the contrib directory does not actually build
	  any of the contrib codes.  That's another step for another
	  moment.  I just wanted to make sure that any make dist that is
	  done is sure to bundle the entire shapelib directory in order to
	  comply with the terms of the license.

	  The "Makefile_orig" script in the shapelib/contrib directory
	  could be used temporarily to build the shapelib tools.
	  Ultimately, they could be built by the new makefile, but it's not
	  really the goal of this exercise to do all that.  In fact, at
	  some point it might be reasonable for xastir's shapelib directory
	  to contain only the files needed for building the library, but
	  that will probably require modifying it to be under GPL instead
	  of LGPL.  That's just a matter of editing some license files, not
	  any code.

	  Also, removed the shprewind file from the shapelib directory.
	  This is a linux binary that for some reason was in the shapelib
	  source tarball I had.  It should never have been added to
	  xastir's CVS repository.

2006-11-11 15:01  we7u

	* Makefile.am: Adding a default map to the distribution.

2006-11-11 14:51  we7u

	* worldhi.map: Adding a default map.  Map was created by Keith
	  Sproul, WU2Z, and used with his permission.

2006-11-10 13:49  tvrusso

	* src/shapelib/.cvsignore: Add .cvsignore.

2006-11-10 13:49  tvrusso

	* src/shapelib/Makefile.in: CVS cleanup.

2006-11-10 13:48  tvrusso

	* configure.ac, src/Makefile.am, src/shapelib/ChangeLog,
	  src/shapelib/LICENSE.LGPL, src/shapelib/Makefile.am,
	  src/shapelib/Makefile.in, src/shapelib/Makefile_shapelib_orig,
	  src/shapelib/README, src/shapelib/README.tree,
	  src/shapelib/dbf_api.html, src/shapelib/dbfadd.c,
	  src/shapelib/dbfcreate.c, src/shapelib/dbfdump.c,
	  src/shapelib/dbfopen.c, src/shapelib/libtool,
	  src/shapelib/makefile.vc, src/shapelib/makeshape.sh,
	  src/shapelib/mkinstalldirs, src/shapelib/shapefil.h,
	  src/shapelib/shapelib.def, src/shapelib/shapelib.html,
	  src/shapelib/shp_api.html, src/shapelib/shpadd.c,
	  src/shapelib/shpcreate.c, src/shapelib/shpdump.c,
	  src/shapelib/shpopen.c, src/shapelib/shprewind,
	  src/shapelib/shprewind.c, src/shapelib/shptest.c,
	  src/shapelib/shptree.c, src/shapelib/shptreedump.c,
	  src/shapelib/shputils.c, src/shapelib/stream1.out,
	  src/shapelib/stream1.sh, src/shapelib/stream2.out,
	  src/shapelib/stream2.sh, src/shapelib/stream3.out,
	  src/shapelib/contrib/Makefile,
	  src/shapelib/contrib/ShapeFileII.pas,
	  src/shapelib/contrib/dbfcat.c, src/shapelib/contrib/dbfinfo.c,
	  src/shapelib/contrib/makefile.vc, src/shapelib/contrib/my_nan.h,
	  src/shapelib/contrib/shpcat.c, src/shapelib/contrib/shpcentrd.c,
	  src/shapelib/contrib/shpdata.c, src/shapelib/contrib/shpdxf.c,
	  src/shapelib/contrib/shpfix.c, src/shapelib/contrib/shpgeo.c,
	  src/shapelib/contrib/shpgeo.h, src/shapelib/contrib/shpinfo.c,
	  src/shapelib/contrib/shpproj.c, src/shapelib/contrib/shpwkb.c:
	  Add shapelib as an internal library, and use it if we don't find
	  an external one.

	  Make a loud warning if we do so, because the result of this is
	  that we'll have a bigger executable.

	  This commit is bigger than it needs to be, because it includes
	  all of shapelib, including the contrib directory.

	  Added an automake-generated Makefile for this thing.

	  Builds only a static library, and calls it "libshape.a" instead
	  of "libshp.a" so that if we use ask to use the static one while
	  there is also an external one installed, the linker doesn't pull
	  in the shared library one unbidden.

	  This stuff can be tested on a system with libshp installed by
	  configuring with "--without-shapelib"

	  I will be removing Makefile.in because it's not supposed to be in
	  CVS.	My mistake.

2006-11-09 14:34  kg4ijb

	* ChangeLog: [no log message]

2006-11-09 08:23  we7u

	* src/xa_config.c: Changing the default window size on initial
	  startup.  The minimum width/height are set up in
	  main.c:create_appshell() anyway, so we can't reduce the window
	  small enough to cause segfaults by doing this change.

2006-11-09 08:21  we7u

	* src/main.c: Changed one comment.  No code changes.

2006-11-05 17:16  tvrusso

	* README.win32: Add information about problems with Cygwin
	  ImageMagick.	The notes in the README.win32 refer to "recent
	  versions" of cygwin containing ImageMagick 5.5.7, which is very
	  outdated.  Current versions of Cygwin come with 6.0.4, and there
	  are real problems due to that version being linked with Display
	  Postscript support --- X.org stopped supporting that, and now
	  ImageMagick doesn't work on Cygwin unless you find a few DLLs off
	  the net.

	  The paragraph I added here points the user at an article that
	  explains the issue and shows two workarounds (installing the DLLs
	  or building ImageMagick from source code instead).

2006-11-03 12:31  we7u

	* src/util.c: Adding a diff by Tapio Sokura, which a few comment
	  changes by me.  Thanks! This fixes the lower-case callsigns
	  problem for internet paths.

2006-11-02 10:34  we7u

	* scripts/BUILDRPMS: Setting up for building RPM's for the current
	  development version.

2006-11-02 08:03  we7u

	* configure.ac: Setting up for the next development source version
	  number.

2006-11-02 06:43  we7u

	* configure.ac, scripts/BUILDRPMS, scripts/do_xastir_release_dev,
	  scripts/do_xastir_release_stable: Setting up to do the 1.8.4
	  release.

2006-11-01 06:57  we7u

	* config/language-German.sys: Updates by Rolf Bleher.  Thanks!

2006-10-26 08:52  we7u

	* Davis/: configure.ac, src/db2APRS.c, src/defs.h: Tweaks by Bruce
	  Bennett:  "I fixed some issues brought out by the latest MySQL
	  (5.0.x ver), added metric/english switch, rooted out some old
	  bugs and made some improvement on debug messages."

2006-10-26 06:50  we7u

	* src/db.c: Fixing problems with Aloha circle units in multiple
	  places.

2006-10-25 08:16  we7u

	* REGRESSION_TESTS: Lining up the line to match the rest.

2006-10-24 11:03  we7u

	* REGRESSION_TESTS: Adding another test which disables the
	  /usr/include/magick/ directory before attempting a compile.  This
	  disables ImageMagick.

2006-10-24 11:02  we7u

	* src/map_geo.c: Adding another two ifdef's so that the code will
	  compile in the case that we have XPM support but no ImageMagick
	  support.

2006-10-11 14:39  we7u

	* src/db.c: Another patch by Jesse, KF4HZU.  Thanks!

2006-10-05 09:11  we7u

	* src/db.c: Skipping any processing of lines from logfiles that
	  begin with '#'.

2006-10-05 08:29  we7u

	* src/db.c: A fix for numeric overlays on base-91 packets by Jesse,
	  KF4HZU.

2006-10-05 07:46  we7u

	* src/db.c: Some SKY bulletins came in that had "EMERGENCY" in the
	  text.  This caused Xastir to try to process the packets twice on
	  order to get a position first and then pop up the emergency
	  dialogs.  Since there was no position in the packet this caused
	  an infinite loop as Xastir passed the packet through the
	  processing again and again.  The fix is to NOT send a packet
	  through the processing again, which will make it necessary for
	  Xastir to receive two EMERGENCY packets if a position is not
	  known yet for the station, but it will at least not cause Xastir
	  to get in an infinite loop.  We also skip storing any SKY packets
	  now as they just take up memory and we never do anything further
	  with the packets.

2006-09-27 12:23  we7u

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Adding US National
	  Grid designator to the MGRS label.  If in NAD83/WGS84 they are
	  equivalent.

2006-09-25 06:24  we7u

	* src/main.c: A tweak by Dick Reichenbach, KC8OBZ, to split the
	  status line into two lines when using a 640x480 display.  Thanks!

2006-09-20 08:22  tvrusso

	* src/interface.c: Add comments to show where it is necessary to
	  fix data_out_ax25 so that it isn't confused by leading
	  white-space in commands.

	  No code changes.  The idea was to document what I know I need to
	  do to fix the problem that Mike Fenske saw when the \r was added
	  before MYCALL commands.  The quick fix was not to add the \r if
	  sending to an AX25 port, but the clean fix would be to make
	  data_out_ax25 not care about leading white space.

2006-09-19 20:14  tvrusso

	* src/interface.c: What might be a less intrusive way of
	  introducing that extra carriage return into the MYCALL line.

	  The code for AX25 ports tries to decode the mycall line, and that
	  decoding was getting confused by the leading \r.  This quick
	  "fix" simply checks to see if we're writing to an AX25 port, and
	  if so, doesn't add the \r.

	  A more correct way to fix this would be to fix the decoding of
	  MYCALLs by data_out_ax25 so it doesn't get tripped up by the
	  first \r.  This is meant to be a quick hack to let both things
	  work properly until I figure out how to desensitize
	  data_out_ax25.

2006-09-19 19:55  tvrusso

	* src/interface.c: Removing carriage return I had put in before
	  MYCALL sent to TNCs.

	  The original intent was to do what was supposed to be an
	  inconsequential extra carriage return when writing to the TNC to
	  work around  some garbled data issues that are happening on
	  D700s.

	  Unfortunately, some bit of code downstream of
	  "output_my_aprs_data" is seeing the extra carriage return and
	  screwing up.	Bleah.

	  Removing the "fix" until I figure out what is going on.

2006-09-19 09:12  chicoreus

	* src/list_gui.c: Removing double cast.

2006-09-19 08:58  chicoreus

	* src/: database.h, db.c, list_gui.c: Fixing bugs in previous
	  commit.  Added note about database.h being name used instead of
	  db.h Previous commit email message bounced, changes were:

	  1) Converted hard coded MY_TRAIL_DIFF_COLOR to user configurable
	  my_trail_diff_color and added to configuration ui and config
	  file.  2) Linked station icon in station list to an onclick
	  callback to center the map on the station.  Included alternate
	  callback to pop up station details window.  Needs checking, as I
	  think the callback needs to filter mouse events.  3) Added, but
	  haven't yet internationalized display of area in acres when
	  measuring distances/areas on the map.  Needs to be generalised
	  and linked to all the places display of an area might be desired.

2006-09-19 07:43  chicoreus

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, help/help-English.dat, src/db.c,
	  src/list_gui.c, src/main.c, src/main.h, src/xa_config.c: Three
	  changes: 1) Converted hard coded MY_TRAIL_DIFF_COLOR to user
	  configurable my_trail_diff_color and added to configuration ui
	  and config file.  2) Linked station icon in station list to an
	  onclick callback to center the map on the station.  Included
	  alternate callback to pop up station details window.	Needs
	  checking, as I think the callback needs to filter mouse events.
	  3) Added, but haven't yet internationalized display of area in
	  acres when measuring distances/areas on the map.  Needs to be
	  generalised and linked to all the places display of an area might
	  be desired.

2006-09-19 06:55  we7u

	* src/db.c: Removing the '*' after our callsign when injecting
	  packets into the internet (our injection ID that we add).

2006-09-15 09:59  tvrusso

	* src/interface.c: Inexplicable fix for an equally inexplicable but
	  very persistent problem.

	  My Kenwood D700 complains loudly ("EH?") almost every time Xastir
	  tries to set MYCALL before a posit.

	  This commit adds a carriage return right before MYCALL is sent.
	  For whatever reason, this eliminates the problem.  Clearly, the
	  d700 gets in some strange state where the first command sent
	  after re-entering command mode is not recognized every time.

	  Since a failure of MYCALL to be set before transmit can mean the
	  wrong callsign (or NOCALL) being attached to a posit, this is
	  potentially a significant fix.  I will comment more on it in a
	  follow-up email to the users mailing list.

2006-09-15 09:53  we7u

	* INSTALL: A tweak by Chip, N1MIE.

2006-09-10 18:03  we7u

	* src/db.c: Backing out the igate changes until they can be tested
	  further.  They appear to have broken most or all igating -> RF.

2006-09-08 17:35  we7u

	* src/: db.c, main.c, main.h, messages.c, messages_gui.c,
	  popup_gui.c, track_gui.c: Implementing command-line flags for
	  tracking a station and for disabling popups plus disabling Send
	  Message dialogs on incoming messages.  May need some more
	  tweaking to get rid of all popups, but this should be a good
	  start.

2006-09-08 11:10  we7u

	* src/db.c: Attempting to igate more types of packets to RF, for
	  the cases where it is appropriate to do so.  This should fix the
	  directed query problem, at least when gating _to_ RF.  Will look
	  at the other case as well (gating->INET), which may not be
	  broken.

2006-09-02 16:43  we7u

	* src/db.c: Adding parsing for RDF packets, with checking to make
	  sure they really _are_ RDF packets this time.

2006-09-01 06:21  we7u

	* src/db.c: Added a date/timestamp to bearing/distance popup for
	  emergency packets.

2006-09-01 06:05  we7u

	* src/db.c: Tweaking the processing of emergency packets (Mic_E
	  packets and standard packets) so that the packet gets processed
	  twice if the first time comes up with a 0.0 distance (which means
	  an unknown distance).  This often allows us to match our distance
	  check ( < 280 miles ) the first time a packet is received,
	  instead of having to wait for the 2nd occurrence of the packet.
	  Also:  We now bring up a popup with the bearing and distance to
	  the emergency station if it passes our checks.

2006-09-01 04:46  we7u

	* src/db.c: Added another comment in the RDF section.

2006-09-01 04:45  we7u

	* src/messages_gui.c: Changing input focus to the first message box
	  after sending each message.  For D700 or D7 mode to make typing
	  messages easier.

2006-08-31 14:36  we7u

	* src/: db.c, main.c, maps.c, maps.h, util.c, util.h: Writing wx
	  alerts to file in the correct format now.  Storing/restoring wx
	  alerts from file.  Fixed a bug in the weather alerts code where
	  they wouldn't draw right away.

2006-08-31 14:27  we7u

	* src/wx_gui.c: Skipping NULL alert entries instead of returning
	  when we hit the first one.  This lets us see all of the active
	  alerts.

2006-08-30 12:29  we7u

	* src/: db.c, main.c, main.h, messages_gui.c, xa_config.c: Logging
	  for messages and weather alerts.  Starting to add more buttons to
	  the Send Message->Change Path dialog.

2006-08-30 12:21  we7u

	* src/Makefile.am: Putting the files in correct alphabetical order.

2006-08-30 04:38  we7u

	* src/db.c: This change implements the capability to receive
	  messages that were sent to our other SSID's.	We don't ack them.
	  They cause a Send Message box to pop up like normal except
	  there's a special note prepended to each message line stating
	  which SSID the message was sent to.  This allows us to catch
	  messages sent to our other stations and respond to them if
	  desired.  We skip displaying these messages if the message
	  originated from our station, as two message boxes for the same
	  QSO is very confusing (and unnecessary).

2006-08-30 04:12  we7u

	* src/interface.c: Fixes for KISS mode when using "DIRECT PATH".

2006-08-29 15:34  we7u

	* src/: db.c, main.c: Adding context-sensitive Send Message To
	  option to the mouse menu.

2006-08-29 15:26  we7u

	* src/messages_gui.c: Changing to APRHH and APHH as the TOCALLS
	  which mean a HamHUD.

2006-08-29 15:24  we7u

	* src/view_message_gui.c: Making "Mine Only" take precedence over
	  the range in the View->Messages dialog.

2006-08-29 07:31  we7u

	* src/messages_gui.c: Minor fixes to the Send Message changes.
	  Tied the select_station_type capability into the New/Refresh
	  Callsign button as well.

2006-08-29 05:15  we7u

	* src/xa_config.c: Checking for blank strings in config file,
	  replacing with defaults where it makes sense.

2006-08-28 18:01  we7u

	* src/messages_gui.c: Fixing HamHUD-II detect and setting max size
	  of messages to 20 for that device.

2006-08-28 16:23  we7u

	* src/messages_gui.c: Initial attempt to have the Send Message
	  dialog automatically choose the HamHUD/D700/D7 settings based on
	  the remote station.

2006-08-28 12:29  we7u

	* src/: messages.c, messages.h, messages_gui.c: Added Send Message
	  formatting for HamHUD 20-character display.

2006-08-25 15:33  we7u

	* src/: db.c, messages.c, messages.h, messages_gui.c: Adding error
	  messages to the Send Message dialog.	Fixing directed queries.
	  Adding D7A and D700 input modes to the Send Message dialog.
	  Fixed a long message bug so 67-char messages can now be sent.

2006-08-25 15:24  we7u

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Adding some
	  warning messages for the Send Message dialog.

2006-08-25 04:42  we7u

	* src/db.c: Changed the Capabilities display in View Incoming Data
	  so that it shows my own outgoing ?IGATE? packets as well.

2006-08-25 04:25  we7u

	* src/messages_gui.c: Updated some comments.  No code changes.

2006-08-24 16:49  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/db.c, src/main.c, src/main.h,
	  src/messages_gui.c, src/view_message_gui.c: Implementing Station
	  Capabilities and Mine Only options on Incoming Data dialog.
	  Added Mine Only and interface selection options to View Messages
	  dialog.

2006-08-24 16:29  we7u

	* src/popup_gui.c: Protecting popup functions from possible bad
	  inputs.

2006-08-23 13:45  we7u

	* src/db.c: Implemented 120-second random delay before responding
	  to an ?IGATE?  query.  Implemented the response for an ?APRS?
	  query, including the 120-second random delay.

2006-08-23 08:53  we7u

	* src/main.c: Refuse to print out the measured angle for the case
	  where we're doing on-screen measuring at zoom==1.  Angles change
	  at that zoom level.

2006-08-23 08:09  we7u

	* src/map_geo.c: Adding a comment about a future Terra/Toposerver
	  enhancement: Crossing UTM zone boundaries, splitting the map
	  fetch into two fetches.

2006-08-23 07:14  we7u

	* src/maps.c: Added more debug output from map_visible()

2006-08-23 07:14  we7u

	* src/map_geo.c: Separating "zstr" used in UTM->lat/long calls into
	  zstr0 and ztr1.  We were running into problems when we crossed
	  UTM zones with a map.

2006-08-23 07:12  we7u

	* src/main.c: Added a method to have Xastir spit out coordinates in
	  Xastir Coordinate System.  Change a global variable at the top of
	  main.c to a 1 to enable it.

2006-08-23 05:19  we7u

	* src/maps.c: Adding some debug statements.

2006-08-23 05:17  we7u

	* src/map_geo.c: Changing one comment.

2006-08-23 05:17  we7u

	* src/main.c: Moving reload_object_item() and
	  Restore_CAD_Objects_from_file() from main() up into UpdateTime().
	  This is so that the image can be created and the global map
	  corner variables updates first.  Points were getting rejected on
	  loading because these variables were not initialized yet.

2006-08-22 11:20  tvrusso

	* src/messages_gui.c: Fix the
	  Send_message_change_path_destroy_shell function so it doesn't
	  ever try to destroy a shell when the pointer is null.

	  This was causing segfaults for me whenever a messaging dialog was
	  closed, whether I'd accessed a change_path dialog or not.

2006-08-22 08:27  we7u

	* src/messages_gui.c: Closing the Change Path dialog if the Send
	  Message dialog is closed.

2006-08-22 07:20  we7u

	* src/messages_gui.c: Setting the path and change path widgets so
	  that they stretch properly with the dialog.

2006-08-22 07:12  we7u

	* src/messages_gui.c: Simplifying the Send Message dialog a bit
	  more, taking the Reverse Path widgets out of that dialog.  They
	  still exist in the Change Path dialog.

2006-08-22 05:35  we7u

	* src/messages_gui.c: Minor adjustments to the widgets of the Send
	  Message and Change Path dialogs.

2006-08-22 04:55  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/messages_gui.c: Swapping a
	  couple of lines of widgets in the Send Message dialog.  More
	  tweaks to lang strings for Send Message and Change path dialogs.

2006-08-22 04:40  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/messages.h, src/messages_gui.c:
	  Creating language file entries for new Send Message and Change
	  Path widgets.  Adding "Reverse Path:" labels to both dialogs.

2006-08-22 04:08  we7u

	* src/messages_gui.c: Changing reverse-path calculation to get rid
	  of Q-construct and anything after it before reversing the path.

2006-08-21 19:35  we7u

	* src/messages_gui.c: A better Send Message dialog.  More testing
	  to be done yet, but so far it looks better than the old.

2006-08-21 18:01  we7u

	* src/: interface.c, messages.c, messages.h, messages_gui.c: The
	  beginnings of a separate dialog for changing the path from the
	  Send Message dialog.	Mostly working as-is but not very pretty.

2006-08-21 09:18  we7u

	* src/messages_gui.c: Added some TODO comments to Send_Message().

2006-08-21 06:58  we7u

	* src/popup.h: Cranking up max popups to 30.

2006-08-21 06:33  we7u

	* src/db.c: A fix for bug #1474401, where an auto-answer or some
	  other message to us which doesn't have a message-ID ends up
	  showing up in a Group Message dialog.  This fix makes them appear
	  in a Send Message dialog, plus we refuse to ack them which is
	  correct behavior.

2006-08-21 04:44  we7u

	* src/main.c: Changing from a 1us delay to a 2ms delay inside
	  UpdateTime().  Adding/ changing some comments.

2006-08-21 04:42  we7u

	* src/interface.c: Moving one debug line inside the data_lock block
	  to make sure it doesn't get corrupted by another thread.

2006-08-19 15:19  we7u

	* src/interface.c: More correct fixes for truncation problem with
	  new incoming data queue code.

2006-08-19 11:54  we7u

	* src/interface.c: A fix for the circular queue pointer problem.
	  The read pointer was not getting advanced in the same manner
	  around the queue as the write pointer, giving us an off-by-one
	  error.

2006-08-19 10:42  we7u

	* src/interface.c: A temporary fix to the new queue code problem
	  where it truncates the last character off the strings.

2006-08-18 14:52  tvrusso

	* src/map_shp.c: Remove commented-out ifndef of label-skipping
	  code.  It won't be needed.

2006-08-18 08:28  we7u

	* src/map_shp.c: Adding an #ifndef block for Tom Russo to play
	  with.  Currently commented out.  If the block is enabled it will
	  cause Xastir to draw every label for each polyline instead of
	  skipping some based on zoom level.

2006-08-18 06:57  we7u

	* src/map_shp.c: Added some comments.

2006-08-18 04:07  we7u

	* src/: interface.c, interface.h, main.c: Shortening the delay at
	  the end of UpdateTime() again to 10.	Global variables for
	  passing data from the read threads to main have been changed to a
	  circular queue.  This lets us queue up data from the read threads
	  when we're busy drawing maps and such, then process it quickly
	  when we're freed up.

2006-08-18 04:02  we7u

	* src/x_spider.c: Shortening delays so that we don't corrupt
	  packets if we're fed them quickly by the pipe from Xastir.

2006-08-17 05:59  we7u

	* src/database.h: Renaming a function parameter so that it's not
	  confused with a global variable name.

2006-08-17 05:47  we7u

	* src/db.c: Renaming a function parameter so that it won't be
	  confused with a global variable name.

2006-08-15 03:38  we7u

	* src/map_shp.c: Patch for RTREE functionality with the new
	  Shapefile speed mods.

2006-08-14 13:06  we7u

	* src/map_shp.c: Fixing an infinite loop condition that can happen
	  if a Shapefile has points below -180.0 or above 180.0.

2006-08-14 12:38  we7u

	* src/track_gui.c: Changing from "sed --in-place" to "sed -i",
	  perhaps more compatible across versions?

2006-08-14 12:34  we7u

	* src/track_gui.c: Fixing findu.com fetch trail function for
	  base-91 packets w/no comment/course/speed/altitude.

2006-08-14 11:01  we7u

	* FAQ: Added another bit to the "remote restart" section.

2006-08-14 08:53  we7u

	* src/map_gnis.c: Reorganization to provide speedups.  This one
	  cuts about 50% of the time when zoomed in.

2006-08-14 08:52  we7u

	* src/map_gdal.c: Limiting to screen size instead of +/-32767.
	  Added a comment about another possible optimization.

2006-08-14 05:24  we7u

	* INSTALL: Adding an invocation line for gprof that I use so I
	  don't need to figure it out each time.

2006-08-14 05:12  we7u

	* src/: map_gdal.c, map_shp.c, maps.c, maps.h: Removing error-text
	  parameter from map_visible_lat_lon() as we're not using it.
	  Changed the order of checks in map_visible_lat_lon() to perhaps
	  speed things up slightly based on which lines get his most often
	  (gprof). Changed skip parameter for HandlePendingEvents in
	  map_shp.c from 50 to 64, which is a power of 2 (perhaps faster?)
	  and roughly the switchover point (via gprof) for lower CPU.

2006-08-11 16:58  we7u

	* src/: db.c, draw_symbols.c, map_gdal.c, map_shp.c, maps.c,
	  maps.h, objects.c: Added dupe-checking for screen points to
	  draw_vector and draw_point.  Reduced the number of
	  HandlePendingEvents calls we're doing inside the inner loop of
	  map_shp.c.  The end result is a speedup in Shapefile drawing.

2006-08-11 05:04  we7u

	* src/maps.h: Getting rid of stub for recompute_lat_lon() function
	  which was deleted.

2006-08-11 05:03  we7u

	* src/: maps.c, util.c: Getting rid of duplicate code in the form
	  of recompute_lat_long() and the global variables it populated.
	  We have duplicate functionality in the f_NW_corner_longitude,
	  f_SE_corner_longitude, f_SE_corner_latitude, and
	  f_NW_corner_latitude global variables and the code that populates
	  them.

2006-08-10 09:15  we7u

	* src/db.c: Took out a bit too much on one of the previous 2 or 3
	  revisions.  Adding computation of screen coordinates back in for
	  trail labels.

2006-08-10 09:09  we7u

	* src/: db.c, draw_symbols.c, map_gnis.c, map_shp.c, objects.c:
	  Moving screen boundary checks into draw_nice_string() and
	  removing them from lots of other places.

2006-08-10 09:08  we7u

	* src/maps.c: Adding a clip2d_screen() function for line-clipping
	  to screen boundaries.  Not used yet.

2006-08-10 06:01  we7u

	* src/maps.c: Added some sanity checking for dbfawk font_size
	  variable.

2006-08-10 05:41  we7u

	* src/map_gdal.c: Added some comments.

2006-08-10 04:35  we7u

	* src/db.c: Changing to draw_point() instead of XDrawPoint for the
	  vertice point drawing of tracklines.

2006-08-09 21:02  we7u

	* src/: db.c, draw_symbols.c, util.h, main.c, map_dos.c,
	  map_gdal.c, map_gnis.c, map_shp.c, maps.c: Adding protection for
	  the parameters of the XDraw* calls, making sure they don't go
	  over 16 bits.

2006-08-09 07:56  we7u

	* src/draw_symbols.c: Changing the lu16 inline function to pass
	  back the correct type and check against the correct max number.
	  Added a bunch of comments elsewhere.

2006-08-09 07:03  we7u

	* src/draw_symbols.c: Limiting params to X11 drawing calls to
	  16-bit values.  This should help prevent segfaults.  We're
	  actually limiting them more than we need to in most cases, but
	  this should be ok.

2006-08-09 04:36  we7u

	* src/db.c: Added a debug line and comment.  This one lets us play
	  with/display aloha circles on startup if uncommented.

2006-08-09 04:35  we7u

	* src/draw_symbols.c: Fix for Aloha circle not getting drawn if it
	  doesn't fit entirely on the screen.

2006-08-08 15:32  we7u

	* src/Makefile.am: A fix for a permissions problem that happens
	  with compiledate.c every once in a while.  This fix is by Dan
	  Brown.

2006-08-08 15:30  we7u

	* src/draw_symbols.h: Checking in a header file that didn't get
	  checked in with the other sources during the last commit.
	  Dropped a couple of parameters from the draw_symbol() function.

2006-08-08 12:41  we7u

	* src/: db.c, draw_symbols.c: Fixed draw_pod_circle(),
	  draw_bearing(), draw_phg_rng() and draw_DF_circle() so that they
	  draw even when the symbol is off-screen.

2006-08-08 07:34  we7u

	* src/db.c: Fix for ambiguity box not getting disabled.

2006-08-08 06:05  we7u

	* src/maps.c: Added some comments about possible optimizations in
	  the draw_point and draw_point_ll functions.  Commented out the
	  check against drawing long vectors to screen there as the clip2d*
	  algorithms should take care of that for us.

2006-08-08 05:36  we7u

	* src/maps.c: Moving some of the functions to a different order
	  that makes more sense.  No real code changes.

2006-08-07 13:19  tvrusso

	* config/: 24kgrid.dbfawk, nwsc_ddmmyy.dbfawk, nwsmzddmmyy.dbfawk,
	  nwsmzoddmmyy.dbfawk, nwsozddmmyy.dbfawk, nwsw_ddmmyy.dbfawk,
	  nwsz_ddmmyy.dbfawk, nwszoddmmyy.dbfawk, tgr2shp.dbfawk,
	  tgr2shppoly.dbfawk, tgrcty.dbfawk, tgrkgl.dbfawk, tgrlk.dbfawk,
	  tgrlpt.dbfawk, tgrlpy.dbfawk, tgrplc00.dbfawk, tgrwat.dbfawk: Fix
	  broken dbffields variables in all dbfawk files.

	  The dbfawk file is supposed to have semicolon-terminated
	  statements.  Unfortunately, the parser is busted and doesn't
	  actually handle the case where the semicolons are omitted
	  correctly.  So, for example,

	   BEGIN {
	    dbfinfo="Blah:Diblah:Diblahdiblah";
	    dbffields="Blah:Diblah:Diblahdiblah"
	  }

	  winds up getting the newline-space at the end of the line added
	  to dbffields, and thus in the list of names to be retrieved from
	  the dbf file.  This never matches the last field when applied to
	  the dbf files, which have no such extra characters in the field
	  names.

	  This bug is masked by *how* the dbffields variables were actually
	  set in the included dbfawk files:  BEGIN {
	  dbfinfo="Blah:Diblah:Diblahdiblah";
	  dbffields="Blah:Diblah:Diblahdiblah"}

	  That is, since there was no newline between " and }, dbfawk
	  didn't do the wrong thing.

	  Unfortunately, many people have patterned their own dbfawk files
	  after the ones in the config directory, and so this
	  missing-semicolon deal got propagated (I am among those
	  propagating it, as all my shape_web dbfawk files omitted the
	  semicolon, but also put the brace right after the ").  The
	  problem only gets exposed when the user inserts a newline after
	  the quote.

	  This commit adds the semicolon (and a newline) after the
	  dbffields closing quote.

	  The real fix is to fix the dbfawk/awk parser so it doesn't let
	  syntax errors like this slip through.

2006-08-07 12:56  we7u

	* src/maps.c: Renaming the window corner global variables.

2006-08-07 12:55  we7u

	* src/main.c: Renaming the window corner global variables.
	  Updating some new global variables describing the SE corner in
	  float and long format when necessary.

2006-08-07 12:53  we7u

	* src/: objects.c, xa_config.c, util.c: Renaming the window corner
	  global variables.

2006-08-07 12:50  we7u

	* src/: location.c, location_gui.c, map_WMS.c, map_dos.c,
	  map_gdal.c, map_geo.c, map_gnis.c, map_pdb.c, map_shp.c,
	  map_tif.c, map_tiger.c: Renaming the window corner global
	  variables.

2006-08-07 12:49  we7u

	* src/: db.c, draw_symbols.c, xastir.h: Renaming the global
	  variables describing the corners of the map window.  Fixes for
	  aloha circles and multipoing drawings so that they should appear
	  if the symbol they're attached to is off-screen.

2006-08-07 06:49  we7u

	* src/draw_symbols.c: Getting rid of unused code.

2006-08-07 06:37  we7u

	* src/maps.c: Adding clipt(), clip2d(), clipt_long(), and
	  clip2d_long() functions.  These are implementations of the
	  Liang/Barsky/Slater line-clipping algorithm.	Modified
	  draw_vector() and draw_vector_ll() to use them.  Changing cutoff
	  points for points/vectors to be consistent (+/-16000).

2006-08-07 06:33  we7u

	* src/db.c: Changing draw_trail() to use the draw_vector()
	  function.

2006-08-07 06:27  we7u

	* src/: map_gdal.c, map_shp.c: Tweaking the pixel min/max cutoff
	  numbers to make them consistent throughout the code.

2006-08-07 04:13  we7u

	* src/draw_symbols.c: Changed one comment.  No code changes.

2006-08-04 07:35  we7u

	* src/maps.c: Changed draw_point() so that if it lies outside the
	  screen we don't call the X11 draw routine.

2006-08-04 05:57  we7u

	* src/draw_symbols.c: A fix for dead-reckoning where the angle goes
	  whacko at close-in zoom levels.

2006-08-04 04:42  we7u

	* src/db.c: Setting the precision rectangle sizes for our own
	  station, whether transmit is enabled or not.

2006-08-04 04:17  we7u

	* src/track_gui.c: Using raw.cgi instead of rawposit.cgi to fetch
	  packets from findu.  This allows us to snag ALL packets from the
	  station during the specified period instead of just posits.
	  Weather, status, etc.

2006-08-04 03:55  we7u

	* src/db.c: Fixing the display of altnet's.  Somewhere along the
	  line we reversed it accidentally.

2006-08-03 16:32  we7u

	* src/db.c: Tweaking the NMEA decoding routines so that they pass
	  back the number of digits after the decimal point.  Changing the
	  display for NMEA so that the number of digits changes the size of
	  the "precision" rectangle.

2006-08-03 16:26  we7u

	* src/util.c: Fixing convert_lat_s2l() and convert_lon_s2l() so
	  that they can handle from 0 to 6 characters after the decimal
	  point for lat/long conversions.

2006-08-03 08:57  we7u

	* src/: db.c, objects.c: Fixing the problem where objects don't
	  appear on the map after created.  Also fixed transmission of
	  objects so that if they have a course/speed the new position is
	  sent out at the transmit interval.

2006-08-03 03:46  we7u

	* src/: database.h, db.c, draw_symbols.c, draw_symbols.h: The
	  beginnings of the correct way of drawing the "precision"
	  rectangles.  Not all of the different types of packets are
	  correctly sized yet, but many are.

2006-08-02 17:19  we7u

	* src/: db.c, draw_symbols.c, draw_symbols.h: Changing "precision"
	  circles to rectangles, with the correct direction offset from the
	  symbol for the different hemispheres.  They are slightly too
	  large at the moment, but at least of reasonable size.

2006-08-02 08:26  we7u

	* src/util.c: The chdir() call in log_data() appears to corrupt our
	  "file" parameter.  We don't appear to need the chdir() function
	  call anyway, so have commented it out.  We get passed the
	  complete root-anchored path/filename as-is.

2006-08-02 05:30  we7u

	* src/db.c: Allowing the Station Chooser dialog to be closed
	  without forcing the Station Info dialog to be closed.  Commenting
	  out the restore_position section in Station_data() as it isn't
	  working correctly.

2006-08-02 04:58  we7u

	* src/objects.c: Changed/added some comments.  No code changes.

2006-08-02 04:53  we7u

	* src/objects.c: Backing out the update of the Edit & Delete CAD
	  Objects dialogs when allocating the first vertice of a new CAD
	  Object.  It's a bit confusing when the windows move on top of the
	  drawing area when you do the first click, so I decided not to
	  update then.

2006-08-02 04:47  we7u

	* src/objects.c: Updating the Edit and Delete CAD Objects dialogs
	  at more places: *) When we create the first vertice on a new
	  polygon *) When we hit either the Done or Cancel buttons on the
	  Close Polygon    dialog.

2006-08-01 07:49  we7u

	* src/: objects.c, util.c: Effectively removing the rounding code
	  that was added on 6/21/2006.	The rounding was not done properly
	  to take into account overflow from seconds to minutes, or from
	  minutes to degrees.

2006-08-01 05:49  we7u

	* src/popup_gui.c: Bumping up the min size for popup messages
	  slightly.

2006-08-01 05:40  we7u

	* src/popup_gui.c: A start at fixing the problem where a popup
	  message will come up too small on the screen and can't be
	  resized.  We now set a minimum size and don't fix the size, so it
	  can be resized if necessary to read the message.

2006-07-31 06:42  we7u

	* src/objects.c: Fixed double-dash option for CAD objects.  Update
	  Edit/Erase CAD object dialogs if objects are changed.  Use
	  "<Empty Label>" names if no actual label is selected.  Commented
	  out one message to STDERR during normal pre-defined objects
	  processing, fixed up another message here to use
	  get_user_base_dir() or get_data_base_dir() as appropriate.

2006-07-31 06:30  we7u

	* src/interface.c: Notifying the operator if emergency beacon mode
	  is enabled but no transmits are actually occuring, for various
	  reasons.

2006-07-31 06:28  we7u

	* src/messages.h: Cranking up max message windows from 10 to 25.

2006-07-31 06:27  we7u

	* src/main.c: Warning the user if ALTNET is enabled on startup (can
	  be confusing when a new user sets this and then sees no
	  stations).  Setting a fixed beacon interval of 60 seconds if
	  emergency beacon mode is enabled.

2006-07-31 06:25  we7u

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Adding more
	  strings for popup messages throughout the code, plus language
	  strings for CAD Objects.

2006-07-25 07:53  we7u

	* src/util.c: A first attempt at snagging course/speed out of the
	  previous posit if the last posit doesn't have it, for
	  dead-reckoning purposes.  It will only do this if the previous
	  posit is still within the dead-reckoning timeout period.  The
	  goal here is to do dead-reckoning properly for stations which
	  alternate GPGGA/GPRMC sentences (GPGGA don't have course/speed).

2006-07-24 12:04  we7u

	* src/draw_symbols.c: Removing dead or useless code.  Reorganizing
	  some of the tests where we determine whether to draw a particular
	  symbol or attribute based on whether it is in the current view.

2006-07-24 12:01  we7u

	* src/db.c: Changing to setting flags in the station record when
	  it's our station or object/item, then checking flags, instead of
	  checking the "call_sign" or "origin" constantly throughout the
	  code with string compares.  Got rid of the second drawing
	  iteration where we were drawing new stations to the screen _and_
	  to pixmap_final.  We now draw to the screen and rely on the next
	  full screen-update to do the rest.

2006-07-24 11:54  we7u

	* src/main.c: Fixing the -geometry flag so that it works for
	  strings like: "-geometry -0-0"

2006-07-22 07:47  tvrusso

	* src/dbfawk.c: Possible fix for bug that prevents dbfawk files
	  with a single field in the dbffields list from working unless a
	  colon is added to the end of the list.

	  This appears to be a very platform dependent bug, as I have never
	  been able to reproduce the problem.  But the fix is still valid
	  --- the issue is that no null terminator is added to a field name
	  unless a colon is found.

	  This fix doesn't break anything, but I'm unable to verify that it
	  actually fixes the problem reported, since I have never actually
	  seen that problem in action.

2006-07-20 13:05  we7u

	* src/maps.c: Dump a couple of messages out from map_indexer() to
	  STDERR.  This makes it evident why Xastir is so busy when first
	  started up in a fresh config directory, if there are a lot of
	  maps present on the system.

2006-07-20 12:28  we7u

	* src/main.c: Nope, 50 was too slow, but 25 looks good so far.

2006-07-20 12:23  we7u

	* src/main.c: Slowing down the main UpdateTime() loop again.  We
	  seem to keep up with a 2.6 kernel with nexttime=50.  Previously
	  10.

2006-07-19 07:40  we7u

	* src/: igate.c, interface.c, main.c, maps.c, messages.c,
	  xa_config.c: Fixes to get rid of complete path in the config file
	  for variables that need to change between different configs.	If
	  a user has specified a complete path (other than the default
	  path), Xastir will honor it.	If the default path is there,
	  Xastir will shorten it so that multiple configs may use it.

2006-07-19 04:27  we7u

	* src/: database.h, db.c, list_gui.c, objects.c: Getting rid of
	  many of the is_my_call() invocations, instead setting flag bits
	  in the DataRow->flag variable to specify whether it's our
	  callsign-SSID or whether it's an object/item owned by us.  This
	  gets rid of literally millions of string compares.

2006-07-17 17:41  we7u

	* src/db.c: Skip doing dead-reckoning if scale > 8000.	Doing
	  point-caching of last-point-drawn in draw_trail() to reduce the
	  amount of drawing we do when it's the same screen pixel over and
	  over (when zoomed out).

2006-07-17 17:38  we7u

	* src/database.h: Adding a new flag definition in preparation for a
	  rewrite of the is_my_call() function.

2006-07-17 09:12  we7u

	* src/: map_WMS.c, map_geo.c, map_tiger.c: Patch for bug 1522493 by
	  Dan Brown, n8ysz:  The caching "bad" files problem.  It should
	  whack things out of the cache if, for whatever reason, they're
	  unusable.

2006-07-17 04:57  we7u

	* src/: main.c, xa_config.c, xa_config.h: More tweaks by Dan Brown,
	  n8ysz:  Cleaned up the get_user_base_dir() in xa_config.c to be
	  more careful about returning complete paths.

2006-07-16 12:02  tvrusso

	* src/: color.c, map_geo.c: Clean up transparency code for .geo
	  maps, removing debug output.

	  This now works properly for 16 and 24 bit DirectColor/TrueColor
	  displays.  It is horribly broken for 8-bit displays, but as far
	  as I can tell it was horribly broken *before* I started.  On
	  8-bit displays the WMSRadar image doesn't even get displayed,
	  transparent or not, before *and* after my changes.  I was unable
	  to figure out why.

2006-07-16 10:21  tvrusso

	* src/: color.c, map_geo.c: An interim commit of partial fixes to
	  the transparency problem on .geo files.

	  Mostly committing this to get it to a machine that has a display
	  that isn't 24-bit for testing.

	  Lots of cruft in here needs editing out after testing is
	  complete.

2006-07-14 11:50  we7u

	* README.Getting-Started, xastir.1: Updates by Dan Brown, n8ysz.

2006-07-14 08:53  we7u

	* src/: main.c, xa_config.c: Additions/fixes to implement alternate
	  Xastir config directories.  Patch submitted by Dan Brown, n8ysz.

2006-07-13 05:10  we7u

	* scripts/get-NWSdata: Fixing up the domain names so that they all
	  match (for consistency).

2006-07-12 10:47  we7u

	* scripts/get-NWSdata: Updating one NWS shapefile name to latest
	  version.

2006-07-12 10:47  we7u

	* README.MAPS: Updating the text for NWS Shapefile names to match
	  the NOAA website.

2006-07-12 07:24  we7u

	* src/draw_symbols.c: A fix for the bug where text-on-black obscure
	  text above/below slightly due to the black background.  We now
	  separate the text by another pixel and the problem goes away.

2006-07-11 09:06  tvrusso

	* WMSRadar.geo: Tweak transparency value.  For some time now, the
	  actual "no reflection" value that's been coming in has been hex
	  value  0x010101, not "0x000000".  On 24-bit displays that means
	  that the default file was displaying with an opaque nearly-black
	  background instead of a transparent one.

	  The actual no-reflection value returned by the WMS server has
	  changed back and forth between 0x000000 and 0x010101 often in the
	  history of the WMSRadar file and will probably need to be changed
	  again some time in the future.  It has been pretty consistently
	  0x010101 for several weeks now.

2006-07-11 07:38  we7u

	* src/db.c: Fixing incorrect timestamps for local station.  This
	  was causing track points to get expired immediately so that the
	  station didn't show a track if being run with only a GPS
	  interface.

2006-07-11 06:02  we7u

	* src/draw_symbols.c: Fixes for dead-reckoning 180 degree problem
	  and for the DR arc being slightly off.

2006-07-11 05:18  we7u

	* src/draw_symbols.c: Removing dead code.

2006-07-11 05:06  we7u

	* src/draw_symbols.c: More efficient dead-reckoning code plus
	  commenting out unused sections of code.

2006-07-11 04:41  we7u

	* src/draw_symbols.c: More tweaks to dead-reckoning.  We now
	  attempt to display the arc and the DR'ed trail if either the
	  symbol or the DR'ed symbol are on-screen.  Added an "if" clause
	  to the DR'ed symbol drawing so it is only drawn when on-screen.
	  Commented out old code that we're not using anymore.

2006-07-11 04:01  we7u

	* src/util.c: Another fix by Dan Brown, n8ysz.	This one keeps the
	  log files at or below the max logfile size.

2006-07-11 03:59  we7u

	* src/interface.c: Removing a duplicate include line.  Thanks to
	  Dan Brown for finding it.

2006-07-10 20:15  we7u

	* src/draw_symbols.c: Implenting DR arcs again.  Problems near/at
	  180 degrees, but other than that it seems to work fine.

2006-07-10 10:24  we7u

	* src/db.c: Disabling the XtRemoveGrab() function call which causes
	  warnings on some OS'es.  I don't believe we actually need it.
	  We'll find out for sure when more users try out this version.

2006-07-10 10:23  we7u

	* src/draw_symbols.c: Test code for re-enabling the dead-reckoning
	  arc's.  Not complete/correct yet, but it's a start.

2006-07-10 09:40  we7u

	* src/wx.c: Fixes by Mike Loebl, kb1mts, to add barometric pressure
	  and humidity decoding to ARNE format.

2006-07-10 05:57  we7u

	* src/main.c: Fixing high CPU usage problems on FreeBSD, changing
	  nexttime from 2ms to 10ms.  Thanks to Carl Makin for this tweak.

2006-07-10 04:09  we7u

	* src/util.c: Fixes by Dan Brown, n8ysz, for Xastir bug 1518805:
	  "Log files can fill up hard drive".  We now limit a log file to
	  about 2MB at which point we roll it over to a new filename and
	  create a new empty file to write to.	We keep up to 3 of these
	  backup files plus the current log file at any given time, which
	  makes for between 6MB and 8MB of data that we keep.

2006-07-07 09:10  we7u

	* README.Contributing: Added a section by Dan Brown.

2006-07-07 08:06  we7u

	* scripts/BUILDRPMS: Tweaking the rev number.

2006-07-06 09:23  we7u

	* src/main.c: Fixes by Dan Brown, n8ysz, for Xastir bugs 1515197
	  "segfault if XASTIR_USER_BASE no existing" and 1517761, "No error
	  check on config dir mkdir".

2006-07-06 08:36  we7u

	* src/: main.c, track_gui.c: Fixes for the blank label problem on
	  sliders with certain releases of OpenMotif.  This relates to
	  problems with using XtVaTypedArg within an
	  XtVaCreateManagedWidget() function.  Instead we now call
	  XmStringCreateLocalized() before the call, and XmStringFree()
	  afterwards.

2006-07-05 07:17  we7u

	* src/: Makefile.am, main.c: A patch to add compile time/date to
	  the Help->About dialog, by Dan Brown, N8YSZ.

2006-06-29 10:04  we7u

	* src/xa_config.c: Making the igate -> RF path default be
	  "WIDE2-1".

2006-06-27 07:25  we7u

	* src/igate.c: Reorganizing the logic slightly to make it easier to
	  understand w.r.t. the gating of objects/items/stations to RF via
	  the nws-stations.txt file.  Added/updated several comments.

2006-06-23 09:03  we7u

	* src/db.c: Adding more comments.  No code changes.

2006-06-23 08:31  we7u

	* src/igate.c: Changing igating->RF around so that if a station or
	  object name is found in the nws-stations.txt file, it will get
	  gated to RF whether or not "TCPXX" is found in the path.  This
	  allows more types of things to be gated to RF if manually
	  specified in the nws-stations.txt file.

2006-06-22 05:42  we7u

	* src/db.c: Mostly changes to comments, but changed the error
	  ellipses from black to white.  Still need to draw truncation
	  rectangles instead in some cases.

2006-06-21 07:49  we7u

	* src/objects.c: Tweaking the rounding in objects.c

2006-06-21 06:12  we7u

	* src/util.c: Changing some comments.

2006-06-21 05:41  we7u

	* src/: interface.c, util.c: Fixing up posits so that we round
	  properly instead of truncating the higher resolution digits.	For
	  some-odd reason the fprintf doesn't round up properly at 0.5, so
	  we add a 0.01 to the number so that it rounds up.

2006-06-21 04:51  we7u

	* src/db.c: Changing one comment.

2006-06-20 05:55  we7u

	* src/: database.h, db.c, draw_symbols.c: An attempt to do the
	  error ellipses for position packets.	This is most likely not the
	  display we'll finalize on, but it's a start.	We draw circles for
	  the less-precise posits, but as Tom Russo pointed out they should
	  probably be rectangles.  Also, the GPGGA/GPRMC/GPGLL code needs
	  some work w.r.t. these.

2006-06-19 14:47  we7u

	* src/: db.c, draw_symbols.c, draw_symbols.h: Making sure we don't
	  try to do dead-reckoning on stations that have position ambiguity
	  enabled.

2006-06-19 11:58  we7u

	* README: Adding notes for OpenSuSE 10.1

2006-06-16 13:29  we7u

	* src/: db.c, draw_symbols.c, draw_symbols.h: More ambiguity fixes.

2006-06-16 12:58  we7u

	* src/: database.h, db.c: Correcting the spelling of "ellipse".

2006-06-16 12:08  we7u

	* src/draw_symbols.c: Changes to a few comments.

2006-06-16 12:06  we7u

	* src/: database.h, db.c, draw_symbols.c, draw_symbols.h: Adding a
	  variable for doing error_ellipses around posits.  Not in use yet.
	  Changed the position ambiguity around so that it is correct and
	  the symbol position inside the rectangle is correct.	Still need
	  to fix up the grid-square code in the draw_ambiguity function
	  though.

2006-06-15 14:28  we7u

	* src/draw_symbols.c: Fixing up some of the ambiguity rectangle
	  stuff.  All but the grid squares look ok now, but the smallest
	  rectangle ends up with the symbol placed off-center, which still
	  needs to be fixed.

2006-06-15 12:46  we7u

	* src/draw_symbols.c: Changing from stippled ambiguity rectangles
	  to solid lines.

2006-06-15 07:33  we7u

	* src/draw_symbols.c: Changing ambiguity rectangles from filled to
	  unfilled, plus drawing lines from symbol to each corner of
	  rectangle so we know which symbol is being drawn with the
	  ambiguity.

2006-06-14 13:55  we7u

	* src/database.h: Doesn't make much sense to add the new parameter
	  to the station database at this time when code doesn't use it.
	  It would only take up memory.  Commenting it out for now until we
	  get to using it.

2006-06-14 13:50  we7u

	* src/database.h: Preliminary addition of an error_elipse storage
	  area for the station record.	Not actually used in the code yet
	  as we're still discussing how it should best be used/displayed.

2006-06-14 07:17  gstueve

	* src/util.c: Only check VHF porion of path. Still need to process
	  2nd portion for proper behavior.

2006-06-14 07:13  gstueve

	* src/util.c: Only change lower case characters to uppper, don't
	  bother to rewrite upper.

2006-06-14 07:10  gstueve

	* src/util.c: Fix spelling in comment.

2006-06-12 09:17  we7u

	* FAQ: Added "socat" to the FAQ.

2006-06-08 14:04  we7u

	* src/: db.c, objects.c: Changed some comments to show the last
	  GPROF percentages for the heavy-hitters.  No code changes here.

2006-06-07 07:18  we7u

	* config/tnc-startup.d700: Changed the comments at the top.  Added
	  note about Alinco's.

2006-06-07 07:03  tvrusso

	* FAQ: Update pointer to latest version of the FAQ.  The URLs that
	  were here were very outdated.

2006-06-06 12:22  we7u

	* src/db.c: Some packets with an extra digit in the latitude end up
	  going through the compressed packet decode routine.  This fix
	  causes those packets to be rejected from that routine.

2006-06-05 15:01  we7u

	* Davis/src/db2APRS.c: Davis mods by Clay Jackson, n7qnm.  Added
	  some MySQL error checking, set it up so it would always get the
	  'latest' records, and generally improved the error handling
	  (things like 0 or >100 pct humidity, pressure below 26 or above
	  31, and so on).

2006-06-05 12:20  we7u

	* scripts/get-NWSdata: Tweaking the script so that it only fetches
	  files we don't already have.

2006-06-05 12:19  we7u

	* configure.ac: Bumping revision for devel to 1.8.3.

2006-06-05 11:50  we7u

	* configure.ac, scripts/BUILDRPMS, scripts/do_xastir_release_dev:
	  Updating to 1.8.2 to get ready for stable release.

2006-06-05 11:43  we7u

	* scripts/do_xastir_release_stable: Updating default version
	  number.

2006-06-05 10:14  we7u

	* README.MAPS: Added a section describing how to create your own
	  Shapefile maps with Xastir.  Added a section describing CAD
	  Object polygons.

2006-06-05 09:46  we7u

	* scripts/fcc-get: Updating to match newer "sort" function's
	  syntax.

2006-06-02 09:43  we7u

	* config/language-German.sys: Updates by DK7IN.  Thanks!

2006-06-02 08:35  we7u

	* scripts/get-NWSdata: Updating to latest NOAA filenames.

2006-06-01 10:05  we7u

	* README.MAPS: Fixing the path for gpx2shape so that people look
	  for it in the scripts directory.

2006-06-01 10:04  we7u

	* scripts/Makefile.am: Adding gpx2shape to the build.

2006-06-01 10:04  we7u

	* scripts/gpx2shape: A nice contribution by James Washer.  Convert
	  GPX files to Shapefiles.

2006-06-01 09:35  we7u

	* README.MAPS: Added a blurb about National Geographic's Topo,
	  TPO/TPG files, mapXchange, gpsbabel, and gpx2shape.pl.

2006-06-01 07:17  we7u

	* README.MAPS: A bit added by Kyle Kienapfel regarding the Canada
	  topo file.  Thanks!

2006-05-31 13:39  we7u

	* src/igate.c: Disallowing igating of general queries in either
	  direction.  Directed queries still get gated as appropriate.

2006-05-31 13:36  we7u

	* src/db.c: Added some comments.

2006-05-31 12:57  we7u

	* src/: db.c, wx.c: Fixing the backwards conversions for wind speed
	  for Peet Bros.  Ultimeter-II weather stations.  The correct units
	  are km/h if the sentence begins with '#', and mph if the sentence
	  begins with '*'.

2006-05-31 12:30  we7u

	* src/wx.c: Changes to comments/added some comments.

2006-05-31 11:39  we7u

	* src/wx.c: Zeroing the first two digits on wind speed for Peet
	  Bros 2k as per the docs.

2006-05-31 11:25  we7u

	* src/wx.c: Changing a few variables to make the code more
	  consistent.  Instead of pointing back to the original data to
	  check for ">7", we look at the first character of our substring
	  temp_data1[0].

2006-05-31 11:09  we7u

	* src/wx.c: Fixes for Peet weather stations, negative value
	  decoding.

2006-05-30 13:06  we7u

	* src/map_gnis.c: Fixes to make Xastir handle the type of GNIS
	  files found at:
	  <http://geonames.usgs.gov/domestic/download_data.htm> which have
	  shorter lines than the ones at:
	  <http://geonames.usgs.gov/stategaz/>

2006-05-30 11:50  we7u

	* src/interface.c: Really complicated fix for Xastir dropping the
	  last character of a packet.  A fix for the last fix I put in.

2006-05-30 09:07  we7u

	* src/db.c: Changed one comment.

2006-05-30 08:18  we7u

	* src/: database.h, db.c, interface.c, main.c: A bug fix for KISS
	  or AGWPE ports.  The AX.25 header increases in size when it gets
	  converted to TAPR2-style headers.  If there were enough
	  digipeaters in the path then the complete packet can get
	  truncated on the tail-end.  This patch fixes it by allocating a
	  separate buffer that is quite large for each packet before the
	  header decoding function.

2006-05-17 12:28  we7u

	* src/db.c: Fixing the reply-ack problem during messaging.  It was
	  an off-by-one error.	Our ack_string looked like "}5o" instead of
	  "5o", which made the comparison fail.

2006-05-13 09:27  we7u

	* src/Makefile.am: Adding rpl_malloc.h to the build.

2006-05-12 13:32  tvrusso

	* FAQ: Add command for converting Root files to new scheme.

	  Of course, if someone could check this file out to see the
	  commands, they've already done the conversion...

2006-05-12 13:05  we7u

	* scripts/do_xastir_release_dev: Fixing a typo.

2006-05-12 13:03  we7u

	* install-xastir: Updating to the latest SourceForge CVS server
	  names.

2006-05-12 13:00  we7u

	* scripts/: do_xastir_release_dev, do_xastir_release_stable:
	  Updating to correspond to latest CVS server names.

2006-05-12 12:44  we7u

	* FAQ, README.CVS, README.win32: Updating the CVS instructions to
	  correspond to the changes implemented today on SourceForge.

2006-05-12 12:44  we7u

	* config/tnc-startup.d700: Adding "HEADERLN off", which we appear
	  to have missed at some point.

2006-05-04 08:01  we7u

	* README.win32: Added a note about what to call COM1/COM2 in
	  Cygwin.

2006-04-29 10:19  tvrusso

	* symbols/symbols.dat: Change \V symbol (VORTAC) to something that
	  looks like what the other APRS codes use, matching the VORTAC
	  symbol on aviation charts.

2006-04-24 12:21  we7u

	* src/: alert.c, awk.c, bulletin_gui.c, color.c, datum.c, db.c,
	  dbfawk.c, draw_symbols.c, fcc_data.c, festival.c, geo-find.c,
	  geocoder_gui.c, gps.c, hashtable.c, hashtable_itr.c, hostname.c,
	  igate.c, interface.c, interface_gui.c, io-common.c, io-mmap.c,
	  lang.c, list_gui.c, locate_gui.c, location.c, location_gui.c,
	  macspeech.c, main.c, map_WMS.c, map_cache.c, map_dos.c,
	  map_gdal.c, map_geo.c, map_gnis.c, map_pdb.c, map_shp.c,
	  map_tif.c, map_tiger.c, maps.c, messages.c, messages_gui.c,
	  objects.c, rotated.c, rpl_malloc.c, shp_hash.c, snprintf.c,
	  sound.c, testawk.c, track_gui.c, util.c, view_message_gui.c,
	  wx.c, wx_gui.c, x_spider.c, xastir_udp_client.c: More fixes for
	  rpl_malloc, plus made the callouts for config.h more consistent.

2006-04-24 10:20  we7u

	* src/: Makefile.am, festival.c, rotated.c, util.c, util.h:
	  Separating out the rpl_malloc code so that it can be used in
	  other programs like testawk.

2006-04-24 10:19  we7u

	* src/: rpl_malloc.c, rpl_malloc.h: Separating out the rpl_malloc
	  stuff so that it can be used in other programs like testawk.

2006-04-21 14:01  we7u

	* src/db.c: Correcting spelling in one comment.

2006-04-21 13:51  we7u

	* src/db.c: This change clears the transmitted message so it won't
	  get transmitted again after a REJ packet, and gets rid of a
	  printf to STDERR for each REJ.

2006-04-21 12:58  we7u

	* src/db.c: Added support for REJ packets, including igating of
	  same.  Yet to be tested.

2006-04-21 12:57  we7u

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Added a "*REJECT*"
	  string for REJ packets.

2006-04-20 09:47  we7u

	* README.win32: A tweak by Wes Johnston for getting bootstrap.sh to
	  run properly.

2006-04-20 08:05  we7u

	* src/wx.c: Reverting back to the code for version 1.54, as the
	  rounding for negative numbers wasn't done correctly and caused
	  more harm than good.

2006-04-20 07:22  we7u

	* symbols/: alert.xbm, flood.xbm, red_flag.xbm, snow.xbm,
	  tornado.xbm, wind.xbm, winter_wx.xbm, wntr_strm.xbm: Thanks to
	  Jason Winningham, kg4wsv, for these weather alert pics that stack
	  up much more nicely than the originals, while leaving more of the
	  map below visible.

2006-04-10 07:31  we7u

	* scripts/get-maptools.sh: Script to get/install several of the map
	  libraries, written by Dan Brown, N8YSZ.

2006-04-05 09:13  we7u

	* scripts/Makefile.am: Adding two of the newer scripts into the
	  Makefile.

2006-04-05 09:09  we7u

	* README.win32: A tweak by Joe Cotton to get the finger command
	  working in Xastir/Cygwin.

2006-03-16 18:32  tvrusso

	* INSTALL: Put the word "shapelib" closer to the place where we
	  explain how to install it, so it is more quickly found by a
	  search with "less" or "grep".

2006-03-16 00:03  tvrusso

	* README.MAPS: Fixx mispleling.

2006-03-16 00:02  tvrusso

	* README.MAPS: Added a little commentary about the mrsiddecode
	  program.

2006-03-13 17:40  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/objects.c: Shortening "Area" to
	  "A" for CAD objects.	Also shortening the unit descriptions.

2006-03-13 17:32  we7u

	* src/db.c: Refusing to do the emergency popups until/unless we
	  have a position for a station.  It's hard to help someone if we
	  don't know where they are at.  This keeps Xastir from annoying
	  the crap out of people every 30 minutes if a posit for that
	  station isn't coming in, but a packet with certain keywords _is_
	  coming in regularly.

2006-03-10 12:56  we7u

	* INSTALL: Added another note about libtiff-3.8.0

2006-03-10 12:45  we7u

	* INSTALL: Adding solution text regarding the libgdal/libgeotiff
	  GTIFProj4ToLatLong problem.

2006-03-10 12:28  tvrusso

	* README.MAPS: Fix a handful of mispleellings and mistales.

2006-03-10 12:09  tvrusso

	* README.MAPS: Rearrange some of the discussion of how to
	  manipulate randomly mutilated GeoTIFF files.

2006-03-10 08:16  we7u

	* README.MAPS: Adding a section about using gdal_translate to
	  convert crappy geoTIFF's to usable ones.  Thanks to Tom Russo for
	  the info on how to do this.

2006-03-10 08:15  we7u

	* INSTALL: Slightly changing some wording in the gdal section.
	  Nothing of importance.

2006-03-09 12:47  we7u

	* INSTALL: Updating various library revision numbers.  Added a note
	  about a possible geoTIFF conflict when installing GDAL.

2006-03-09 12:46  we7u

	* src/map_tif.c: Making sure that Proj.4 error messages appear only
	  under the correct circumstances.

2006-03-08 18:43  we7u

	* src/db.c: Initial implementation of a distance check for
	  warnings/alerts.  Default is set to 280 miles or kilometers
	  (whichever mode you are set in), and the check defaults to ON,
	  meaning it will check each time whether the station is within
	  that distance.  This version has no user controls for the new
	  functionality implemented yet.

2006-03-07 18:44  we7u

	* src/wx.c: Fixing the rounding for some of the values that can be
	  negative, coming from weather stations.

2006-03-07 16:41  we7u

	* FAQ, README.Getting-Started, README.win32: Updating/Adding
	  instructions for snagging NWS files via new script.

2006-03-07 09:56  we7u

	* README.MAPS: Adding filename patterns to the NWS file
	  descriptions.

2006-03-07 09:56  we7u

	* scripts/get-NWSdata: Adding the fire weather zones to the mix.

2006-03-07 09:05  we7u

	* README.MAPS: Adding a bit about the get-NWSdata script.

2006-03-07 09:04  we7u

	* scripts/get-NWSdata: Modified the script to do one
	  download/unzip/delete the .zip file, then start on the next.
	  This will keep disk space requirements down plus not have the
	  .zip files hanging around when we're all done.

2006-03-07 08:53  we7u

	* scripts/get-NWSdata: A new script to fetch NWS data files used
	  for weather alerts.  Curt, WE7U and Steven, WM5Z had a hand in
	  writing it.

2006-03-03 12:31  we7u

	* src/db.c: Checking for 8-bit characters in Mic-E packets, except
	  for the case of 8-bit telemetry extension fields where we skip
	  the check.

2006-03-03 08:19  we7u

	* src/track_gui.c: Re-enabling the popup on findu track download
	  failure, as it doesn't appear to be the source of James Ewen's
	  segfaults when his DNS failure occurs.  It appears to be a
	  segfault from libcurl itself.

2006-03-02 14:53  we7u

	* README.win32: Added a note about compiling libproj into gdal
	  statically in order to install on Cygwin.

2006-03-01 10:37  we7u

	* config/tnc-startup.thd7: Commenting out the hbaud line and adding
	  a comment about it.

2006-03-01 08:30  we7u

	* README.Contributing: Added a note about core files appearing
	  where you least expect them.

2006-03-01 08:02  we7u

	* src/track_gui.c: Adding comments near another popup message that
	  could conceivably cause segfaults:  The "Success" message from
	  fetching a findu trail.  This particular popup has worked
	  properly for me with no segfaults so far.  We may need to
	  investigate whether multiple threads writing to X11 at the same
	  time can cause segfaults.  I believe I've seen this in other
	  cases, but my memory may be faulty on this matter.

2006-02-28 11:29  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/main.c, src/maps.c, src/maps.h,
	  src/xa_config.c: Checking in mods by Dalen Kruse, KC0OVU, which
	  implement a timing slider for snapshots with a range from 1 to 30
	  minutes.

2006-02-28 00:01  we7u

	* src/track_gui.c: Getting rid of the GUI stuff in fetch findu
	  trail:  It happens in a separate thread now and we can't write to
	  the GUI from two threads at once due to possible segfaults.

2006-02-27 13:02  we7u

	* src/wx.c: A fix for negative values being interpreted incorrectly
	  due to varying sizes of INT on different systems.

2006-02-27 11:40  we7u

	* config/tnc-startup.thd7: Changing HBAUD to 9600 so that it
	  matches the default serial port speed.

2006-02-24 19:01  tvrusso

	* src/db.c: Fix appallingly stupid mistake in passing arguments to
	  XtVaSetValues.

	  I coulda *sworn* I had just copied what was already there, but
	  apparently not.

	  This fixes the problem where the Incoming Data scrolled text
	  widget was not scrolling to the bottom of the incoming data as
	  new stuff was added.

2006-02-24 10:38  tvrusso

	* src/db.c: Complete refactor of how the "packet_data_string" stuff
	  is updated and displayed.

	  We no longer do "memmove" to cycle old data out of the array, but
	  rather use a two-dimensional array of strings treated as a ring.
	  Data is shifted out of the Display Incoming Data dialog box using
	  XmReplaceText calls.

	  I have tested this out in several ways and it appears to function
	  precisely as the old one was intended to do.	This *might* be the
	  solution to the sporadic segfaults we've been seeing and the less
	  harmful "line too long for array" warnings.

2006-02-23 16:38  we7u

	* src/db.c: Add a null pointer check to delete_station_memory().
	  Changed an "if" to an "else" clause in insert_new_station(),
	  which just made the code slightly simpler but didn't change any
	  operation.  Multiple comment changes.

2006-02-23 16:01  we7u

	* src/xa_config.c: Increasing the default for Internet Map Timeout
	  from 90 to 120 seconds.

2006-02-23 15:59  we7u

	* src/util.c: Adding messages something like "Possible timeout, try
	  increasing Internet Map Timeout" to the libcurl and wget code.

2006-02-22 08:53  chicoreus

	* src/maps.c: Adding grid labels for UTM major grid.  All grid
	  types and resolutions now have some kind of labeling available.

2006-02-22 08:51  chicoreus

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Added metadata
	  text for UTM major zones.

2006-02-19 12:50  rzg

	* src/dbfawk.c:
	  Small memory leak found by valgrind; I think this should fix it.

2006-02-19 12:02  tvrusso

	* scripts/object2shp.pl: Bug fix.  Make sure to ignore comment
	  lines in the object file, or any other lines that don't start
	  with semicolon.

2006-02-19 11:56  tvrusso

	* README.MAPS: Add explanation of how to use object2shp.pl into
	  README.MAPS under the "Rolling your own shapefile maps" section.

2006-02-19 11:48  tvrusso

	* scripts/: Makefile.am, object2shp.pl: Per discussion on xastir
	  mailing list, a script to create shapefile maps from the
	  object.log file.  This will enable quick and dirty generation of
	  special purpose map overlays by plunking down objects, creating
	  shapefiles, then deleting the objects.

2006-02-16 21:50  we7u

	* src/: database.h, db.c, list_gui.c: Changing the names of
	  pointers so that their function is more easily recognizable.

2006-02-16 12:45  we7u

	* src/x_spider.c: Added more output messages in case of error which
	  suggest killing old Xastir processes in order to remove the
	  error.

2006-02-16 12:44  we7u

	* src/: db.c, messages.c: Fixing up msg_data_add() so that we can
	  tell when we've rejected a message.  Tweaked the code which
	  invokes it so that it knows the difference between
	  new/old/rejected messages.

2006-02-15 08:46  chicoreus

	* src/: maps.c, maps.h: Refinements to the calculation of latitude
	  and longitude grid spacing.  Triming the latitude and longitude
	  strings in the grid border when zoomed out.  Reduced the number
	  of variables being passed in the functions called by draw_grid()
	  by moving them to function calls or constants.

2006-02-14 14:00  we7u

	* src/db.c: Initializing struct pointers to NULL right after malloc
	  of the struct, before we try inserting it into any linked lists.

2006-02-14 13:11  we7u

	* src/: database.h, db.c, gps.c, igate.c, objects.c: Converting all
	  MAX_TNC_LINE_SIZE (was 300) to MAX_LINE_SIZE (currently 512).
	  Just simplifying things.

2006-02-14 12:07  we7u

	* src/db.c: Printing out ALL of the guard bands that get corrupted,
	  not just the first one that's noticed.

2006-02-14 11:59  we7u

	* src/db.c: Adding a couple more guard bands, changing them to only
	  10 chars each, making the error text print out which guard band
	  was corrupted.

2006-02-14 11:34  we7u

	* src/db.c: Making the Incoming Data display's char array
	  manipulation code a bit less scary.  It had the potential to
	  overflow if conditions were just right, but the conditions were
	  extremely unlikely to occur.

2006-02-14 11:33  we7u

	* src/interface.c: Bumping up the sizes of some char arrays.  Just
	  because.  Probably don't help much, but don't hurt either.

2006-02-14 11:32  we7u

	* src/main.h: Removing some unused defines.

2006-02-13 12:30  we7u

	* src/: db.c, interface.c, interface.h, main.c: Adding guard bands
	  around the main station pointer variables, plus code to check for
	  intrusion into those guard bands.  This may help us to find the
	  current segfault problem.

2006-02-12 16:13  chicoreus

	* help/help-English.dat: Changing the grid border help to include
	  latitude and longitude.

2006-02-12 16:10  chicoreus

	* src/maps.c: First cut at an algorithmic method for determining
	  the spacing of latitude and longitude grid lines at a scale
	  appropriate for the current window size and map zoom.

2006-02-12 10:03  we7u

	* src/db.c: Correcting some debug output message text.

2006-02-11 18:10  we7u

	* src/db.c: Doing some more error-checking in the station record
	  pointers.  We do an abort() if we end up with dangling pointers,
	  which should give us a core dump immediately.

2006-02-10 12:27  we7u

	* REGRESSION_TESTS, configure.ac: Tweaks to add more regression
	  tests and format the output so that it's easier to read.

2006-02-10 11:13  tvrusso

	* README.Contributing: Add a section on using separate "build
	  directories" to maintain specialized builds rather than building
	  in the source tree.

2006-02-09 17:08  we7u

	* src/maps.c: Fixes for the map grid segfault problem.

2006-02-09 15:14  tvrusso

	* README.Contributing: Change commentary on how to do debugging
	  builds.

2006-02-09 14:32  we7u

	* README.Contributing: Adding a debugging note from Tom Russo.

2006-02-09 13:27  tvrusso

	* acinclude.m4: Change XASTIR_COMPILER_FLAGS so that it doesn't
	  insert "-g -O2" unconditionally.  That is unnecessary since we
	  call AC_PROG_CC, which *conditionally* inserts "-g -O2" into
	  CFLAGS if the user hasn't specified CFLAGS on the configure line.

	  This should allow users to build specialized debugging versions
	  such as ./configure CFLAGS="-O -g -fno-inline" and not have
	  configure stick a "-O2" in unbidden.

2006-02-09 12:41  we7u

	* src/maps.c: A temporary fix to skip computing the UTM/MGRS grid
	  if we run into a problem, before we segfault.

2006-02-09 12:14  we7u

	* src/maps.c: Adding some comments.

2006-02-09 12:12  we7u

	* src/maps.c: Again splitting the minor UTM grid stuff into
	  separate functions.

2006-02-09 11:40  we7u

	* src/maps.c: Reorganizing the draw_grid() function.  Breaking it
	  up into smaller pieces.

2006-02-08 07:11  we7u

	* src/main.c: Checking for proper status of unlink in
	  pid_file_check().

2006-02-08 06:28  we7u

	* src/main.c: Removing some code that doesn't get used in the RINO
	  download section of the switch.

2006-02-06 18:37  we7u

	* src/maps.c: Commenting out unnecessary code.

2006-02-06 18:33  we7u

	* INSTALL, README.Getting-Started, UPGRADE, update-xastir:
	  Clarifying the use of SUID root a bit.  Removing that command
	  from update-xastir so that the default will be to create a core
	  file.

2006-02-06 13:35  we7u

	* src/maps.c: Some fixes for segfaults and divide-by-zero faults in
	  the draw_grid() function.  At least one more segfault path
	  remains in this body of code.

2006-02-06 09:03  we7u

	* README.Contributing: Adding more info to the debugger info.

2006-02-06 08:21  we7u

	* src/db.c: Tweaking Mic-E decoding logic to properly decode
	  overlay characters.

2006-02-03 10:09  chicoreus

	* src/util.h: Missing an extern

2006-02-03 09:47  chicoreus

	* src/: maps.c, util.c, util.h: Adding MGRS to labeled grid border.

2006-02-03 09:46  chicoreus

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Changing grid
	  metadata text to allow MGRS support.

2006-02-02 14:02  we7u

	* src/maps.c: Extending some char arrays so that they're long
	  enough to hold the terminator.

2006-02-02 10:58  chicoreus

	* src/: main.c, maps.c, util.c, xastir.h: Added degree and minutes
	  symbols to lat/long grid border labels by adding constants for
	  convert_xastir_to_UTM() to produce strings containing these
	  symbols.  Truncation of trailing zeroes on UTM grid labels, with
	  number of zeroes removed depending on utm_grid_spacing_m.
	  Changed following feedback from use of printed maps during a
	  GPSAR training.  Added internationalization for lat/long and UTM
	  grid border metadata.  Added metadata on top border for labeled
	  lat/long grids.  Latitude drawn on both left and right borders.
	  Put the xastir coordinate to MGRS conversion into a function that
	  extracts the components of the MGRS string separately, then made
	  convert_xastir_to_MGRS_str() a wrapper around this function in
	  prepration for labeling the MGRS grid.

2006-02-02 09:57  we7u

	* README.Contributing: Adding info about core dumps and how to
	  bring up a debugger.

2006-02-02 08:49  we7u

	* README.Getting-Started, src/main.c: Reversing the meaning of the
	  "-t" command-line flag:  The segfault handler is now turned off
	  by default (meaning we'll dump core instead).  The "-t" flag
	  turns on the internal segfault handler now instead of disabling
	  it.

2006-02-02 08:04  we7u

	* configure.ac: Commenting out the code that removed the "-g" GCC
	  option.  As Tom pointed out, it was a bad idea.

2006-02-02 07:29  chicoreus

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Added
	  internationalization strings for metadata line for top border of
	  map when map grid border is displayed.

2006-02-02 07:10  we7u

	* src/util.c: A fix for the missing UTM grids with gcc-4.x problem.

2006-02-02 07:10  we7u

	* src/maps.c: Changing one debug output line.

2006-02-01 08:42  we7u

	* acinclude.m4: Patching the search list for Berkely DB library by
	  adding 4.3 and 4.4 search paths.

2006-02-01 08:24  chicoreus

	* src/maps.c: Added border labels for latitude and longitude grid.

2006-01-31 10:32  chicoreus

	* src/maps.c: More tuning of labeled border for UTM grid.  Added
	  Zone number and letter in all four corners when two zones are
	  shown.  All text in border changed to black with border color
	  outline.  For two zones, northings for one zone appear on the
	  left side of the screen northings for the other on the right.
	  The left zone is labeled in black, the right zone labeled in
	  blue.  Minor fixes to turn off display of labels where they run
	  off the screen.

2006-01-30 07:31  tvrusso

	* configure.ac, src/maps.c: "roundf", recently used in maps.c, is a
	  newer extension that is not present in systems that still have
	  old C compilers.

	  Insert a check for roundf, and a workaround for systems that
	  don't support it.

2006-01-28 11:21  we7u

	* bootstrap.sh: Fixing the file test syntax to use Bourne syntax
	  instead of Bash.

2006-01-27 20:36  chicoreus

	* src/maps.c: Minor changes and bug fixes to the UTM grid border
	  labeling code.  Includes rounding of the grid labels to correctly
	  label 10,000 m, 1,000m, and 100m grids, not just the 100m grid.

2006-01-27 15:40  chicoreus

	* src/: maps.c, rotated.c: Added code to RotatedTextItem in
	  rotated.c library to handle special case of rotation of text 90
	  degrees counter clockwise.  In this case, text is rotated by
	  directly transposing x and y coordinates, rather than by applying
	  a sine and cosine transformation to rotate the text, something
	  that produces an italic appearance to the rotated text (making it
	  harder to read, especially when printed).  This change is to
	  support more legible text on the labeled UTM grid on the border
	  of the map, especially for producing maps to be printed.

	  Also made minor changes to border label code in maps.c to make
	  quick and dirty improvements to appearance.

2006-01-27 08:30  we7u

	* Davis/bootstrap.sh, LaCrosse/bootstrap.sh: Since the three
	  bootstrap.sh scripts are the same anyway, run the one from one
	  directory up instead so that we don't have to keep rev'ing all
	  three of them when a change is needed.  Like, duh!

2006-01-27 08:14  we7u

	* Davis/bootstrap.sh, LaCrosse/bootstrap.sh: Updating for Solaris.

2006-01-27 08:10  we7u

	* bootstrap.sh: Removing the comment marks that I shouldn't have
	  committed to CVS.

2006-01-27 08:05  we7u

	* bootstrap.sh: Updating for automake system directories on
	  Solaris.

2006-01-27 06:57  we7u

	* README: Updating the SuSE 10 notes to mention libcurl-dev as
	  well.

2006-01-26 14:51  we7u

	* Davis/src/Makefile.am: Installing the compiled db2APRS into the
	  bin directory.

2006-01-26 12:57  we7u

	* scripts/BUILDRPMS: Getting rid of some shell warnings.

2006-01-26 12:39  we7u

	* Makefile.am, scripts/BUILDRPMS: Adding LaCrosse directory into
	  the build.

2006-01-26 11:06  we7u

	* Davis/.cvsignore, LaCrosse/.cvsignore: Updating the list of files
	  that CVS should skip.

2006-01-26 08:59  we7u

	* Davis/bootstrap.sh, LaCrosse/bootstrap.sh: Updating bootstrap.sh
	  for separate weather apps so they are the same as the main Xastir
	  bootstrap.sh

2006-01-26 07:55  n0vh

	* LaCrosse/: weatherdump.sql, src/Makefile.am: SQL file of open2300
	  database

2006-01-26 07:44  we7u

	* Davis/: .cvsignore, src/.cvsignore: Adding .cvsignore files for
	  the Davis directories to reduce the amount of "noise" that cvs
	  status returns.

2006-01-26 07:42  we7u

	* LaCrosse/: .cvsignore, src/.cvsignore: Adding .cvsignore files
	  for these two new directories so that cvs status doesn't return
	  too many unneeded lines.

2006-01-26 07:38  n0vh

	* LaCrosse/src/open2300db2APRS.c: Fixed an issue with SIGPWR on
	  non-Linux systems

2006-01-26 07:38  n0vh

	* LaCrosse/configure.ac: Minor updates to compile on non-linux
	  systems

2006-01-25 15:11  n0vh

	* LaCrosse/README: Minor correction to directory in BUILD section

2006-01-25 14:46  n0vh

	* LaCrosse/README: Changed to make it more relavent to
	  open2300db2APRS

2006-01-25 12:34  n0vh

	* LaCrosse/src/open2300db2APRS.c.bak: Not needed.

2006-01-25 12:26  we7u

	* LaCrosse/src/open2300db2APRS.c: Fixing a warning given by gcc-4.
	  clen must be a socklen_t instead of an int.

2006-01-25 11:52  n0vh

	* LaCrosse/src/: Makefile, Makefile.in, open2300db2APRS,
	  open2300db2APRS.o: Removed files that should be in CVS

2006-01-25 11:50  n0vh

	* LaCrosse/Makefile.am: Put back this needed file

2006-01-25 11:49  n0vh

	* LaCrosse/: Makefile, Makefile.am, Makefile.in, aclocal.m4,
	  config.h, config.h.in, config.log, config.status, configure,
	  stamp-h1: Removed files that should be there

2006-01-25 11:36  n0vh

	* LaCrosse/: AUTHORS, COPYING, ChangeLog, INSTALL, Makefile,
	  Makefile.am, Makefile.in, NEWS, README, aclocal.m4, bootstrap.sh,
	  config.h, config.h.in, config.log, config.status, configure,
	  configure.ac, stamp-h1, src/Makefile, src/Makefile.am,
	  src/Makefile.in, src/defs.h, src/open2300db2APRS,
	  src/open2300db2APRS.c, src/open2300db2APRS.c.bak,
	  src/open2300db2APRS.o: Support for LaCrosse WX-23xx weather
	  station support

2006-01-25 11:33  n0vh

	* config/: language-English.sys, language-French.sys,
	  language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Update for future
	  LaCrosse 23xx weather station support.

2006-01-25 11:32  n0vh

	* config/language-Dutch.sys: Updated with future LaCrosse 23xx
	  stuff.

2006-01-25 08:46  chicoreus

	* config/: language-Dutch.sys, language-French.sys,
	  language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: Added missing
	  "MAPFONT008|Border Labels||" to support user selectable font for
	  drawing labels on the UTM tickmarks on the labled border.

2006-01-23 21:46  we7u

	* src/: maps.c, maps.h: Fixing up some function prototypes to get
	  rid of some compiler warnings.

2006-01-23 15:47  chicoreus

	* config/language-English.sys, src/db.c, src/main.c, src/maps.c,
	  src/xa_config.c, src/xastir.h: Drawing fonts with an outline on
	  the border results in text that is very difficult to read on a
	  printout.  Added a user selectable font for drawing labels on the
	  UTM tickmarks on the labled border.

2006-01-23 12:41  we7u

	* src/map_tif.c: Getting rid of dependencies on cpl_csv.h, which
	  contains a private (not public) interface.

2006-01-23 12:02  we7u

	* src/: main.c, main.h: Testing for old/new kernel based on number
	  of signals available.  We then use this to decide whether to set
	  "OLD_PTHREADS", which enables or disables the SIGUSR1 handler in
	  the code.  Old kernels only has 32 signals, therefore Linux
	  Pthreads used SIGUSR1 and SIGUSR2 in their implementation.  We
	  use SIGUSR1 for our Snapshot-on-demand function, therefore we
	  must disable this code if we're running older Pthreads on Linux.

2006-01-23 12:00  we7u

	* configure.ac, src/util.c: Testing for deprecated/new pthread
	  functions, modifying code to correspond based on what's found.

2006-01-20 13:15  we7u

	* src/x_spider.c: Another small tweak for Linux Standard Base 3.0
	  compliance.

2006-01-20 09:58  we7u

	* README: Tweaked the SuSE 10 notes regarding a bootstrap.sh
	  warning.

2006-01-20 08:52  we7u

	* README, bootstrap.sh: Formatting changes to bootstrap.sh.  Added
	  a section to README which details getting rid of an SuSE-10
	  warning when running bootstrap.sh.

2006-01-19 12:43  we7u

	* README: Adding a note about SuSE 10.0 and problems with AX.25
	  kernel mode.

2006-01-19 12:24  we7u

	* bootstrap.sh: Fixing a problem in Automake 1.9 (on SuSE 10 at
	  least) where the mkinstalldir script doesn't get copied over by
	  Automake.  We have to copy it over ourselves after we invoke
	  Automake.

2006-01-19 09:20  we7u

	* REGRESSION_TESTS: Updated the format a bit.

2006-01-19 09:17  we7u

	* src/db.c: A fix for another killer packet.  This one had to do
	  with a while loop overrunning an ack_string variable.  Changed to
	  xastir_snprintf() functions there and it solved the immediate
	  problem.

2006-01-18 14:40  we7u

	* src/map_tif.c: Commenting out an include because it causes an
	  error on Cygwin.  Of course it causes a warning under gcc-4.0 on
	  Linux when it's commented out...

2006-01-18 12:13  we7u

	* REGRESSION_TESTS: Updating the tests for LSB and to make them
	  more convenient to run.

2006-01-18 09:10  we7u

	* FAQ: Adding some VNC configuration info.

2006-01-18 08:50  we7u

	* INSTALL: Updating/re-ordering the list of configure options.

2006-01-18 08:49  we7u

	* src/map_tif.c: Getting rid of some gcc-4.0 compiler warnings.

2006-01-18 08:49  we7u

	* Davis/src/db2APRS.c: Getting rid of a gcc-4.0 compiler warning
	  about signedness.

2006-01-18 08:48  we7u

	* Davis/bootstrap.sh: Making the script parallel the main Xastir
	  bootstrap script.

2006-01-18 07:31  we7u

	* src/interface_gui.c: Mods to comply with maximum baud rates
	  allowed under LSB.

2006-01-18 07:11  we7u

	* acinclude.m4, configure.ac, src/util.c: Initial tweaks to help
	  get Xastir compiled under Linux Standard Base 3.0 (LSB 3.0).
	  Have more work to do to get there, but this is a good start.

2006-01-18 07:00  we7u

	* src/: main.c, map_cache.c: A fix for the X11 fault caused when
	  the DB Library header/library versions don't match.  The code
	  should now just disable map caching and keep right on going.

2006-01-18 06:48  we7u

	* src/x_spider.c: Changing one declaration to get rid of one gcc4.0
	  warning.

2006-01-17 13:06  we7u

	* src/alert.c, src/awk.c, src/bulletin_gui.c, src/color.c,
	  src/datum.c, src/db.c, src/dbfawk.c, src/draw_symbols.c,
	  src/fcc_data.c, src/festival.c, src/geo-client.c, src/geo-find.c,
	  src/geocoder_gui.c, src/gps.c, src/hashtable.c,
	  src/hashtable_itr.c, src/hostname.c, src/igate.c,
	  src/interface.c, src/interface_gui.c, src/io-common.c,
	  src/io-mmap.c, src/lang.c, src/list_gui.c, src/locate_gui.c,
	  src/location.c, src/location_gui.c, src/macspeech.c, src/main.c,
	  src/map_cache.c, src/Makefile.am, src/map_WMS.c, src/map_dos.c,
	  src/map_gdal.c, src/map_geo.c, src/map_gnis.c, src/map_pdb.c,
	  src/map_shp.c, src/map_tif.c, src/map_tiger.c, src/maps.c,
	  src/messages.c, src/messages_gui.c, src/objects.c,
	  src/popup_gui.c, src/rac_data.c, src/rotated.c, src/shp_hash.c,
	  src/snprintf.c, src/sound.c, src/testawk.c, src/track_gui.c,
	  src/util.c, src/view_message_gui.c, src/wx.c, src/wx_gui.c,
	  src/x_spider.c, src/xa_config.c, src/xastir_udp_client.c,
	  AUTHORS, DEBUG_LEVELS, FAQ, INSTALL, LICENSE, Makefile.am, NEWS,
	  README, README.CVS, README.Contributing, README.Getting-Started,
	  README.MAPS, README.win32, REGRESSION_TESTS, UPGRADE,
	  acinclude.m4, bootstrap.sh, changes.txt, configure.ac,
	  install-xastir, update-xastir, xastir.1, help/Makefile.am,
	  help/help-Dutch.dat, help/help-English.dat, help/help-French.dat,
	  help/help-German.dat, help/help-Italian.dat,
	  help/help-Portuguese.dat, help/help-Spanish.dat, m4/Makefile.am,
	  scripts/Makefile.am, scripts/Xastir_tigerpoly.py,
	  scripts/example_objects.log, scripts/fcc-get, scripts/get-gnis,
	  scripts/get_shapelib.sh, scripts/inf2geo.pl, scripts/ozi2geo.pl,
	  scripts/toporama250k.pl, scripts/toporama50k.pl,
	  scripts/xastir-fixcfg.sh, scripts/xastir-migrate.sh: Updating
	  copyright info.

2006-01-17 13:03  we7u

	* symbols/Makefile.am, symbols/symbols.dat, config/24kgrid.dbfawk,
	  config/gps_wpt.dbfawk, config/language-Dutch.sys,
	  config/language-English.sys, config/language-French.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, config/nwsc_ddmmyy.dbfawk,
	  config/tnc-startup.aea, config/tnc-startup.d700,
	  config/tnc-startup.kam, config/tnc-startup.kpc2,
	  config/tnc-startup.kpc3, config/tnc-startup.paccomm,
	  config/tnc-startup.pico, config/tnc-startup.sys,
	  config/tnc-startup.thd7, config/tnc-startup.tnc2,
	  config/tnc-startup.tnc2-ui, config/tnc-stop.d700,
	  config/tnc-stop.sys, config/tnc-stop.thd7,
	  config/tnc-stop.tnc2-ui, config/Makefile.am,
	  config/nwsmzddmmyy.dbfawk, config/nwsmzoddmmyy.dbfawk,
	  config/nwsozddmmyy.dbfawk, config/nwsw_ddmmyy.dbfawk,
	  config/nwsz_ddmmyy.dbfawk, config/nwszoddmmyy.dbfawk,
	  config/predefined_EVENT.sys, config/predefined_SAR.sys,
	  config/tgr2shp.dbfawk, config/tgr2shppoly.dbfawk,
	  config/tgrcty.dbfawk, config/tgrkgl.dbfawk, config/tgrlk.dbfawk,
	  config/tgrlpt.dbfawk, config/tgrlpy.dbfawk,
	  config/tgrplc00.dbfawk, config/tgrwat.dbfawk,
	  callpass/Makefile.am, callpass/callpass.c, Davis/Makefile.am,
	  Davis/README, Davis/bootstrap.sh, Davis/configure.ac,
	  Davis/src/Makefile.am, Davis/src/db2APRS.c, Davis/src/defs.h,
	  src/alert.h, src/awk.h, src/bulletin_gui.h, src/color.h,
	  src/database.h, src/datum.h, src/dbfawk.h, src/draw_symbols.h,
	  src/fcc_data.h, src/festival.h, src/geo.h, src/gps.h,
	  src/hashtable.h, src/hashtable_itr.h, src/hashtable_private.h,
	  src/hostname.h, src/igate.h, src/interface.h, src/io.h,
	  src/lang.h, src/leak_detection.h, src/list_gui.h, src/main.h,
	  src/map_cache.h, src/maps.h, src/messages.h, src/objects.h,
	  src/popup.h, src/rac_data.h, src/rotated.h, src/shp_hash.h,
	  src/snprintf.h, src/symbols.h, src/track_gui.h, src/util.h,
	  src/wx.h, src/x_spider.h, src/xa_config.h, src/xastir.h: Updating
	  copyright info.

2006-01-17 12:10  we7u

	* scripts/BUILDRPMS: Correcting bugs that crept in.

2006-01-17 11:58  we7u

	* scripts/BUILDRPMS: Updating script for latest SuSE RPM build.

2006-01-17 11:47  we7u

	* INSTALL, README: Updating notes to call out latest packages.
	  Adding SuSE 10.0 instructions to README.

2006-01-16 10:21  we7u

	* scripts/BUILDRPMS: Updating script for latest release numbers.

2006-01-16 09:12  we7u

	* configure.ac: Bumping version to 1.8.1 for new mods.

2006-01-16 09:04  we7u

	* configure.ac, scripts/do_xastir_release_dev,
	  scripts/do_xastir_release_stable: Preparing for 1.8.0 release.

2006-01-13 07:34  we7u

	* bootstrap.sh: Changing the prompts a bit.  We now see a countdown
	  to completion.

2006-01-12 16:06  tvrusso

	* README.MAPS: Fix error in command line for sorting the EN.dat
	  file from FCC.

2006-01-12 08:58  we7u

	* config/language-German.sys: Another update from Rolf.

2006-01-12 07:25  we7u

	* config/language-German.sys: Updates by Rolf Bleher, DK7IN.
	  Thanks!

2006-01-11 12:28  we7u

	* src/db.c: Processing/decoding the altitude extension on more
	  packet types.  Altitude wasn't being decoded for some weather and
	  grid packets.  It is now.

2006-01-11 12:27  we7u

	* help/help-English.dat: Adding some notes about lack of altitude
	  in compressed-mode posits.

2006-01-11 07:43  we7u

	* src/db.c: Fixing a decoding bug w.r.t. lower-case N/S/E/W in a
	  couple of types of packets.

2006-01-10 09:03  francais1

	* config/language-French.sys: More updates from Jacques Chion, with
	  some tweaks and translation of GPSS* strings.

2006-01-09 14:10  we7u

	* config/language-Dutch.sys: Updates by Han Sytsma, PE1FAM.
	  Thanks!

2006-01-06 18:45  we7u

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/main.c: Fixing a bug on the GPS
	  Status dialog.  It wasn't reporting the correct status for WAAS.
	  Corrected that and added more possibilities for status.

2006-01-03 13:59  chicoreus

	* src/db.c: Minor bugfix: Range Scale and Scale bar were drawn
	  displaced when border was on and grid was off (even though border
	  is only shown when grid is on).

2006-01-02 13:34  we7u

	* src/db.c: Fixing segfault that occurs in extract_multipoints()
	  when data == NULL.

2005-12-31 18:38  chicoreus

	* help/help-English.dat: Added Documentation of Map/Enable Map
	  Border.

2005-12-31 07:13  chicoreus

	* src/maps.c: Bug fixes in the labeling of utm zones, northing
	  lines, and easting lines when the grid is labeled.  When grid is
	  finely spaced on the screen, only alternate lines are labeled.
	  Grid and zones are labeled correctly and reasonably most of the
	  time when more than one lettered zone row appears on the screen.
	  Still has some problems, but works for most places.

2005-12-29 13:11  we7u

	* INSTALL: Added instructions for updating /etc/ld.so.conf.d/
	  directory for those systems that use this alternate method.
	  Courtesy of Dale, KB9JJA.  Thanks!

2005-12-20 18:01  chicoreus

	* src/: main.c, objects.c: Performance tuning: Moved call to
	  redraw_symbols out of CAD_vertice_allocate to prevent repeated
	  redrawing on each vertex of each cad object loaded from a file at
	  startup.

2005-12-20 10:24  chicoreus

	* src/maps.c: In trying to work out what draw_grid is doing, added
	  some documentation to the utm_grid structures.  Added a test
	  inside draw_grid so that the utm grid labeling code is only
	  running for utm_grid.zone elements that contain rows and columns.

2005-12-19 10:18  chicoreus

	* src/maps.c: Minor bugfix and additional comments on code for
	  labeling UTM grid.  Changed format to include leading zeroes for
	  easting and northing.

2005-12-19 09:40  chicoreus

	* README.MAPS: Added brief discussion of gdalinfo and
	  gdal_translate for handling geotiff files that aren't in byte
	  form or contain multiple bands.

2005-12-16 14:13  chicoreus

	* src/maps.c: Added the ability to draw a 1 pixel outline in a
	  different color to rotated text in
	  draw_rotated_label_text_common() and some of its wrappers.

2005-12-16 14:09  chicoreus

	* src/xa_config.c: Making draw_labeled_grid_border persistent
	  between restarts.

2005-12-15 14:10  chicoreus

	* src/: db.c, main.c, main.h, maps.c: First cut at adding a labeled
	  border to the map shown on the screen for printing.  This can be
	  used, for example, to print maps with a labeled UTM grid for a
	  SAR task team showing the area they are to search.  Metadata
	  about the map is displayed in the top border, coordinates of grid
	  lines are displayed on the bottom and right borders (to make it
	  easier for people to correctly read and report UTM coordinates in
	  the form zone easting northing.  The labeled border is displayed
	  when both the grid and the border are enabled.  There are still
	  problems and missing features.  The rotated font on the right
	  border is not the pretty font used on the rest of the border.
	  The border and grid labels are only drawn for a UTM grid, not for
	  a Lat/Lon grid.  Zone designators are not properly displayed when
	  more than one zone is visible on the screen.	When grid lines are
	  closely spaced, the grid labels overlap on the screen.

2005-12-15 10:31  we7u

	* README.win32: Fixing a typo.

2005-12-15 10:24  chicoreus

	* config/: language-Dutch.sys, language-English.sys,
	  language-French.sys, language-German.sys, language-Italian.sys,
	  language-Portuguese.sys, language-Spanish.sys: First rough cut at
	  adding a labeled border to a map to allow the printing of
	  arbitrary maps with a labeled grid (that can, for example, be
	  printed and given to SAR task teams).  If the map grid is
	  enabled, and the border is enabled, a white border is drawn as
	  part of the grid and labels for each grid line are added in this
	  border.  Metadata describing the map are also added in the
	  border.  This is a first rough cut with several problems.  It is
	  only implemented for a UTM grid, not for a Lat/Long grid.  The
	  rotated numbers do not use the same clean font as the non-rotated
	  numbers.  The labels in the border are not clearly
	  distinguishable when the grid is tightly spaced on the screen.
	  The zone labels do not work properly when more than one zone is
	  on the screen.  The choice of labeling the bottom border and the
	  right border with the UTM grid line easting and northings is
	  deliberate to help people to correctly read the map and report
	  UTM coordinates in the form: zone easting northing.

2005-12-13 14:11  we7u

	* config/Makefile.am: Correcting the name of the dbfawk file that
	  we want automatically removed.  I forgot the underline first time
	  around.

2005-12-13 07:54  we7u

	* src/objects.c: Tweaking a debug statement so we don't get a
	  segfault if we hit a null pointer.

2005-12-12 18:50  chicoreus

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/main.c: Added localization
	  strings for map display of CAD object metadata.  Added update of
	  CAD objects on toggle of display of metadata.

2005-12-12 14:56  chicoreus

	* config/language-Dutch.sys, config/language-English.sys,
	  config/language-French.sys, config/language-German.sys,
	  config/language-Italian.sys, config/language-Portuguese.sys,
	  config/language-Spanish.sys, src/database.h, src/main.c,
	  src/main.h, src/objects.c, src/objects.h: Adding more user
	  interface elements to CAD Object display 1) Clarifying user side
	  handling of raw_probability as a percent 2) Allow user to set CAD
	  boundary line type 3) Allow user to toggle on and off display of
	  CAD Polygons, Label, Area,	and probability.

2005-12-11 10:20  we7u

	* src/main.c: Fixing the Station->Configure submenu.  Wasn't
	  working on Lesstif but was fine on OpenMotif.  Should work on
	  both now.

2005-12-07 18:55  chicoreus

	* help/help-English.dat: Edited CAD object text to reflect the
	  movement of the CAD object functions from the mouse menu to the
	  toolbar and the View and Map menus.  Added some text for
	  Probability Circle Objects.

2005-12-07 17:04  we7u

	* src/interface.c: Only twiddle DTR on HSP ports if global transmit
	  is enabled.

2005-12-07 17:02  we7u

	* src/objects.c: Very minor formatting change.	No code changes.

2005-12-07 12:40  we7u

	* config/Makefile.am: Automating the deletion of the
	  nwsfzddmmyy.dbfawk file from the /usr/local/share/xastir/config
	  directory during install.  We don't use it anymore and it causes
	  problems if present.

2005-12-07 10:38  we7u

	* src/interface.c: Patch by Paul Morris, modified slightly by me,
	  to make objects work for the case when global transmits have been
	  disabled.

2005-12-07 09:32  tvrusso

	* config/: Makefile.am, nwsfz_ddmmyy.dbfawk: Remove unnecessary
	  (and problematic) nwsfz_ddmmyy.dbfawk file.

2005-12-07 08:09  we7u

	* src/map_gdal.c: Moving some struct typedef's and nested functions
	  out of the main function so that it will compile with latest
	  MacOSX GCC compiler.

2005-12-06 22:41  we7u

	* src/map_shp.c: Made code more correct by changing alert->title to
	  modified_title in a couple of places.  modified_title is a copy
	  of alert->title so the real-world effects of this change are
	  little to none.  Tweaked some comments in the area as well.

2005-12-06 19:04  tvrusso

	* config/nwsmzddmmyy.dbfawk: Fix incorrect key generation for
	  mzddmmyy.shp file.

	  The key produced by the dbfawk rule must match the key that comes
	  from the NWS alert.  These will generally be "XX_Zyyy".  The "ID"
	  field of the mzddmmyy.dbf record is of form "XXZyyy", and prior
	  to this commit it was used directly as the key, thereby never
	  matching any alerts.	This fix inserts the _ character after the
	  first to characters of the ID field to produce a usable key.

2005-12-06 13:35  we7u

	* src/map_shp.c: Added more debugging text for dbfawk and wx
	  alerts.

2005-12-06 12:53  we7u

	* src/maps.c: Correcting some comments.

2005-12-06 12:50  we7u

	* src/maps.c: Adding a bit more text to one wx alert debug message.

2005-12-06 12:26  we7u

	* src/interface.c: Moving a nested function so that it is no longer
	  nested.  This is necessary in order to compile on MacOSX with
	  their latest GCC compiler.

2005-12-06 11:34  we7u

	* src/util.c: Changing a nested function to non-nested in order to
	  enable compiling with the latest MacOSX compiler.

2005-12-04 19:05  we7u

	* src/: main.c, xastir.h, festival.c: Adding a "Test" button to the
	  Configure->Speech dialog for testing the speech subsystem and for
	  adjusting the audio levels (by an external program).

2005-12-01 11:32  we7u

	* update-xastir: Changing the "make" step so that it doesn't run as
	  root.

2005-12-01 09:22  we7u

	* src/map_gdal.c: Commenting out and include that we're currently
	  not using.

2005-11-29 22:36  we7u

	* src/map_pdb.c: Implementing the same sorts of map interruption
	  capability for PocketAPRS maps that we just did for the other
	  types of maps.

2005-11-28 19:16  we7u

